"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _forms = require("../../utilities/forms");

var _AppContext = require("../AppContext");

var _transition = require("../../utilities/transition");

var _Spinner = require("../Spinner");

var _Link = require("../Link");

var _legacy = require("../../utilities/legacy");

var _mediaQuery = require("../../utilities/media-query");

var _Connected = require("../Connected");

var _Theme = require("../Theme");

var _typographyStyles = _interopRequireDefault(require("../../utilities/typography-styles.css"));

var _Button = _interopRequireDefault(require("./Button.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Button = /*#__PURE__*/(0, _react.forwardRef)(function Button(_ref, ref) {
  var children = _ref.children,
      _ref$submit = _ref.submit,
      submit = _ref$submit === void 0 ? false : _ref$submit,
      disabled = _ref.disabled,
      onPress = _ref.onPress,
      to = _ref.to,
      subdued = _ref.subdued,
      plain = _ref.plain,
      secondary = _ref.secondary,
      tertiary = _ref.tertiary,
      _ref$loading = _ref.loading,
      loading = _ref$loading === void 0 ? false : _ref$loading,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? false : _ref$fill,
      loadingLabel = _ref.loadingLabel,
      accessibilityLabel = _ref.accessibilityLabel,
      underline = _ref.underline,
      appearance = _ref.appearance,
      onMouseEnter = _ref.onMouseEnter;
  var href = disabled ? undefined : to;
  var onClick = disabled ? undefined : function () {
    return onPress === null || onPress === void 0 ? void 0 : onPress();
  };
  var refsSetter = (0, _react.useCallback)(function (instance) {
    if (typeof ref === 'function') {
      ref(instance);
    } else if (ref) {
      ref.current = instance;
    }
  }, [ref]);
  var translate = (0, _AppContext.useTranslate)();
  var prefersReducedMotion = (0, _mediaQuery.usePrefersReducedMotion)();
  var transition = (0, _transition.useTransition)(loading, {
    enter: 'slow'
  });
  var connected = (0, _Connected.useConnected)();

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.primaryButton,
      primaryStyle = _useThemeConfiguratio2.typographyStyle,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.loadingStyle,
      primaryLoading = _useThemeConfiguratio3 === void 0 ? 'spinner' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio.secondaryButton,
      secondaryStyle = _useThemeConfiguratio4.typographyStyle,
      _useThemeConfiguratio5 = _useThemeConfiguratio4.loadingStyle,
      secondaryLoading = _useThemeConfiguratio5 === void 0 ? 'spinner' : _useThemeConfiguratio5,
      _useThemeConfiguratio6 = _useThemeConfiguratio.link,
      colorHovered = _useThemeConfiguratio6.colorHovered,
      colorPressed = _useThemeConfiguratio6.colorPressed;

  var form = (0, _forms.useContainingForm)();
  var loadingStyle = secondary ? secondaryLoading : primaryLoading;
  var classes = (0, _cssUtilities.classNames)(_Button["default"].Button, _legacy.button, subdued && !plain && _Button["default"].subdued, plain && _Button["default"].plain, plain && (appearance === 'inheritColor' ? _Button["default"].appearanceInheritColor : _Button["default"].appearanceDefault), plain && colorHovered && _Button["default"][(0, _cssUtilities.variationName)('colorHovered', colorHovered)], plain && colorPressed && _Button["default"][(0, _cssUtilities.variationName)('colorPressed', colorPressed)], plain && underline && _Button["default"].underline, plain && appearance === 'inheritColor' && _Button["default"].underline, disabled && _Button["default"].disabled, loading && loadingStyle === 'spinner' && _Button["default"].loading, fill && _Button["default"].fill, loading && loadingStyle === 'spinner' && _Button["default"][(0, _cssUtilities.variationName)('loading-transition', transition)], connected && _Button["default"].connected, secondary && _Button["default"].secondary, tertiary && _Button["default"].tertiary, loading && loadingStyle === 'progressBar' && _Button["default"][loadingStyle]);
  var normalizedLoadingLabel = loadingLabel ? loadingLabel : translate('processing');
  var contentTypography = secondary ? secondaryStyle && _typographyStyles["default"][secondaryStyle] : primaryStyle && _typographyStyles["default"][primaryStyle];
  var contentClassNames = (0, _cssUtilities.classNames)(_Button["default"].Content, !plain && contentTypography);

  var content = /*#__PURE__*/_react["default"].createElement("span", {
    className: contentClassNames
  }, loading && loadingStyle === 'progressBar' && prefersReducedMotion ? normalizedLoadingLabel : children);

  var type = submit ? 'submit' : 'button';

  var loadingMarkup = /*#__PURE__*/_react["default"].createElement("span", {
    className: (0, _cssUtilities.classNames)(_Button["default"].LoadingContent, !prefersReducedMotion && _Button["default"].Spinner)
  }, /*#__PURE__*/_react["default"].createElement(_Spinner.Spinner, {
    size: "small",
    color: "inherit",
    accessibilityLabel: normalizedLoadingLabel
  }));

  if (href) {
    return /*#__PURE__*/_react["default"].createElement(_Link.UnstyledLink, {
      to: href,
      className: classes,
      onPress: onPress,
      ariaBusy: loading,
      ariaLive: loading ? 'assertive' : 'polite',
      ariaLabel: accessibilityLabel
    }, content, loading && loadingStyle === 'spinner' && loadingMarkup);
  }

  return /*#__PURE__*/_react["default"].createElement("button", {
    type: type,
    form: submit && (form === null || form === void 0 ? void 0 : form.nested) ? form.id : undefined,
    className: classes,
    disabled: disabled || loading,
    onClick: onClick,
    "aria-busy": loading,
    "aria-live": loading ? 'assertive' : undefined,
    "aria-label": accessibilityLabel,
    ref: refsSetter,
    onMouseEnter: onMouseEnter
  }, content, loading && loadingStyle === 'spinner' && loadingMarkup);
});
exports.Button = Button;