"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.warningState = exports.successState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = require("../Text");

var _Heading = require("../Heading");

var _storybookUtilities = require("../../storybook-utilities");

var _CalloutHeader = require("./CalloutHeader");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _CalloutHeader.CalloutHeader,
  title: 'checkout-web-ui/CalloutHeader',
  decorators: [function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        margin: '1em 0 0 7em'
      }
    }, story());
  }, (0, _storybookUtilities.themeWithKnobs)('headingLevel2')]
};
var _default = meta;
exports["default"] = _default;

var successState = function successState() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutHeader.CalloutHeader, {
    status: "success"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    subdued: true
  }, "Order #1234"), /*#__PURE__*/_react["default"].createElement(_Heading.Heading, null, "Thank you!"));
};

exports.successState = successState;

var warningState = function warningState() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutHeader.CalloutHeader, {
    status: "warning"
  }, /*#__PURE__*/_react["default"].createElement(_Heading.Heading, null, "Inventory issues"), /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    subdued: true
  }, "Some products became unavailable and your cart has been updated."));
};

exports.warningState = warningState;