"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Connected = Connected;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _responsive = require("../../utilities/responsive");

var _hook = require("./hook");

var _Connected = _interopRequireDefault(require("./Connected.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * Connected groups inputs inline and maintains a consistent height across
 * inputs. It is commonly used for displaying a single-line TextField or Select
 * inline with a Button.
 */
function Connected(_ref) {
  var children = _ref.children,
      _ref$spacing = _ref.spacing,
      spacing = _ref$spacing === void 0 ? 'base' : _ref$spacing,
      leading = _ref.leading,
      trailing = _ref.trailing,
      _ref$stack = _ref.stack,
      stack = _ref$stack === void 0 ? false : _ref$stack;
  var responsiveClassNames = (0, _responsive.useResponsive)({
    stack: stack
  });
  return /*#__PURE__*/_react["default"].createElement(_hook.ConnectedContext.Provider, {
    value: true
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_Connected["default"].Connected, leading && _Connected["default"][(0, _cssUtilities.variationName)('leading', leading)], trailing && _Connected["default"][(0, _cssUtilities.variationName)('trailing', trailing)], _Connected["default"][(0, _cssUtilities.variationName)('spacing', spacing)], responsiveClassNames.map(function (className) {
      return _Connected["default"][className];
    }))
  }, children));
}