"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _Text = require("../Text");

var _FormattedText = require("./FormattedText");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('<FormattedText />', function () {
  describe('content', function () {
    it('renders a string when passed a string as content', function () {
      var content = 'Snowdevil';
      var formatted = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_FormattedText.FormattedText, null, content));
      expect(formatted).toContainReactText(content);
    });
    it('renders a React component when passed a component as content', function () {
      var content = /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Text");

      var formatted = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_FormattedText.FormattedText, null, content));
      expect(formatted).toContainReactComponent(_Text.Text);
    });
    it('replaces new line characters by <br>s', function () {
      var content = '490 Rue De La Gauchetiere O,\nMontreal,\nQC\nH2Z 0B3';
      var formatted = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_FormattedText.FormattedText, null, content));
      expect(formatted).toContainReactHtml('490 Rue De La Gauchetiere O,<br>Montreal,<br>QC<br>H2Z 0B3');
    });
  });
});