"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.basicImage = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../../test-utilities");

var _TextContainer = require("../TextContainer");

var _Image = require("./Image");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var meta = {
  component: _Image.Image,
  title: 'checkout-web-ui/Image',
  argTypes: {
    loading: {
      control: {
        type: 'select',
        options: ['eager', 'lazy'],
        required: false
      }
    },
    fit: {
      control: {
        type: 'select',
        options: ['cover', 'contain'],
        required: false
      }
    }
  }
};
var _default = meta;
exports["default"] = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react["default"].createElement(_Image.Image, args);
};

var basicImage = Template.bind({});
exports.basicImage = basicImage;
basicImage.args = {
  source: 'https://via.placeholder.com/320x180/eee',
  description: 'placeholder.com',
  loading: undefined,
  fit: undefined
};
var lazyLoading = Template.bind({});
exports.lazyLoading = lazyLoading;
lazyLoading.args = _objectSpread(_objectSpread({}, basicImage.args), {}, {
  loading: 'lazy'
});
var cover = Template.bind({});
exports.cover = cover;
cover.args = _objectSpread(_objectSpread({}, basicImage.args), {}, {
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: 'cover',
  bordered: true
});
cover.decorators = [function (Story) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 256
    }
  }, /*#__PURE__*/_react["default"].createElement(Story, null));
}];
var contain = Template.bind({});
exports.contain = contain;
contain.args = _objectSpread(_objectSpread({}, basicImage.args), {}, {
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: 'contain',
  bordered: true
});
contain.decorators = [function (Story) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 256
    }
  }, /*#__PURE__*/_react["default"].createElement(Story, null));
}];
var responsive = Template.bind({});
exports.responsive = responsive;
responsive.args = _objectSpread(_objectSpread({}, basicImage.args), {}, {
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1,
    viewportSize: 'small'
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2,
    viewportSize: 'small'
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 1,
    viewportSize: 'medium'
  }, {
    source: 'https://via.placeholder.com/1280x720/eee',
    resolution: 2,
    viewportSize: 'medium'
  }, {
    source: 'https://via.placeholder.com/1280x720/eee',
    resolution: 1,
    viewportSize: 'large'
  }, {
    source: 'https://via.placeholder.com/2560x1440/eee',
    resolution: 2,
    viewportSize: 'large'
  }]
});

var aspectRatio = function aspectRatio(args) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 320
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Image.Image, args), /*#__PURE__*/_react["default"].createElement("p", null, _testUtilities.faker.lorem.paragraphs(3))));
};

exports.aspectRatio = aspectRatio;
aspectRatio.args = _objectSpread(_objectSpread({}, basicImage), {}, {
  source: 'https://via.placeholder.com/640x360',
  aspectRatio: 3
});