"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InlineStack = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = require("../View");

var _InlineStack = require("./InlineStack");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var meta = {
  component: _InlineStack.InlineStack,
  title: 'checkout-web-ui/InlineStack',
  argTypes: {
    demoWidth: {
      control: {
        type: 'range',
        min: 0,
        max: 100
      }
    },
    spacing: {
      control: {
        type: 'select',
        options: [undefined, 'none', 'extraTight', 'tight', 'base', 'loose', 'extraLoose']
      }
    },
    alignment: {
      control: {
        type: 'select',
        options: [undefined, 'leading', 'center', 'trailing', 'baseline']
      }
    },
    blockAlignment: {
      control: {
        type: 'select',
        options: [undefined, 'center', 'trailing']
      }
    }
  }
};
var _default = meta;
exports["default"] = _default;

function Content(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 1 : _ref$size;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      backgroundColor: 'lightgrey',
      width: '5em',
      height: "".concat(size, "em")
    }
  });
}

var InlineStack = function InlineStack(_ref2) {
  var demoWidth = _ref2.demoWidth,
      args = _objectWithoutProperties(_ref2, ["demoWidth"]);

  return /*#__PURE__*/_react["default"].createElement(_View.View, {
    maxInlineSize: Number("0.".concat(demoWidth)),
    border: "dotted"
  }, /*#__PURE__*/_react["default"].createElement(_InlineStack.InlineStack, args, /*#__PURE__*/_react["default"].createElement(Content, null), /*#__PURE__*/_react["default"].createElement(Content, {
    size: 3
  }), /*#__PURE__*/_react["default"].createElement(Content, null), /*#__PURE__*/_react["default"].createElement(Content, {
    size: 2
  }), /*#__PURE__*/_react["default"].createElement(Content, null), /*#__PURE__*/_react["default"].createElement(Content, null), /*#__PURE__*/_react["default"].createElement(Content, {
    size: 3
  }), /*#__PURE__*/_react["default"].createElement(Content, null), /*#__PURE__*/_react["default"].createElement(Content, {
    size: 2
  })));
};

exports.InlineStack = InlineStack;
InlineStack.args = {
  demoWidth: 25,
  spacing: undefined,
  alignment: undefined,
  blockAlignment: undefined,
  wrap: false
};
InlineStack.story = {
  name: 'InlineStack'
};