"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Labelled = Labelled;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Text = require("../Text");

var _Truncate = require("../Truncate");

var _Theme = require("../Theme");

var _context = require("./context");

var _Labelled = _interopRequireDefault(require("./Labelled.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Labelled(_ref) {
  var children = _ref.children,
      label = _ref.label,
      htmlFor = _ref.htmlFor,
      empty = _ref.empty,
      _ref$position = _ref.position,
      position = _ref$position === void 0 ? 'inside' : _ref$position,
      _ref$background = _ref.background,
      background = _ref$background === void 0 ? 'surfaceTertiary' : _ref$background,
      subdued = _ref.subdued,
      prefixed = _ref.prefixed,
      hasIcon = _ref.hasIcon;

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      focused = _useState2[0],
      setFocused = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = _slicedToArray(_useState3, 2),
      wasNotEmpty = _useState4[0],
      setWasNotEmpty = _useState4[1];

  (0, _react.useEffect)(function () {
    if (!empty) {
      setWasNotEmpty(true);
    } else if (!focused) {
      setWasNotEmpty(false);
    }
  }, [focused, empty]);
  var floating = (!empty || empty && wasNotEmpty) && position === 'inside';
  var handleFocus = (0, _react.useCallback)(function () {
    setFocused(true);

    if (prefixed) {
      setWasNotEmpty(true);
    }
  }, [prefixed]);
  var handleBlur = (0, _react.useCallback)(function () {
    return setFocused(false);
  }, []);

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      typographyStyle = _useThemeConfiguratio.label.typographyStyle;

  return /*#__PURE__*/_react["default"].createElement(_context.LabelledContext.Provider, {
    value: {
      onFocus: handleFocus,
      onBlur: handleBlur,
      focused: focused,
      floating: floating
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _Labelled["default"].Wrapper
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_defineProperty({}, _Labelled["default"].floating, floating))
  }, /*#__PURE__*/_react["default"].createElement("label", {
    id: "".concat(htmlFor, "-label"),
    htmlFor: htmlFor,
    className: (0, _cssUtilities.classNames)(_Labelled["default"].Label, _Labelled["default"][(0, _cssUtilities.variationName)('Label-position', position)], subdued && _Labelled["default"]['Label-subdued'], background && _Labelled["default"][(0, _cssUtilities.variationName)('Label-onBackground', background)], hasIcon && _Labelled["default"]['Label-nextToIcon'])
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    size: "small",
    subdued: true,
    style: typographyStyle
  }, /*#__PURE__*/_react["default"].createElement(_Truncate.Truncate, null, label))), children)));
}