"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnstyledLink = UnstyledLink;

var _react = _interopRequireDefault(require("react"));

var _AppContext = require("../../../AppContext");

var _UnstyledLink = _interopRequireDefault(require("./UnstyledLink.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function UnstyledLink(_ref) {
  var children = _ref.children,
      classNameProp = _ref.className,
      to = _ref.to,
      external = _ref.external,
      id = _ref.id,
      language = _ref.language,
      ariaBusy = _ref.ariaBusy,
      ariaLive = _ref.ariaLive,
      ariaLabel = _ref.ariaLabel,
      onPress = _ref.onPress;
  var LinkComponent = (0, _AppContext.useLinkComponent)();

  var handleClick = onPress && function () {
    return onPress();
  };

  var className = classNameProp !== null && classNameProp !== void 0 ? classNameProp : _UnstyledLink["default"].UnstyledLink;

  if (LinkComponent) {
    return /*#__PURE__*/_react["default"].createElement(LinkComponent, {
      to: to,
      onClick: handleClick,
      external: external,
      id: id,
      className: className,
      lang: language,
      "aria-label": ariaLabel,
      "aria-busy": ariaBusy,
      "aria-live": ariaLive
    }, children);
  }

  var target = external ? '_blank' : undefined;
  var rel = external ? 'noopener noreferrer' : undefined;
  return /*#__PURE__*/_react["default"].createElement("a", {
    href: to,
    onClick: handleClick,
    target: target,
    rel: rel,
    id: id,
    className: className,
    lang: language,
    "aria-label": ariaLabel,
    "aria-busy": ariaBusy,
    "aria-live": ariaLive
  }, children);
}