"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Modal = Modal;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _AppContext = require("../AppContext");

var _Portal = require("../Portal");

var _Heading = require("../Heading");

var _Icon = require("../Icon");

var _transition = require("../../utilities/transition");

var _focusTrap = require("../../utilities/focusTrap");

var _id = require("../../utilities/id");

var _Modal = _interopRequireDefault(require("./Modal.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var DEFAULT_IFRAME_CONTENT_HEIGHT = 400;
var createId = (0, _id.createIdCreator)('ModalHeading');

function isIFrameProps(props) {
  return props.src !== undefined;
}

function Modal(_ref) {
  var _ref$blocking = _ref.blocking,
      blocking = _ref$blocking === void 0 ? false : _ref$blocking,
      _ref$long = _ref["long"],
      _long = _ref$long === void 0 ? false : _ref$long,
      onClose = _ref.onClose,
      _ref$open = _ref.open,
      openProp = _ref$open === void 0 ? false : _ref$open,
      title = _ref.title,
      titleHidden = _ref.titleHidden,
      props = _objectWithoutProperties(_ref, ["blocking", "long", "onClose", "open", "title", "titleHidden"]);

  var translate = (0, _AppContext.useTranslate)();

  var _useState = (0, _react.useState)(openProp),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var _useState3 = (0, _react.useState)(),
      _useState4 = _slicedToArray(_useState3, 2),
      iframeHeight = _useState4[0],
      setIframeHeight = _useState4[1];

  var titleBarRef = (0, _react.useRef)(null);
  var activatorRef = (0, _react.useRef)(null);
  var modalRef = (0, _focusTrap.useFocusTrap)({
    preventScroll: true
  });
  var modalHeadingId = (0, _id.useId)(undefined, createId);
  var transition = (0, _transition.useTransition)(open, {
    enter: 'fast'
  });

  var transitionClassName = _Modal["default"][(0, _cssUtilities.variationName)('transition', transition)];

  var closeModal = (0, _react.useCallback)(function () {
    setOpen(false);
    if ((activatorRef === null || activatorRef === void 0 ? void 0 : activatorRef.current) instanceof HTMLElement) activatorRef.current.focus();
    if (onClose) onClose();
    document.body.style.overflow = 'auto';
    setIframeHeight(undefined);
  }, [onClose]);
  var handleKeyDown = (0, _react.useCallback)(function (event) {
    if ((event.key === 'Escape' || event.key === 'Esc') && !blocking) {
      closeModal();
    }
  }, [blocking, closeModal]);
  (0, _react.useEffect)(function () {
    if (openProp) {
      document.body.style.overflow = 'hidden';
      activatorRef.current = document.activeElement;
      setOpen(true);
    } else {
      closeModal();
    }
  }, [openProp, closeModal]);
  (0, _react.useEffect)(function () {
    document.addEventListener('keydown', handleKeyDown, false);
    return function () {
      document.removeEventListener('keydown', handleKeyDown, false);
    };
  }, [handleKeyDown]);
  var handleIFrameLoad = (0, _react.useCallback)(function (evt) {
    var iframe = evt.target;

    if (iframe && iframe.contentWindow) {
      try {
        setIframeHeight(iframe.contentWindow.document.body.scrollHeight);
      } catch (_unused) {
        setIframeHeight(DEFAULT_IFRAME_CONTENT_HEIGHT);
      }
    }
  }, []);
  if (!open) return null;
  var ariaLabelOrLabelledby = titleHidden ? {
    'aria-label': title
  } : {
    'aria-labelledby': modalHeadingId
  };
  var titleMarkup = titleHidden ? /*#__PURE__*/_react["default"].createElement("span", null) : /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
    level: 1,
    id: modalHeadingId
  }, title);
  return /*#__PURE__*/_react["default"].createElement(_Portal.Portal, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: _Modal["default"].Modal
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_Modal["default"].Backdrop, transitionClassName)
  }, /*#__PURE__*/_react["default"].createElement("div", Object.assign({
    className: (0, _cssUtilities.classNames)(_Modal["default"].Content, transitionClassName, _defineProperty({}, _Modal["default"]['Content-isLong'], _long)),
    role: "dialog",
    "aria-modal": true
    /** @see https://dequeuniversity.com/rules/axe/4.1/scrollable-region-focusable?application=axeAPI */
    // eslint-disable-next-line jsx-a11y/no-noninteractive-tabindex
    ,
    tabIndex: 0,
    ref: modalRef
  }, ariaLabelOrLabelledby), (!titleHidden || !blocking) && /*#__PURE__*/_react["default"].createElement("header", {
    className: _Modal["default"].Header,
    ref: titleBarRef
  }, titleMarkup, !blocking && /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: _Modal["default"].Button,
    onClick: function onClick() {
      return closeModal();
    },
    "aria-label": translate('close') || 'Close'
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: "close",
    size: "large"
  }))), isIFrameProps(props) ? /*#__PURE__*/_react["default"].createElement("iframe", Object.assign({
    src: props.src,
    name: props.iFrameName,
    title: props.iFrameTitle || 'body markup',
    className: _Modal["default"].IFrame
  }, iframeHeight && {
    style: {
      height: "".concat(iframeHeight, "px")
    }
  }, !_long && {
    onLoad: handleIFrameLoad
  })) : /*#__PURE__*/_react["default"].createElement("div", {
    className: _Modal["default"].Body
  }, props.children)))));
}