"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoneySummary = MoneySummary;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _InlineStack = require("../InlineStack");

var _Text = require("../Text");

var _Theme = require("../Theme");

var _MoneyLine = require("../MoneyLine");

var _MoneySummary = _interopRequireDefault(require("./MoneySummary.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function MoneySummary(_ref) {
  var label = _ref.label,
      value = _ref.value,
      prefix = _ref.prefix,
      children = _ref.children;

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      inlineAlignment = _useThemeConfiguratio.moneyLines.inlineAlignment,
      _useThemeConfiguratio2 = _useThemeConfiguratio.moneySummary,
      background = _useThemeConfiguratio2.background,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.currencyCode,
      currencyCode = _useThemeConfiguratio3 === void 0 ? true : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.separator,
      separator = _useThemeConfiguratio4 === void 0 ? true : _useThemeConfiguratio4,
      labelTypographyStyle = _useThemeConfiguratio2.labelTypographyStyle,
      currencyTypographyStyle = _useThemeConfiguratio2.currencyTypographyStyle,
      valueTypographyStyle = _useThemeConfiguratio2.valueTypographyStyle;

  var className = (0, _cssUtilities.classNames)(_MoneySummary["default"].MoneySummary, background && _MoneySummary["default"][(0, _cssUtilities.variationName)('background', background)], inlineAlignment && _MoneySummary["default"][(0, _cssUtilities.variationName)('inlineAlignment', inlineAlignment)]);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, separator && /*#__PURE__*/_react["default"].createElement(_MoneyLine.MoneyLineSeparator, null), /*#__PURE__*/_react["default"].createElement("div", {
    className: className,
    role: "row"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _MoneySummary["default"].Label,
    role: "rowheader"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    size: "medium",
    style: labelTypographyStyle
  }, label), children), /*#__PURE__*/_react["default"].createElement("div", {
    className: _MoneySummary["default"].Value,
    role: "cell"
  }, /*#__PURE__*/_react["default"].createElement(_InlineStack.InlineStack, {
    alignment: "baseline",
    spacing: "tight"
  }, currencyCode && /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    role: {
      type: 'abbreviation'
    },
    size: "small",
    subdued: true,
    style: currencyTypographyStyle
  }, prefix), /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true,
    size: "extraLarge",
    style: valueTypographyStyle
  }, value)))));
}