"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.allBrands = exports.unknownBrand = exports.active = exports.disabled = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _PaymentIcon = require("./PaymentIcon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _PaymentIcon.PaymentIcon,
  title: 'checkout-web-ui/PaymentIcon',
  decorators: [function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        flexWrap: 'wrap'
      }
    }, story());
  }]
};
var _default = meta;
exports["default"] = _default;
var defaultProps = {
  paymentBrand: 'visa'
};

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_PaymentIcon.PaymentIcon, defaultProps);
};

exports.defaultState = defaultState;

var disabled = function disabled() {
  return /*#__PURE__*/_react["default"].createElement(_PaymentIcon.PaymentIcon, Object.assign({}, defaultProps, {
    disabled: true
  }));
};

exports.disabled = disabled;

var active = function active() {
  return /*#__PURE__*/_react["default"].createElement(_PaymentIcon.PaymentIcon, Object.assign({}, defaultProps, {
    active: true
  }));
};

exports.active = active;

var unknownBrand = function unknownBrand() {
  return /*#__PURE__*/_react["default"].createElement(_PaymentIcon.PaymentIcon, {
    paymentBrand: "Unknown brand"
  });
};

exports.unknownBrand = unknownBrand;

var allBrands = function allBrands() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "visa"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mastercard"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "amex"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "afterpay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "airtel_money"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "alipay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "amazon"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ambank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "american_express"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "amex"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "apple_pay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "arvato"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "atmbersama"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "bancnet"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "bancontact"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "bitcoin"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "bitcoin_cash"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "bogus"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "boleto"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "cash"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "cimb"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "circlek"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "citadele"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "clearpay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "collector_bank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dai"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dailyyamazaki"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dankort"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "danske_bank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dash"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "diners_club"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "discover"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dnb"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dogecoin"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "dwolla"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ebucks"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "eft_secure"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "eghl"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "elo"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "elv"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "enets"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "eos"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "epayments"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "eps"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "esr_paymentslip_switzerland"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ethereum"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "familymart"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "forbrugsforeningen"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "fpx"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "freecharge"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "generic"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "gift-card"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "giropay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "google_pay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "google_wallet"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "grabpay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "hongleongbank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "hyper"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "hypercard"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ideal"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "in3"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "interac"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "jcb"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "jousto"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "klarna-pay-later"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "klarna-pay-now"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "klarna-slice-it"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "klarna"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "krediidipank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "krungsri"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "laser"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "lawson"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "laybuy"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "lhv"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "litecoin"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "maestro"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mash"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "master"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mastercard"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "masterpass"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "maybank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ministop"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mobicred"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mobikwik"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mobilepay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mondido"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "monero"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "mpesa"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "netbanking"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "nordea"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ola_money"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "op"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ovo"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "ozow"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "pagoefectivo"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "payd"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "payfast_instant_eft"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "paymark_online_eftpos"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "paypal"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "paysafecard"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "paysera"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "paytm"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "payzapp"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "pivo"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "prepaysolutions"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "przelew24"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "publicbank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "rhbbank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "rupay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "santander"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "seb"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "seveneleven"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "sezzle"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "shopify_pay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "siamcommercial"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "sofort"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "spraypay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "sunkus"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "swedbank"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "swish"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "trustly"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "twint"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "unionpay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "unipay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "uob"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "usdc"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "v_pay"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "venmo"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "viabill"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "vipps"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "visa"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "visaelectron"
  }), /*#__PURE__*/_react["default"].createElement(WrappedPaymentIcon, {
    paymentBrand: "wechatpay"
  }));
};

exports.allBrands = allBrands;

var WrappedPaymentIcon = function WrappedPaymentIcon(props) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      padding: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_PaymentIcon.PaymentIcon, props));
};