"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Popover = Popover;

var _cssUtilities = require("@shopify/css-utilities");

var _react = _interopRequireWildcard(require("react"));

var _id = require("../../utilities/id");

var _focus = require("../../utilities/focus");

var _Popper = require("../Popper");

var _Theme = require("../Theme");

var _Popover = _interopRequireDefault(require("./Popover.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var createId = (0, _id.createIdCreator)('Popover');

function Popover(_ref) {
  var children = _ref.children,
      activator = _ref.activator,
      open = _ref.open,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'inlineEnd' : _ref$placement,
      _ref$backdrop = _ref.backdrop,
      backdrop = _ref$backdrop === void 0 ? 'none' : _ref$backdrop,
      onClose = _ref.onClose;

  var _useState = (0, _react.useState)(null),
      _useState2 = _slicedToArray(_useState, 2),
      popoverRef = _useState2[0],
      setPopoverRef = _useState2[1];

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.popover,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.connector,
      connector = _useThemeConfiguratio3 === void 0 ? 'arrow' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.depth,
      depth = _useThemeConfiguratio4 === void 0 ? 'far' : _useThemeConfiguratio4;

  var id = (0, _id.useId)(undefined, createId);
  var nextFocusableNode = activator && (0, _focus.findNextFocusableNode)(activator);
  var firstFocusableNode = popoverRef && (0, _focus.findFirstFocusableNode)(popoverRef);
  var lastFocusableNode = popoverRef && (0, _focus.findLastFocusableNode)(popoverRef);
  var setActivatorAccessibilityAttributes = (0, _react.useCallback)(function () {
    activator === null || activator === void 0 ? void 0 : activator.setAttribute('aria-controls', id);
    activator === null || activator === void 0 ? void 0 : activator.setAttribute('aria-expanded', String(open));
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [activator, id, open]);
  var handleClose = (0, _react.useCallback)(function () {
    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [onClose]);
  var handleClickOutside = (0, _react.useCallback)(function (event) {
    if (event.target instanceof Node && !(activator === null || activator === void 0 ? void 0 : activator.contains(event.target)) && !(popoverRef === null || popoverRef === void 0 ? void 0 : popoverRef.contains(event.target))) {
      handleClose();
    }
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [handleClose, activator, popoverRef]);
  var handleKeyDown = (0, _react.useCallback)(function (event) {
    switch (event.key) {
      case 'Escape':
      case 'Esc':
        handleClose();
        activator === null || activator === void 0 ? void 0 : activator.focus();
        break;

      case 'Tab':
        {
          if ((0, _focus.isFocused)(activator) && event.shiftKey) {
            handleClose();
          } else if ((0, _focus.isFocused)(activator)) {
            event.preventDefault();
            firstFocusableNode === null || firstFocusableNode === void 0 ? void 0 : firstFocusableNode.focus();
          } else if ((0, _focus.isFocused)(firstFocusableNode) && event.shiftKey) {
            event.preventDefault();
            activator === null || activator === void 0 ? void 0 : activator.focus();
            handleClose();
          } else if ((0, _focus.isFocused)(lastFocusableNode) && !event.shiftKey) {
            event.preventDefault();
            nextFocusableNode === null || nextFocusableNode === void 0 ? void 0 : nextFocusableNode.focus();
            handleClose();
          }

          break;
        }
    }
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [handleClose, activator, nextFocusableNode, firstFocusableNode, lastFocusableNode]);
  (0, _react.useEffect)(function () {
    document.addEventListener('click', handleClickOutside);
    return function () {
      document.removeEventListener('click', handleClickOutside);
    };
  }, [handleClickOutside]);
  (0, _react.useEffect)(function () {
    if (open) {
      document.addEventListener('keydown', handleKeyDown, false);
    }

    return function () {
      document.removeEventListener('keydown', handleKeyDown, false);
    };
  }, [open, handleKeyDown]);
  (0, _react.useEffect)(function () {
    setActivatorAccessibilityAttributes();
  });
  var popoverClassName = (0, _cssUtilities.classNames)(_Popover["default"].Popover, _Popover["default"][(0, _cssUtilities.variationName)('Popover-placement', placement)], _Popover["default"][(0, _cssUtilities.variationName)('Popover-connector', connector)], _Popover["default"][(0, _cssUtilities.variationName)('Popover-depth', depth)]);
  var contentClassName = (0, _cssUtilities.classNames)(_Popover["default"].Content, _Popover["default"][(0, _cssUtilities.variationName)('Content-placement', placement)]);
  var backdropClassName = (0, _cssUtilities.classNames)(_Popover["default"].Backdrop, _Popover["default"][(0, _cssUtilities.variationName)('Backdrop-style', backdrop)]);
  var offset = connector === 'arrow' ? 15 : 5;
  return open ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Popper.Popper, {
    activator: activator,
    placement: placement,
    offset: offset
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: popoverClassName,
    id: id,
    ref: setPopoverRef
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: contentClassName
  }, children))), backdrop === 'translucent' ? /*#__PURE__*/_react["default"].createElement("div", {
    className: backdropClassName
  }) : null) : null;
}