"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Popper = Popper;

var _react = _interopRequireWildcard(require("react"));

var _Portal = require("../Portal");

var _units = require("../../utilities/units");

var _hooks = require("./hooks");

var _context = require("./context");

var _offsets = require("./utilities/offsets");

var _Popper = _interopRequireDefault(require("./Popper.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Popper(_ref) {
  var children = _ref.children,
      offset = _ref.offset,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'blockStart' : _ref$placement,
      preventOverflow = _ref.preventOverflow,
      activator = _ref.activator,
      sameInlineSize = _ref.sameInlineSize,
      minInlineSize = _ref.minInlineSize;
  var referenceRect = (0, _hooks.useEffectRect)(activator);

  var _useRect = (0, _hooks.useRect)(),
      _useRect2 = _slicedToArray(_useRect, 2),
      popperRect = _useRect2[0],
      popperRef = _useRect2[1];

  var _useMemo = (0, _react.useMemo)(function () {
    return (0, _offsets.computeOffsets)(placement, popperRect, referenceRect, {
      offset: offset,
      preventOverflow: preventOverflow,
      sameInlineSize: sameInlineSize
    });
  }, [offset, placement, popperRect, preventOverflow, referenceRect, sameInlineSize]),
      clipping = _useMemo.clipping,
      offsets = _useMemo.offsets,
      spacing = _useMemo.spacing;

  var contextValue = (0, _react.useMemo)(function () {
    return {
      clipping: clipping,
      offsets: offsets,
      placement: placement,
      popperRect: popperRect,
      referenceRect: referenceRect,
      spacing: spacing
    };
  }, [clipping, offsets, placement, popperRect, referenceRect, spacing]);

  var _roundOffsets = (0, _offsets.roundOffsets)({
    x: offsets.x + spacing + (window.scrollX || window.pageXOffset),
    y: offsets.y + (window.scrollY || window.pageYOffset)
  }),
      x = _roundOffsets.x,
      y = _roundOffsets.y;

  var transform = (window.devicePixelRatio || 1) < 2 ? "translate(".concat(x, "px, ").concat(y, "px)") : "translate3d(".concat(x, "px, ").concat(y, "px, 0)");
  return /*#__PURE__*/_react["default"].createElement(_context.PopperContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/_react["default"].createElement(_Portal.Portal, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: _Popper["default"].Popper,
    style: _objectSpread({}, referenceRect && _objectSpread(_objectSpread({
      transform: transform,
      MozTransform: transform,
      webkitTransform: transform
    }, sameInlineSize && {
      width: referenceRect.width
    }), minInlineSize && {
      minWidth: (0, _units.rem)(minInlineSize)
    })),
    ref: popperRef
  }, children)));
}