"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioControl = RadioControl;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Theme = require("../Theme");

var _id = require("../../utilities/id");

var _RadioControl = _interopRequireDefault(require("./RadioControl.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var createId = (0, _id.createIdCreator)('Radio');

function RadioControl(_ref) {
  var explicitId = _ref.id,
      name = _ref.name,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? false : _ref$value,
      _ref$checked = _ref.checked,
      checked = _ref$checked === void 0 ? value : _ref$checked,
      disabled = _ref.disabled,
      onChange = _ref.onChange;
  var id = (0, _id.useId)(explicitId, createId);

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      controlsBackground = _useThemeConfiguratio.controls.background,
      _useThemeConfiguratio2 = _useThemeConfiguratio.radio,
      radioBackground = _useThemeConfiguratio2.background,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.borderColor,
      borderColor = _useThemeConfiguratio3 === void 0 ? 'base' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.checkedStyle,
      checkedStyle = _useThemeConfiguratio4 === void 0 ? 'ring' : _useThemeConfiguratio4,
      _useThemeConfiguratio5 = _useThemeConfiguratio2.checkedColor,
      checkedColor = _useThemeConfiguratio5 === void 0 ? 'interactive' : _useThemeConfiguratio5,
      _useThemeConfiguratio6 = _useThemeConfiguratio2.size,
      size = _useThemeConfiguratio6 === void 0 ? 'base' : _useThemeConfiguratio6;

  var background = radioBackground || controlsBackground || 'surfaceTertiary';
  var className = (0, _cssUtilities.classNames)(_RadioControl["default"].Input, disabled && _RadioControl["default"]['Input-isDisabled'], _RadioControl["default"][(0, _cssUtilities.variationName)('Input-size', size)], _RadioControl["default"][(0, _cssUtilities.variationName)('Input-background', background)], _RadioControl["default"][(0, _cssUtilities.variationName)('Input-borderColor', borderColor)], _RadioControl["default"][(0, _cssUtilities.variationName)('Input-checkedStyle', checkedStyle)], _RadioControl["default"][(0, _cssUtilities.variationName)('Input-checkedColor', checkedColor)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _RadioControl["default"].Radio
  }, /*#__PURE__*/_react["default"].createElement("input", {
    type: "radio",
    id: id,
    name: name,
    checked: checked,
    disabled: disabled,
    onChange: function (_onChange) {
      function onChange(_x) {
        return _onChange.apply(this, arguments);
      }

      onChange.toString = function () {
        return _onChange.toString();
      };

      return onChange;
    }(function (_ref2) {
      var currentTarget = _ref2.currentTarget;
      onChange === null || onChange === void 0 ? void 0 : onChange(currentTarget.checked);
    }),
    className: className
  }));
}