"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MultipleBlockSizes = exports.CustomInlineSizes = exports.ThreeLines = exports.OneLine = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _TextContainer = require("../TextContainer");

var _Redact = require("./Redact");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Redact.Redact,
  title: 'checkout-web-ui/Redact',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)()]
};
var _default = meta;
exports["default"] = _default;

var OneLine = function OneLine() {
  return /*#__PURE__*/_react["default"].createElement(_Redact.Redact, null);
};

exports.OneLine = OneLine;

var ThreeLines = function ThreeLines() {
  return /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3
  }));
};

exports.ThreeLines = ThreeLines;

var CustomInlineSizes = function CustomInlineSizes() {
  return /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    inlineSizes: [0.9, 0.5, 0.2]
  }));
};

exports.CustomInlineSizes = CustomInlineSizes;

var MultipleBlockSizes = function MultipleBlockSizes() {
  return /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, {
    spacing: "loose"
  }, /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    blockSize: "extraSmall"
  })), /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    blockSize: "small"
  })), /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    blockSize: "medium"
  })), /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    blockSize: "large"
  })), /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Redact.Redact, {
    lines: 3,
    blockSize: "extraLarge"
  })));
};

exports.MultipleBlockSizes = MultipleBlockSizes;