"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceList = ResourceList;
exports.ResourceListHeader = ResourceListHeader;
exports.ResourceListHeaderContent = ResourceListHeaderContent;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _id = require("../../utilities/id");

var _legacy = require("../../utilities/legacy");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _View = require("../View");

var _ResourceList = _interopRequireDefault(require("./ResourceList.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var createId = (0, _id.createIdCreator)('ResourceList');

function ResourceList(_ref) {
  var children = _ref.children,
      title = _ref.title,
      titleHidden = _ref.titleHidden,
      spacing = _ref.spacing,
      border = _ref.border,
      borderStyle = _ref.borderStyle,
      borderColor = _ref.borderColor;
  var id = (0, _id.useId)(undefined, createId);
  var className = (0, _cssUtilities.classNames)(_ResourceList["default"].ResourceList, _legacy.utilityDefaultBorderColor, spacing && _ResourceList["default"][(0, _cssUtilities.variationName)('spacing', spacing)], border && _ResourceList["default"][(0, _cssUtilities.variationName)('border', border)], borderStyle && _ResourceList["default"][(0, _cssUtilities.variationName)('borderStyle', borderStyle)], borderColor && _ResourceList["default"][(0, _cssUtilities.variationName)('borderColor', borderColor)]);
  var titleMarkup = title ? /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
    id: id
  }, title) : null;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, title && titleHidden ? /*#__PURE__*/_react["default"].createElement(_View.View, {
    visibility: "hidden"
  }, titleMarkup) : titleMarkup, /*#__PURE__*/_react["default"].createElement(_HeadingGroup.HeadingGroup, null, /*#__PURE__*/_react["default"].createElement("div", {
    role: "table",
    "aria-labelledby": id,
    className: className
  }, children)));
}

function ResourceListHeader(_ref2) {
  var children = _ref2.children,
      hidden = _ref2.hidden;
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "row",
    className: (0, _cssUtilities.classNames)(_ResourceList["default"].ResourceListHeader, _defineProperty({}, _ResourceList["default"]['ResourceListHeader-isHidden'], hidden))
  }, children);
}

function ResourceListHeaderContent(_ref3) {
  var children = _ref3.children,
      primary = _ref3.primary,
      hidden = _ref3.hidden;
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "columnheader",
    className: primary ? _ResourceList["default"]['ResourceListHeaderContent-isPrimary'] : undefined
  }, hidden ? /*#__PURE__*/_react["default"].createElement(_View.View, {
    visibility: "hidden"
  }, children) : children);
}