"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceItemContent = ResourceItemContent;
exports.ResourceItem = ResourceItem;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../../../utilities/legacy");

var _View = require("../../../View");

var _ResourceItem = _interopRequireDefault(require("./ResourceItem.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ResourceItemContent(_ref) {
  var _ref$alignment = _ref.alignment,
      alignment = _ref$alignment === void 0 ? 'center' : _ref$alignment,
      children = _ref.children,
      primary = _ref.primary,
      hidden = _ref.hidden;
  var className = (0, _cssUtilities.classNames)(_ResourceItem["default"].ResourceItemContent, alignment && _ResourceItem["default"][(0, _cssUtilities.variationName)('ResourceItemContent-alignment', alignment)], primary && _ResourceItem["default"]['ResourceItemContent-isPrimary'], hidden && _ResourceItem["default"]['ResourceItemContent-isHidden']);
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "cell",
    className: className
  }, hidden ? /*#__PURE__*/_react["default"].createElement(_View.View, {
    visibility: "hidden"
  }, children) : children);
}

function ResourceItem(_ref2) {
  var children = _ref2.children,
      background = _ref2.background,
      divider = _ref2.divider,
      inlinePadding = _ref2.inlinePadding,
      blockPadding = _ref2.blockPadding,
      _ref2$spacing = _ref2.spacing,
      spacing = _ref2$spacing === void 0 ? 'base' : _ref2$spacing;
  var className = (0, _cssUtilities.classNames)(_ResourceItem["default"].ResourceItem, _legacy.utilityDefaultBorderColor, background && _ResourceItem["default"][(0, _cssUtilities.variationName)('background', background)], inlinePadding && _ResourceItem["default"][(0, _cssUtilities.variationName)('inlinePadding', inlinePadding)], blockPadding && _ResourceItem["default"][(0, _cssUtilities.variationName)('blockPadding', blockPadding)], divider && _ResourceItem["default"][(0, _cssUtilities.variationName)('divider', divider)], spacing && _ResourceItem["default"][(0, _cssUtilities.variationName)('spacing', spacing)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "row",
    className: className
  }, children);
}