"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.multipleContent = exports.withoutPrimaryContent = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../../../storybook-utilities");

var _Text = require("../../../Text");

var _Thumbnail = require("../../../Thumbnail");

var _TextBlock = require("../../../TextBlock");

var _Icon = require("../../../Icon");

var _InlineStack = require("../../../InlineStack");

var _ResourceItem = require("./ResourceItem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _ResourceItem.ResourceItem,
  title: 'checkout-web-ui/ResourceItem',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)(), function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      role: "table"
    }, story());
  }]
};
var _default = meta;
exports["default"] = _default;

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItem, null, /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "T-shirt")), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "$10.00")));
};

exports.defaultState = defaultState;

var withoutPrimaryContent = function withoutPrimaryContent() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItem, null, /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "T-shirt")), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "$10.00")));
};

exports.withoutPrimaryContent = withoutPrimaryContent;

var multipleContent = function multipleContent() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItem, null, /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, {
    description: "some media source",
    badge: 1
  })), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "T-shirt"), /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    size: "small",
    subdued: true
  }, "Blue"), /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    appearance: "success"
  }, /*#__PURE__*/_react["default"].createElement(_InlineStack.InlineStack, {
    alignment: "center",
    spacing: "extraTight"
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: "checkmark",
    size: "default"
  }), /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    size: "small"
  }, "Available")))), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "$10.00")));
};

exports.multipleContent = multipleContent;