"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primaryAndSecondaryActions = exports.primaryAction = exports.withGroupedSectionsAndShowcase = exports.withGroupedSections = exports.withSectionsAndShowcase = exports.withSections = exports.noActions = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _Button = require("../Button");

var _storybookUtilities = require("../../storybook-utilities");

var _Step = require("./Step");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Step.Step,
  title: 'checkout-web-ui/Step',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('actions')]
};
var _default = meta;
exports["default"] = _default;

var stepContent = /*#__PURE__*/_react["default"].createElement("p", null, "Content");

var stepSectionContent = /*#__PURE__*/_react["default"].createElement("p", null, "Section content");

var stepSectionShowcase = /*#__PURE__*/_react["default"].createElement("p", null, "Showcased content");

var noActions = function noActions() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, null, /*#__PURE__*/_react["default"].createElement("p", null, "Content")));
};

exports.noActions = noActions;

var withSections = function withSections() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, null, /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent)), /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Shipping information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Shipping information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent)), /*#__PURE__*/_react["default"].createElement(_Step.StepSection, null, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, /*#__PURE__*/_react["default"].createElement("p", null, "This is Section content without a Title")))));
};

exports.withSections = withSections;

var withSectionsAndShowcase = function withSectionsAndShowcase() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, null, /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase))));
};

exports.withSectionsAndShowcase = withSectionsAndShowcase;

var withGroupedSections = function withGroupedSections() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, {
    grouped: true
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent)), /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Shipping information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Shipping information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent)), /*#__PURE__*/_react["default"].createElement(_Step.StepSection, null, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, /*#__PURE__*/_react["default"].createElement("p", null, "This is Section content without a Title")))));
};

exports.withGroupedSections = withGroupedSections;

var withGroupedSectionsAndShowcase = function withGroupedSectionsAndShowcase() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, {
    grouped: true
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionContent, null, stepSectionContent), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/_react["default"].createElement(_Step.StepSectionShowcase, null, stepSectionShowcase))));
};

exports.withGroupedSectionsAndShowcase = withGroupedSectionsAndShowcase;

var primaryAction = function primaryAction() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, null, stepSectionContent), /*#__PURE__*/_react["default"].createElement(_Step.StepActions, null, /*#__PURE__*/_react["default"].createElement(_Step.StepPrimaryAction, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    fill: true,
    to: "/shipping"
  }, "Continue to shipping"))));
};

exports.primaryAction = primaryAction;

var primaryAndSecondaryActions = function primaryAndSecondaryActions() {
  return /*#__PURE__*/_react["default"].createElement(_Step.Step, null, /*#__PURE__*/_react["default"].createElement(_Step.StepContent, null, stepContent), /*#__PURE__*/_react["default"].createElement(_Step.StepActions, null, /*#__PURE__*/_react["default"].createElement(_Step.StepPrimaryAction, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    fill: true,
    to: "/shipping"
  }, "Continue to shipping")), /*#__PURE__*/_react["default"].createElement(_Step.StepSecondaryAction, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    to: "/cart",
    plain: true,
    fill: true
  }, "Return to cart"))));
};

exports.primaryAndSecondaryActions = primaryAndSecondaryActions;