"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.error = exports.minMaxAndStep = exports.step = exports.minAndMax = exports.max = exports.min = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Stepper = require("./Stepper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Stepper.Stepper,
  title: 'checkout-web-ui/Stepper',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('textFields', 'primaryButton'), function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        padding: '1em'
      }
    }, story());
  }]
};
var _default = meta;
exports["default"] = _default;
var defaultProps = {
  label: 'Quantity'
};

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, defaultProps);
};

exports.defaultState = defaultState;

var min = function min() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    min: 3
  }));
};

exports.min = min;

var max = function max() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    max: 5
  }));
};

exports.max = max;

var minAndMax = function minAndMax() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    min: 1,
    max: 5
  }));
};

exports.minAndMax = minAndMax;

var step = function step() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    step: 0.5
  }));
};

exports.step = step;

var minMaxAndStep = function minMaxAndStep() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    step: 2,
    min: 0,
    max: 5
  }));
};

exports.minMaxAndStep = minMaxAndStep;

var error = function error() {
  return /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, Object.assign({}, defaultProps, {
    error: "Limit reached"
  }));
};

exports.error = error;