"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modularScale = modularScale;

function modularScale(point, base) {
  var ratio = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1.285;
  var unit = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'rem';
  var baseValue = typeof base === 'string' ? parseFloat(base) : base;
  var ratioValue = typeof ratio === 'string' ? parseFloat(ratio) : ratio;
  var normalizedValue = unit === 'rem' ? baseValue / 10 : baseValue;
  return "".concat(Math.pow(ratioValue, point) * normalizedValue).concat(unit);
}