"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.smallThumbnailWithBadge = exports.withExpandedBadge = exports.withBadge = exports.withSource = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Thumbnail = require("./Thumbnail");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Thumbnail.Thumbnail,
  title: 'checkout-web-ui/Thumbnail',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('thumbnail'), function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        margin: '1em'
      }
    }, story());
  }]
};
var _default = meta;
exports["default"] = _default;
var defaultProps = {
  description: 'Placeholder image'
};

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, defaultProps);
};

exports.defaultState = defaultState;

var withSource = function withSource() {
  return /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
    source: "https://via.placeholder.com/64x64/eee"
  }));
};

exports.withSource = withSource;

var withBadge = function withBadge() {
  return /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
    badge: 1
  }));
};

exports.withBadge = withBadge;

var withExpandedBadge = function withExpandedBadge() {
  return /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
    badge: "New"
  }));
};

exports.withExpandedBadge = withExpandedBadge;

var smallThumbnailWithBadge = function smallThumbnailWithBadge() {
  return /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
    badge: 1,
    size: "small"
  }));
};

exports.smallThumbnailWithBadge = smallThumbnailWithBadge;