"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tooltip = Tooltip;
exports.TooltipContent = TooltipContent;
exports.TooltipArrow = TooltipArrow;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _id = require("../../utilities/id");

var _transition = require("../../utilities/transition");

var _Popper = require("../Popper");

var _TextBlock = require("../TextBlock");

var _TextContainer = require("../TextContainer");

var _Theme = require("../Theme");

var _Tooltip = _interopRequireDefault(require("./Tooltip.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var createId = (0, _id.createIdCreator)('Tooltip');

function Tooltip(_ref) {
  var content = _ref.content,
      children = _ref.children;

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      active = _useState2[0],
      setActive = _useState2[1];

  var buttonRef = (0, _react.useRef)(null);
  var ignoreNonTouchEvents = (0, _react.useRef)(false);
  var transition = (0, _transition.useTransition)(active, {
    exit: 'base'
  });

  function handleKeyDown(event) {
    switch (event.key) {
      case 'Enter':
      case 'Space':
        event.preventDefault();
        setActive(!active);
        break;

      case 'Escape':
      case 'Esc':
        event.preventDefault();
        setActive(false);
        break;
    }
  }

  var id = (0, _id.useId)(undefined, createId);
  var controlId = active ? id : undefined;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Tooltip["default"].Wrapper
  }, /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: _Tooltip["default"].Button,
    "aria-pressed": active,
    "aria-controls": controlId,
    "aria-describedby": controlId,
    onFocus: function onFocus() {
      if (ignoreNonTouchEvents.current) {
        return;
      }

      setActive(true);
    },
    onBlur: function onBlur() {
      if (ignoreNonTouchEvents.current) {
        return;
      }

      setActive(false);
    },
    onMouseEnter: function onMouseEnter() {
      if (ignoreNonTouchEvents.current) {
        return;
      }

      setActive(true);
    },
    onMouseLeave: function onMouseLeave() {
      setActive(false);
    },
    onTouchStart: function onTouchStart() {
      ignoreNonTouchEvents.current = true;
    },
    onClick: function onClick() {
      setActive(!active);
    },
    onKeyDown: handleKeyDown,
    ref: buttonRef
  }, children), transition !== 'exited' && /*#__PURE__*/_react["default"].createElement(_Popper.Popper, {
    activator: buttonRef.current,
    preventOverflow: true
  }, /*#__PURE__*/_react["default"].createElement(TooltipContent, {
    content: content,
    id: controlId,
    onMouseEnter: function onMouseEnter() {
      if (ignoreNonTouchEvents.current) {
        return;
      }

      setActive(true);
    },
    onMouseLeave: function onMouseLeave() {
      setActive(false);
    },
    transition: transition
  })));
}

function TooltipContent(_ref2) {
  var content = _ref2.content,
      id = _ref2.id,
      onMouseEnter = _ref2.onMouseEnter,
      onMouseLeave = _ref2.onMouseLeave,
      transition = _ref2.transition;

  var _usePopper = (0, _Popper.usePopper)(),
      clipping = _usePopper.clipping,
      spacing = _usePopper.spacing;

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.tooltip,
      background = _useThemeConfiguratio2.background,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.opacity,
      opacity = _useThemeConfiguratio3 === void 0 ? 'translucent' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.borderRadius,
      borderRadius = _useThemeConfiguratio4 === void 0 ? 'base' : _useThemeConfiguratio4,
      _useThemeConfiguratio5 = _useThemeConfiguratio2.textAlignment,
      textAlignment = _useThemeConfiguratio5 === void 0 ? 'center' : _useThemeConfiguratio5;

  var offsetX = (clipping.right || clipping.left) && "calc(50% - ".concat((clipping.right || clipping.left) + spacing, "px)");
  var className = (0, _cssUtilities.classNames)(_Tooltip["default"].Tooltip, _Tooltip["default"][(0, _cssUtilities.variationName)('transition', transition)], _Tooltip["default"][(0, _cssUtilities.variationName)('Tooltip-opacity', opacity)], _Tooltip["default"][(0, _cssUtilities.variationName)('Tooltip-borderRadius', borderRadius)], background && _Tooltip["default"][(0, _cssUtilities.variationName)('Tooltip-background', background)]);
  var alignment = textAlignment === 'start' ? 'leading' : textAlignment;
  return (
    /*#__PURE__*/

    /* eslint-disable-next-line jsx-a11y/no-noninteractive-element-interactions */
    _react["default"].createElement("div", {
      id: id,
      role: "tooltip",
      onMouseEnter: onMouseEnter,
      onMouseLeave: onMouseLeave,
      className: className,
      style: _objectSpread({}, offsetX && {
        transformOrigin: "".concat(offsetX, " 120%")
      })
    }, /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, {
      alignment: alignment
    }, /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
      size: "small"
    }, content)), /*#__PURE__*/_react["default"].createElement(TooltipArrow, null))
  );
}

function TooltipArrow() {
  var _usePopper2 = (0, _Popper.usePopper)(),
      clipping = _usePopper2.clipping,
      spacing = _usePopper2.spacing;

  var offsetX = (clipping.right || clipping.left) && "calc(".concat(document.dir === 'ltr' ? '-50' : '50', "% - ").concat((clipping.right || clipping.left) + spacing, "px)");
  var transform = (window.devicePixelRatio || 1) < 2 ? "translate(".concat(offsetX, ", 0)") : "translate3d(".concat(offsetX, ", 0, 0)");
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Tooltip["default"].Arrow,
    style: _objectSpread({}, offsetX && {
      transform: transform,
      MozTransform: transform,
      webkitTransform: transform
    })
  });
}