"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.accessibilityVisibility = exports.visibility = exports.display = exports.responsive = exports.logical = exports.padding = exports.borderColor = exports.borderRadius = exports.borderWidth = exports.border = exports.maxInlineSize = exports.background = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _TextBlock = require("../TextBlock");

var _View = require("./View");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _View.View,
  title: 'checkout-web-ui/View',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)()]
};
var _default = meta;
exports["default"] = _default;
var defaultProps = {
  border: 'base',
  padding: 'base'
};

var background = function background() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    background: "surfacePrimary"
  }), "primary", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    background: "surfaceSecondary"
  }), "secondary", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    background: "surfaceTertiary"
  }), "tertiary", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    background: "transparent"
  }), "transparent"))));
};

exports.background = background;

var maxInlineSize = function maxInlineSize() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    maxInlineSize: 0.5
  }), "50%", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    maxInlineSize: 200
  }), "200px"));
};

exports.maxInlineSize = maxInlineSize;

var border = function border() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    border: "base"
  }), "solid", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    border: "dotted"
  }), "dotted", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    border: "none"
  }), "none")));
};

exports.border = border;

var borderWidth = function borderWidth() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderWidth: "base"
  }), "base", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderWidth: "thick"
  }), "thick"));
};

exports.borderWidth = borderWidth;

var borderRadius = function borderRadius() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderRadius: "tight"
  }), "tight", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderRadius: "base"
  }), "base", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderRadius: "none"
  }), "none")));
};

exports.borderRadius = borderRadius;

var borderColor = function borderColor() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderColor: "base"
  }), "base", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    borderColor: "emphasized"
  }), "emphasized"));
};

exports.borderColor = borderColor;

var padding = function padding() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "extraTight"
  }), "extraTight", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "tight"
  }), "tight", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "base"
  }), "base", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "loose"
  }), "loose", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "extraLoose"
  }), "extraLoose", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: "none"
  }), "none"))))));
};

exports.padding = padding;

var logical = function logical() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: ['base', 'extraTight'],
    borderRadius: ['base', 'tight'],
    border: ['dotted', 'base'],
    borderWidth: ['base', 'thick']
  }), "2 directions", /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    padding: ['loose', 'extraLoose', 'tight', 'extraTight'],
    borderRadius: ['tight', 'none', 'base', 'tight'],
    border: ['base', 'dotted', 'none', 'base'],
    borderWidth: ['base', 'thick', 'thick', 'base']
  }), "4 directions"));
};

exports.logical = logical;

var responsive = function responsive() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, {
    maxInlineSize: {
      base: 200,
      small: 300,
      medium: 400,
      large: 800
    },
    background: {
      base: 'surfacePrimary',
      small: 'surfaceSecondary',
      medium: 'surfaceTertiary',
      large: 'transparent'
    },
    border: {
      base: 'base',
      small: 'none',
      medium: 'dotted',
      large: 'base'
    },
    borderWidth: {
      medium: 'base',
      large: 'thick'
    },
    padding: {
      base: 'extraTight',
      small: 'base',
      medium: 'loose',
      large: 'extraLoose'
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, null, "Default:", ' ', /*#__PURE__*/_react["default"].createElement("code", null, "extraTight padding / base border / surfacePrimary background"), /*#__PURE__*/_react["default"].createElement("br", null), " Media Small:", ' ', /*#__PURE__*/_react["default"].createElement("code", null, "base padding / no border / surfaceSecondary background"), /*#__PURE__*/_react["default"].createElement("br", null), " Media Medium:", ' ', /*#__PURE__*/_react["default"].createElement("code", null, "loose padding / base dotted border / surfaceTertiary background"), /*#__PURE__*/_react["default"].createElement("br", null), " Media Large:", ' ', /*#__PURE__*/_react["default"].createElement("code", null, "extraLoose padding / thick base border / transparent background")));
};

exports.responsive = responsive;

var display = function display() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_View.View, defaultProps, "These ", /*#__PURE__*/_react["default"].createElement(_View.View, {
    display: "inline"
  }, "are"), ' ', /*#__PURE__*/_react["default"].createElement(_View.View, {
    display: "inline"
  }, "inline"), " views"), /*#__PURE__*/_react["default"].createElement("br", null), /*#__PURE__*/_react["default"].createElement(_View.View, defaultProps, "These ", /*#__PURE__*/_react["default"].createElement(_View.View, {
    display: "block"
  }, "are"), " ", /*#__PURE__*/_react["default"].createElement(_View.View, {
    display: "block"
  }, "block"), ' ', "views"));
};

exports.display = display;

var visibility = function visibility() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, null, "There is a visually hidden View inside the box and its content is accessible to screen readers."), /*#__PURE__*/_react["default"].createElement(_View.View, defaultProps, /*#__PURE__*/_react["default"].createElement(_View.View, {
    visibility: "hidden"
  }, "visually hidden content")));
};

exports.visibility = visibility;

var accessibilityVisibility = function accessibilityVisibility() {
  return /*#__PURE__*/_react["default"].createElement(_View.View, Object.assign({}, defaultProps, {
    accessibilityVisibility: "hidden"
  }), "This content is not accessible to screen readers");
};

exports.accessibilityVisibility = accessibilityVisibility;