"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mountWithContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _components = require("../components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultTranslate = function defaultTranslate() {
  return 'NO_TRANSLATIONS_PROVIDED';
};

var mountWithContext = (0, _dom.createMount)({
  context: function context(_ref) {
    var _ref$theme = _ref.theme,
        theme = _ref$theme === void 0 ? (0, _components.createTheme)() : _ref$theme;
    return {
      theme: theme
    };
  },
  render: function render(element, _ref2, _ref3) {
    var theme = _ref2.theme;
    var _ref3$translate = _ref3.translate,
        translate = _ref3$translate === void 0 ? defaultTranslate : _ref3$translate,
        linkComponent = _ref3.linkComponent;
    return /*#__PURE__*/_react["default"].createElement(_components.AppContext, {
      translate: translate,
      linkComponent: linkComponent
    }, /*#__PURE__*/_react["default"].createElement(_components.ThemeContext.Provider, {
      value: theme
    }, element));
  }
});
exports.mountWithContext = mountWithContext;