"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useResponsiveValue = useResponsiveValue;

var _breakpoint2 = require("./breakpoint");

function useResponsiveValue(values) {
  var breakpoint = (0, _breakpoint2.useBreakpoint)();

  if (!breakpoint) {
    return undefined;
  }

  if (values[breakpoint] !== undefined) {
    return values[breakpoint];
  }

  var breakpoints = Object.keys(_breakpoint2.BREAKPOINTS);
  var breakpointIndex = breakpoints.indexOf(breakpoint);

  for (var i = breakpointIndex; i >= 0; i--) {
    var _breakpoint = breakpoints[i];

    if (values[_breakpoint] !== undefined) {
      return values[_breakpoint];
    }
  }
}