import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { TextField } from '../TextField';
import { Button } from '../Button';
import { themeWithKnobs } from '../../storybook-utilities';
import { Thumbnail } from '../Thumbnail';
import { Bookend } from './Bookend';
var meta = {
  component: Bookend,
  title: 'checkout-web-ui/Bookend',
  decorators: [withKnobs, themeWithKnobs('textFields')]
};
export default meta;
export var trailing = function trailing() {
  return /*#__PURE__*/React.createElement(Bookend, {
    trailing: true
  }, /*#__PURE__*/React.createElement(TextField, {
    label: "Name"
  }), /*#__PURE__*/React.createElement(Button, null, "Hello, world!"));
};
export var leading = function leading() {
  return /*#__PURE__*/React.createElement(Bookend, {
    leading: true
  }, /*#__PURE__*/React.createElement(Thumbnail, {
    description: "Placeholder image"
  }), /*#__PURE__*/React.createElement(TextField, {
    label: "Name"
  }));
};
export var both = function both() {
  return /*#__PURE__*/React.createElement(Bookend, {
    leading: true,
    trailing: true
  }, /*#__PURE__*/React.createElement(Thumbnail, {
    description: "Placeholder image"
  }), /*#__PURE__*/React.createElement(TextField, {
    label: "Name"
  }), /*#__PURE__*/React.createElement(Button, null, "Hello, world!"));
};