function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { classNames } from '@shopify/css-utilities';
import { Icon } from '../Icon';
import styles from './CalloutHeader.css'; // For the next implementer: see the os-header class and its children
// in https://github.com/Shopify/shopify/blob/9c4a7082b4fdf716cdcbed24018bef04eb840493/components/checkouts/web/app/views/checkouts/web/checkouts/thank_you.html.erb

var STATUS_ICONS = {
  success: /*#__PURE__*/React.createElement(Icon, {
    source: "checkmarkCircle",
    appearance: "accent"
  }),
  cancelled: /*#__PURE__*/React.createElement(Icon, {
    source: "cancelCircle",
    appearance: "accent"
  }),
  warning: /*#__PURE__*/React.createElement(Icon, {
    source: "warningCircle",
    appearance: "subdued"
  })
};
export function CalloutHeader(_ref) {
  var children = _ref.children,
      status = _ref.status,
      _ref$animated = _ref.animated,
      animated = _ref$animated === void 0 ? true : _ref$animated;
  var className = classNames(styles.CalloutHeader, _defineProperty({}, styles.Animated, animated));
  return /*#__PURE__*/React.createElement("header", {
    className: className
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.CalloutHeaderStatus
  }, STATUS_ICONS[status]), /*#__PURE__*/React.createElement("div", {
    className: styles.CalloutHeaderContent
  }, children));
}