import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { BlockStack } from '../BlockStack';
import { InlineStack } from '../InlineStack';
import { ChoiceList, Choice } from './ChoiceList';
var meta = {
  component: ChoiceList,
  subcomponents: {
    Choice: Choice
  },
  title: 'checkout-web-ui/ChoiceList',
  decorators: [withKnobs, themeWithKnobs()],
  args: {
    name: 'Choice',
    value: 'first'
  }
};
export default meta;

var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(ChoiceList, args);
};

export var SingleValue = Template.bind({});
SingleValue.args = {
  children: /*#__PURE__*/React.createElement(BlockStack, null, /*#__PURE__*/React.createElement(Choice, {
    id: "first"
  }, "First choice"), /*#__PURE__*/React.createElement(Choice, {
    id: "second"
  }, "Second choice"))
};
export var MultipleValues = Template.bind({});
MultipleValues.args = {
  children: /*#__PURE__*/React.createElement(BlockStack, null, /*#__PURE__*/React.createElement(Choice, {
    id: "first"
  }, "First choice"), /*#__PURE__*/React.createElement(Choice, {
    id: "second"
  }, "Second choice")),
  value: ['first']
};
export var Disabled = Template.bind({});
Disabled.args = {
  children: /*#__PURE__*/React.createElement(BlockStack, null, /*#__PURE__*/React.createElement(Choice, {
    id: "first",
    disabled: true
  }, "First choice"), /*#__PURE__*/React.createElement(Choice, {
    id: "second"
  }, "Second choice"))
};
export var WithAccessibilityLabel = Template.bind({});
WithAccessibilityLabel.args = {
  children: /*#__PURE__*/React.createElement(BlockStack, null, /*#__PURE__*/React.createElement(Choice, {
    id: "first",
    accessibilityLabel: "This is a description for screen readers"
  }, "First choice"), /*#__PURE__*/React.createElement(Choice, {
    id: "second"
  }, "Second choice"))
};
export var Inline = Template.bind({});
Inline.args = {
  children: /*#__PURE__*/React.createElement(InlineStack, null, /*#__PURE__*/React.createElement(Choice, {
    id: "first"
  }, "First choice"), /*#__PURE__*/React.createElement(Choice, {
    id: "second"
  }, "Second choice"))
};