import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { chevronDown } from '../../icons';
import { Icon } from './Icon';
describe('<Icon />', function () {
  it('renders a placeholder in a <div>', function () {
    var icon = mount( /*#__PURE__*/React.createElement(Icon, {
      source: "placeholder"
    }));
    expect(icon).toContainReactComponent('div');
  });
  it('renders an actual icon', function () {
    var icon = mount( /*#__PURE__*/React.createElement(Icon, {
      source: "chevronDown"
    }));
    expect(icon).toContainReactComponent(chevronDown);
  });
  it('renders a <span> with a aria-label attribute', function () {
    var icon = mount( /*#__PURE__*/React.createElement(Icon, {
      source: "placeholder",
      accessibilityLabel: "Some icon"
    }));
    expect(icon).toContainReactComponent('span', {
      'aria-label': 'Some icon'
    });
  });
});