import React from 'react';
import { View } from '../View';
import { Text } from '../Text';
import { BlockStack } from '../BlockStack';
import { Spinner } from '../Spinner';
import { Layout } from './Layout';
var meta = {
  component: Layout,
  title: 'checkout-web-ui/Layout'
};
export default meta;

function ExampleContent() {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: 'lightgrey',
      border: '1px #000 solid',
      padding: '1em'
    }
  }, "Content block Lorem, ipsum dolor sit amet consectetur adipisicing elit. Distinctio nemo in ex illo debitis necessitatibus sunt molestiae earum nesciunt alias praesentium, explicabo hic eveniet corporis harum nihil quidem vero eius.");
}

function ExampleSmallContent() {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: 'lightgrey',
      border: '1px #000 solid',
      padding: '1em',
      width: '100%'
    }
  }, "Content block");
}

function ExampleBox(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      height: '500px',
      border: '1px grey dotted'
    }
  }, children);
}

export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "Default with small content"), /*#__PURE__*/React.createElement(Layout, null, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(ExampleSmallContent, null))), /*#__PURE__*/React.createElement(Text, null, "Default with large content"), /*#__PURE__*/React.createElement(Layout, null, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(ExampleContent, null))));
};
export var inlineAlignment = function inlineAlignment() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "Default (center)"), /*#__PURE__*/React.createElement(Layout, null, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "Leading"), /*#__PURE__*/React.createElement(Layout, {
    inlineAlignment: "leading"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "Trailing"), /*#__PURE__*/React.createElement(Layout, {
    inlineAlignment: "trailing"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)));
};
export var blockAlignment = function blockAlignment() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "Default (leading)"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, null, /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleContent, null))), /*#__PURE__*/React.createElement(Text, null, "Center"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, {
    blockAlignment: "center"
  }, /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleContent, null))), /*#__PURE__*/React.createElement(Text, null, "Trailing"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, {
    blockAlignment: "trailing"
  }, /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleContent, null))));
};
export var defaultSizes = function defaultSizes() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.75, 0.25]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.75, 0.25]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[500, 300]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [500, 300]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "0.5, 200]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 200]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns that would overflow - ", /*#__PURE__*/React.createElement("code", null, "[0.75, 0.5]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.75, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns that would overflow - ", /*#__PURE__*/React.createElement("code", null, "[1000, 2000]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [1000, 2000]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns - ", /*#__PURE__*/React.createElement("code", null, "[auto, auto, auto]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: ['auto', 'auto', 'auto']
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.25, 0.25]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 0.25, 0.25]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, auto, auto]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 'auto', 'auto']
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns - ", /*#__PURE__*/React.createElement("code", null, "[500, auto, fill]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [500, 'auto', 'fill']
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns - ", /*#__PURE__*/React.createElement("code", null, "[auto, auto, fill]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: ['auto', 'auto', 'fill']
  }, /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 rows - ", /*#__PURE__*/React.createElement("code", null, "[1, 1, 1]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [1, 1, 1]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "3 columns/rows mix - ", /*#__PURE__*/React.createElement("code", null, "[1, auto, fill]")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [1, 'auto', 'fill']
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)));
};
export var defaultMaxInlineSize = function defaultMaxInlineSize() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize ", /*#__PURE__*/React.createElement("code", null, "default")), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize ", /*#__PURE__*/React.createElement("code", null, "800px")), /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 800,
    sizes: [0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize ", /*#__PURE__*/React.createElement("code", null, "75%")), /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 0.75,
    sizes: [0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize ", /*#__PURE__*/React.createElement("code", null, "800px"), ' ', "inlineAlignment ", /*#__PURE__*/React.createElement("code", null, "leading")), /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 800,
    sizes: [0.5, 0.5],
    inlineAlignment: "leading"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)), /*#__PURE__*/React.createElement(Text, null, "2 columns - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize ", /*#__PURE__*/React.createElement("code", null, "75%"), ' ', "inlineAlignment ", /*#__PURE__*/React.createElement("code", null, "trailing")), /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 0.75,
    sizes: [0.5, 0.5],
    inlineAlignment: "trailing"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)));
};
export var media = function media() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "Default 2 columns - ", /*#__PURE__*/React.createElement("code", null, "[1, 1]"), /*#__PURE__*/React.createElement("br", null), " Media above small 2 rows - ", /*#__PURE__*/React.createElement("code", null, "[0.75, 0.25]"), " maxInlineSize: ", /*#__PURE__*/React.createElement("code", null, "95%"), " spacing: ", /*#__PURE__*/React.createElement("code", null, "extraTight"), /*#__PURE__*/React.createElement("br", null), " Media above medium 2 rows - ", /*#__PURE__*/React.createElement("code", null, "[0.5, 0.5]"), " maxInlineSize: ", /*#__PURE__*/React.createElement("code", null, "85%"), " spacing: ", /*#__PURE__*/React.createElement("code", null, "base"), /*#__PURE__*/React.createElement("br", null), " Media above large 2 rows - ", /*#__PURE__*/React.createElement("code", null, "[0.25, 0.75]"), " maxInlineSize: ", /*#__PURE__*/React.createElement("code", null, "75%"), " spacing: ", /*#__PURE__*/React.createElement("code", null, "extraLoose")), /*#__PURE__*/React.createElement(Layout, {
    sizes: {
      base: [1, 1],
      small: [0.75, 0.25],
      medium: [0.5, 0.5],
      large: [0.25, 0.75]
    },
    maxInlineSize: {
      small: 0.95,
      medium: 0.85,
      large: 0.75
    },
    spacing: {
      small: 'extraTight',
      medium: 'base',
      large: 'extraLoose'
    }
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleContent, null)));
};
export var commonLayouts = function commonLayouts() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "Checkout"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 0.5]
  }, /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 500,
    inlineAlignment: "trailing"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null))), /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, /*#__PURE__*/React.createElement(Layout, {
    maxInlineSize: 500,
    inlineAlignment: "leading"
  }, /*#__PURE__*/React.createElement(ExampleContent, null))))), /*#__PURE__*/React.createElement(Text, null, "Siberia"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.5, 0.5],
    maxInlineSize: 925,
    blockAlignment: "center"
  }, /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, "Main"), /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, "Sidebar"))), /*#__PURE__*/React.createElement(Text, null, "Centered"), /*#__PURE__*/React.createElement(ExampleBox, null, /*#__PURE__*/React.createElement(Layout, {
    blockAlignment: "center"
  }, /*#__PURE__*/React.createElement(BlockStack, {
    alignment: "center"
  }, /*#__PURE__*/React.createElement(Spinner, null), /*#__PURE__*/React.createElement(Text, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit.")))));
};
export var spacing = function spacing() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "ExtraTight"), /*#__PURE__*/React.createElement(Layout, {
    spacing: "extraTight",
    sizes: [1, 0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "Tight"), /*#__PURE__*/React.createElement(Layout, {
    spacing: "tight",
    sizes: [1, 0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "Base"), /*#__PURE__*/React.createElement(Layout, {
    spacing: "base",
    sizes: [1, 0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "Loose"), /*#__PURE__*/React.createElement(Layout, {
    spacing: "loose",
    sizes: [1, 0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(Text, null, "ExtraLoose"), /*#__PURE__*/React.createElement(Layout, {
    spacing: "extraLoose",
    sizes: [1, 0.5, 0.5]
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)));
};
export var nested = function nested() {
  return /*#__PURE__*/React.createElement(Layout, {
    sizes: [1, 1, 1],
    spacing: "base"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(Layout, {
    sizes: [0.25, 0.75],
    spacing: "base"
  }, /*#__PURE__*/React.createElement(ExampleSmallContent, null), /*#__PURE__*/React.createElement(ExampleSmallContent, null)), /*#__PURE__*/React.createElement(ExampleSmallContent, null));
};