import React from 'react';
import { useLinkComponent } from '../../../AppContext';
import styles from './UnstyledLink.css';
export function UnstyledLink(_ref) {
  var children = _ref.children,
      classNameProp = _ref.className,
      to = _ref.to,
      external = _ref.external,
      id = _ref.id,
      language = _ref.language,
      ariaBusy = _ref.ariaBusy,
      ariaLive = _ref.ariaLive,
      ariaLabel = _ref.ariaLabel,
      onPress = _ref.onPress;
  var LinkComponent = useLinkComponent();

  var handleClick = onPress && function () {
    return onPress();
  };

  var className = classNameProp !== null && classNameProp !== void 0 ? classNameProp : styles.UnstyledLink;

  if (LinkComponent) {
    return /*#__PURE__*/React.createElement(LinkComponent, {
      to: to,
      onClick: handleClick,
      external: external,
      id: id,
      className: className,
      lang: language,
      "aria-label": ariaLabel,
      "aria-busy": ariaBusy,
      "aria-live": ariaLive
    }, children);
  }

  var target = external ? '_blank' : undefined;
  var rel = external ? 'noopener noreferrer' : undefined;
  return /*#__PURE__*/React.createElement("a", {
    href: to,
    onClick: handleClick,
    target: target,
    rel: rel,
    id: id,
    className: className,
    lang: language,
    "aria-label": ariaLabel,
    "aria-busy": ariaBusy,
    "aria-live": ariaLive
  }, children);
}