import React from 'react';
import faker from 'faker';
import { mountWithContext } from '../../test-utilities';
import { MoneySummary } from './MoneySummary';
var defaultProps = {
  label: faker.random.word(),
  value: faker.finance.amount(),
  prefix: faker.finance.currencyCode()
};
describe('<MoneySummary />', function () {
  it('renders a label', function () {
    var label = faker.random.word();
    var moneySummary = mountWithContext( /*#__PURE__*/React.createElement(MoneySummary, Object.assign({}, defaultProps, {
      label: label
    })));
    expect(moneySummary).toContainReactText(label);
  });
  it('renders a prefix', function () {
    var prefix = faker.random.word();
    var moneySummary = mountWithContext( /*#__PURE__*/React.createElement(MoneySummary, Object.assign({}, defaultProps, {
      prefix: prefix
    })));
    expect(moneySummary).toContainReactText(prefix);
  });
  it('renders a value', function () {
    var value = faker.random.word();
    var moneySummary = mountWithContext( /*#__PURE__*/React.createElement(MoneySummary, Object.assign({}, defaultProps, {
      value: value
    })));
    expect(moneySummary).toContainReactText(value);
  });
  it('renders children', function () {
    var children = faker.random.word();
    var moneySummary = mountWithContext( /*#__PURE__*/React.createElement(MoneySummary, defaultProps, children));
    expect(moneySummary).toContainReactText(children);
  });
});