function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import { classNames, variationName } from '@shopify/css-utilities';
import React, { useCallback, useEffect, useState } from 'react';
import { createIdCreator, useId } from '../../utilities/id';
import { isFocused, findFirstFocusableNode, findLastFocusableNode, findNextFocusableNode } from '../../utilities/focus';
import { Popper } from '../Popper';
import { useThemeConfiguration } from '../Theme';
import styles from './Popover.css';
var createId = createIdCreator('Popover');
export function Popover(_ref) {
  var children = _ref.children,
      activator = _ref.activator,
      open = _ref.open,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'inlineEnd' : _ref$placement,
      _ref$backdrop = _ref.backdrop,
      backdrop = _ref$backdrop === void 0 ? 'none' : _ref$backdrop,
      onClose = _ref.onClose;

  var _useState = useState(null),
      _useState2 = _slicedToArray(_useState, 2),
      popoverRef = _useState2[0],
      setPopoverRef = _useState2[1];

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.popover,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.connector,
      connector = _useThemeConfiguratio3 === void 0 ? 'arrow' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.depth,
      depth = _useThemeConfiguratio4 === void 0 ? 'far' : _useThemeConfiguratio4;

  var id = useId(undefined, createId);
  var nextFocusableNode = activator && findNextFocusableNode(activator);
  var firstFocusableNode = popoverRef && findFirstFocusableNode(popoverRef);
  var lastFocusableNode = popoverRef && findLastFocusableNode(popoverRef);
  var setActivatorAccessibilityAttributes = useCallback(function () {
    activator === null || activator === void 0 ? void 0 : activator.setAttribute('aria-controls', id);
    activator === null || activator === void 0 ? void 0 : activator.setAttribute('aria-expanded', String(open));
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [activator, id, open]);
  var handleClose = useCallback(function () {
    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [onClose]);
  var handleClickOutside = useCallback(function (event) {
    if (event.target instanceof Node && !(activator === null || activator === void 0 ? void 0 : activator.contains(event.target)) && !(popoverRef === null || popoverRef === void 0 ? void 0 : popoverRef.contains(event.target))) {
      handleClose();
    }
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [handleClose, activator, popoverRef]);
  var handleKeyDown = useCallback(function (event) {
    switch (event.key) {
      case 'Escape':
      case 'Esc':
        handleClose();
        activator === null || activator === void 0 ? void 0 : activator.focus();
        break;

      case 'Tab':
        {
          if (isFocused(activator) && event.shiftKey) {
            handleClose();
          } else if (isFocused(activator)) {
            event.preventDefault();
            firstFocusableNode === null || firstFocusableNode === void 0 ? void 0 : firstFocusableNode.focus();
          } else if (isFocused(firstFocusableNode) && event.shiftKey) {
            event.preventDefault();
            activator === null || activator === void 0 ? void 0 : activator.focus();
            handleClose();
          } else if (isFocused(lastFocusableNode) && !event.shiftKey) {
            event.preventDefault();
            nextFocusableNode === null || nextFocusableNode === void 0 ? void 0 : nextFocusableNode.focus();
            handleClose();
          }

          break;
        }
    }
  }, // eslint-disable-next-line react-hooks/exhaustive-deps
  [handleClose, activator, nextFocusableNode, firstFocusableNode, lastFocusableNode]);
  useEffect(function () {
    document.addEventListener('click', handleClickOutside);
    return function () {
      document.removeEventListener('click', handleClickOutside);
    };
  }, [handleClickOutside]);
  useEffect(function () {
    if (open) {
      document.addEventListener('keydown', handleKeyDown, false);
    }

    return function () {
      document.removeEventListener('keydown', handleKeyDown, false);
    };
  }, [open, handleKeyDown]);
  useEffect(function () {
    setActivatorAccessibilityAttributes();
  });
  var popoverClassName = classNames(styles.Popover, styles[variationName('Popover-placement', placement)], styles[variationName('Popover-connector', connector)], styles[variationName('Popover-depth', depth)]);
  var contentClassName = classNames(styles.Content, styles[variationName('Content-placement', placement)]);
  var backdropClassName = classNames(styles.Backdrop, styles[variationName('Backdrop-style', backdrop)]);
  var offset = connector === 'arrow' ? 15 : 5;
  return open ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Popper, {
    activator: activator,
    placement: placement,
    offset: offset
  }, /*#__PURE__*/React.createElement("div", {
    className: popoverClassName,
    id: id,
    ref: setPopoverRef
  }, /*#__PURE__*/React.createElement("div", {
    className: contentClassName
  }, children))), backdrop === 'translucent' ? /*#__PURE__*/React.createElement("div", {
    className: backdropClassName
  }) : null) : null;
}