function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useRef, useCallback } from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { Text } from '../Text';
import { TextBlock } from '../TextBlock';
import { themeWithKnobs } from '../../storybook-utilities';
import { Button } from '../Button';
import { TextField } from '../TextField';
import { View } from '../View';
import { Popover } from './Popover';
var meta = {
  component: Popover,
  title: 'checkout-web-ui/Popover',
  decorators: [withKnobs, themeWithKnobs('primaryButton', 'secondaryButton'), function (story) {
    return /*#__PURE__*/React.createElement("div", {
      style: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        justifyContent: 'center'
      }
    }, story());
  }]
};
export default meta;

var StoryPopover = function StoryPopover(_ref) {
  var _activatorRef$current, _activatorRefShort$cu;

  var placement = _ref.placement;
  var activatorRef = useRef();
  var activatorRefShort = useRef();

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      openShort = _useState4[0],
      setOpenShort = _useState4[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    ref: activatorRef,
    onPress: function onPress() {
      return setOpen(!open);
    }
  }, "Click me"), /*#__PURE__*/React.createElement(Popover, {
    activator: (_activatorRef$current = activatorRef.current) !== null && _activatorRef$current !== void 0 ? _activatorRef$current : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    },
    placement: placement
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      maxWidth: '200px'
    }
  }, /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, /*#__PURE__*/React.createElement(TextBlock, null, "A thoughtful way to pay"), /*#__PURE__*/React.createElement(TextBlock, null, "Tap don\u2019t type"), /*#__PURE__*/React.createElement(TextBlock, null, "Shop Pay remembers your important details, so you can fill carts, not forms. And everything is encrypted so you can speed safely through checkout.")))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    ref: activatorRefShort,
    onPress: function onPress() {
      return setOpenShort(!openShort);
    }
  }, "Click me"), /*#__PURE__*/React.createElement(Popover, {
    activator: (_activatorRefShort$cu = activatorRefShort.current) !== null && _activatorRefShort$cu !== void 0 ? _activatorRefShort$cu : null,
    open: openShort,
    onClose: function onClose() {
      setOpenShort(false);
    },
    placement: placement
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      maxWidth: '200px'
    }
  }, /*#__PURE__*/React.createElement(View, {
    padding: "base"
  }, /*#__PURE__*/React.createElement(TextBlock, null, "Short")))));
};

export var inlineStart = function inlineStart() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "inlineStart"
  });
};
export var inlineEnd = function inlineEnd() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "inlineEnd"
  });
};
export var blockStart = function blockStart() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "blockStart"
  });
};
export var blockEnd = function blockEnd() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "blockEnd"
  });
};

function InputAsActivator() {
  var _activatorRef$current2;

  var activatorRef = useRef();

  var _useState5 = useState(false),
      _useState6 = _slicedToArray(_useState5, 2),
      open = _useState6[0],
      setOpen = _useState6[1];

  var handleChange = useCallback(function () {
    setOpen(true);
  }, [setOpen]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TextField, {
    onChange: handleChange,
    label: "Email",
    ref: activatorRef
  }), /*#__PURE__*/React.createElement(Popover, {
    activator: (_activatorRef$current2 = activatorRef.current) !== null && _activatorRef$current2 !== void 0 ? _activatorRef$current2 : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Text, null, "Hello world!")));
}

export var inputActivator = function inputActivator() {
  return /*#__PURE__*/React.createElement(InputAsActivator, null);
};