import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { ProgressTrackerContext } from './context';
import { ProgressTracker } from './ProgressTracker';
import { ProgressTrackerStep } from '.';
describe('<ProgressTracker />', function () {
  it('renders <ProgressTrackerStep /> children', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, null, /*#__PURE__*/React.createElement(ProgressTrackerStep, {
      id: "step1",
      icon: "checkmark",
      label: "Step 1",
      state: "State 1"
    }), /*#__PURE__*/React.createElement(ProgressTrackerStep, {
      id: "step2",
      icon: "checkmark",
      label: "Step 2",
      state: "State 2"
    })));
    expect(progressTracker).toContainReactComponent(ProgressTrackerStep);
    expect(progressTracker).toContainReactComponentTimes(ProgressTrackerStep, 2);
  });
  it('wraps <ProgressTrackerStep /> children with ProgressTrackerContext', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, {
      activeStep: "step2"
    }, /*#__PURE__*/React.createElement(ProgressTrackerStep, {
      id: "step1",
      icon: "checkmark",
      label: "Step 1",
      state: "State 1"
    }), /*#__PURE__*/React.createElement(ProgressTrackerStep, {
      id: "step2",
      icon: "checkmark",
      label: "Step 2",
      state: "State 3"
    }), /*#__PURE__*/React.createElement(ProgressTrackerStep, {
      id: "step3",
      icon: "checkmark",
      label: "Step 3",
      state: "State 3"
    })));
    expect(progressTracker).toProvideReactContext(ProgressTrackerContext, {
      steps: {
        step1: {
          active: false,
          completed: true
        },
        step2: {
          active: true,
          completed: false
        },
        step3: {
          active: false,
          completed: false
        }
      }
    });
  });
});