import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { Redact } from './Redact';
describe('<Redact />', function () {
  describe('lines', function () {
    it('defaults to one line', function () {
      var redacted = mount( /*#__PURE__*/React.createElement(Redact, null));
      expect(redacted).toContainReactComponentTimes('div', 1);
    });
    it('renders the exact number of lines', function () {
      var redacted = mount( /*#__PURE__*/React.createElement(Redact, {
        lines: 3
      }));
      expect(redacted).toContainReactComponentTimes('div', 3);
    });
  });
  describe('blockSize', function () {
    it('defaults to base blockSize', function () {
      var redacted = mount( /*#__PURE__*/React.createElement(Redact, null));
      var classNames = redacted.find('div').prop('className');
      expect(classNames).toContain('blockSizeBase');
    });
    it('renders with specific blockSize', function () {
      var redacted = mount( /*#__PURE__*/React.createElement(Redact, {
        blockSize: "large"
      }));
      var classNames = redacted.find('div').prop('className');
      expect(classNames).toContain('blockSizeLarge');
    });
  });
});