import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { utilityDefaultBorderColor } from '../../../../utilities/legacy';
import { View } from '../../../View';
import styles from './ResourceItem.css';
export function ResourceItemContent(_ref) {
  var _ref$alignment = _ref.alignment,
      alignment = _ref$alignment === void 0 ? 'center' : _ref$alignment,
      children = _ref.children,
      primary = _ref.primary,
      hidden = _ref.hidden;
  var className = classNames(styles.ResourceItemContent, alignment && styles[variationName('ResourceItemContent-alignment', alignment)], primary && styles['ResourceItemContent-isPrimary'], hidden && styles['ResourceItemContent-isHidden']);
  return /*#__PURE__*/React.createElement("div", {
    role: "cell",
    className: className
  }, hidden ? /*#__PURE__*/React.createElement(View, {
    visibility: "hidden"
  }, children) : children);
}
export function ResourceItem(_ref2) {
  var children = _ref2.children,
      background = _ref2.background,
      divider = _ref2.divider,
      inlinePadding = _ref2.inlinePadding,
      blockPadding = _ref2.blockPadding,
      _ref2$spacing = _ref2.spacing,
      spacing = _ref2$spacing === void 0 ? 'base' : _ref2$spacing;
  var className = classNames(styles.ResourceItem, utilityDefaultBorderColor, background && styles[variationName('background', background)], inlinePadding && styles[variationName('inlinePadding', inlinePadding)], blockPadding && styles[variationName('blockPadding', blockPadding)], divider && styles[variationName('divider', divider)], spacing && styles[variationName('spacing', spacing)]);
  return /*#__PURE__*/React.createElement("div", {
    role: "row",
    className: className
  }, children);
}