import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../../../storybook-utilities';
import { Text } from '../../../Text';
import { Thumbnail } from '../../../Thumbnail';
import { TextBlock } from '../../../TextBlock';
import { Icon } from '../../../Icon';
import { InlineStack } from '../../../InlineStack';
import { ResourceItem, ResourceItemContent } from './ResourceItem';
var meta = {
  component: ResourceItem,
  title: 'checkout-web-ui/ResourceItem',
  decorators: [withKnobs, themeWithKnobs(), function (story) {
    return /*#__PURE__*/React.createElement("div", {
      role: "table"
    }, story());
  }]
};
export default meta;
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(ResourceItem, null, /*#__PURE__*/React.createElement(ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/React.createElement(Text, {
    emphasized: true
  }, "T-shirt")), /*#__PURE__*/React.createElement(ResourceItemContent, null, /*#__PURE__*/React.createElement(Text, null, "$10.00")));
};
export var withoutPrimaryContent = function withoutPrimaryContent() {
  return /*#__PURE__*/React.createElement(ResourceItem, null, /*#__PURE__*/React.createElement(ResourceItemContent, null, /*#__PURE__*/React.createElement(Text, {
    emphasized: true
  }, "T-shirt")), /*#__PURE__*/React.createElement(ResourceItemContent, null, /*#__PURE__*/React.createElement(Text, null, "$10.00")));
};
export var multipleContent = function multipleContent() {
  return /*#__PURE__*/React.createElement(ResourceItem, null, /*#__PURE__*/React.createElement(ResourceItemContent, null, /*#__PURE__*/React.createElement(Thumbnail, {
    description: "some media source",
    badge: 1
  })), /*#__PURE__*/React.createElement(ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/React.createElement(TextBlock, {
    emphasized: true
  }, "T-shirt"), /*#__PURE__*/React.createElement(TextBlock, {
    size: "small",
    subdued: true
  }, "Blue"), /*#__PURE__*/React.createElement(TextBlock, {
    appearance: "success"
  }, /*#__PURE__*/React.createElement(InlineStack, {
    alignment: "center",
    spacing: "extraTight"
  }, /*#__PURE__*/React.createElement(Icon, {
    source: "checkmark",
    size: "default"
  }), /*#__PURE__*/React.createElement(Text, {
    size: "small"
  }, "Available")))), /*#__PURE__*/React.createElement(ResourceItemContent, null, /*#__PURE__*/React.createElement(Text, {
    emphasized: true
  }, "$10.00")));
};