import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { createIdCreator, useId } from '../../utilities/id';
import { utilityDefaultBorderColor } from '../../utilities/legacy';
import { useThemeConfiguration } from '../Theme';
import { HeadingGroup } from '../HeadingGroup';
import { Link, View, Heading, Text } from '..';
import styles from './ReviewItem.css';
var createId = createIdCreator('ReviewBlock');
export function ReviewItem(_ref) {
  var children = _ref.children,
      label = _ref.label,
      to = _ref.to,
      linkLabel = _ref.linkLabel,
      linkAccessibilityLabel = _ref.linkAccessibilityLabel,
      noWrap = _ref.noWrap;

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.reviewBlock,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.spacing,
      spacing = _useThemeConfiguratio3 === void 0 ? 'none' : _useThemeConfiguratio3,
      divider = _useThemeConfiguratio2.divider;

  var className = classNames(styles.ReviewItem, spacing !== 'none' && styles.isContainer, utilityDefaultBorderColor, divider === 'toContainerEdge' && styles.dividerToEdge);
  return /*#__PURE__*/React.createElement("div", {
    role: "row",
    className: className,
    key: label
  }, /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.Wrapper, noWrap && styles['Wrapper-noWrap'])
  }, /*#__PURE__*/React.createElement("div", {
    role: "rowheader",
    className: styles.Label
  }, /*#__PURE__*/React.createElement(Text, {
    subdued: true
  }, label)), /*#__PURE__*/React.createElement("div", {
    role: "cell",
    className: styles.Content
  }, children)), to ? /*#__PURE__*/React.createElement("div", {
    role: "cell"
  }, /*#__PURE__*/React.createElement(Link, {
    to: to,
    accessibilityLabel: linkAccessibilityLabel
  }, /*#__PURE__*/React.createElement(Text, {
    size: "small"
  }, linkLabel))) : null);
}
export function ReviewBlock(_ref2) {
  var children = _ref2.children,
      title = _ref2.title,
      titleHidden = _ref2.titleHidden;
  var id = useId(undefined, createId);

  var _useThemeConfiguratio4 = useThemeConfiguration(),
      _useThemeConfiguratio5 = _useThemeConfiguratio4.reviewBlock,
      _useThemeConfiguratio6 = _useThemeConfiguratio5.background,
      background = _useThemeConfiguratio6 === void 0 ? 'transparent' : _useThemeConfiguratio6,
      _useThemeConfiguratio7 = _useThemeConfiguratio5.spacing,
      spacing = _useThemeConfiguratio7 === void 0 ? 'none' : _useThemeConfiguratio7;

  var className = classNames(styles.ReviewBlock, background && styles[variationName('ReviewBlock-background', background)], spacing === 'none' && styles.isContainer, utilityDefaultBorderColor);
  var titleMarkup = /*#__PURE__*/React.createElement(Heading, {
    id: id
  }, title);
  return /*#__PURE__*/React.createElement(React.Fragment, null, titleHidden ? /*#__PURE__*/React.createElement(View, {
    visibility: "hidden"
  }, titleMarkup) : titleMarkup, /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement("div", {
    "aria-labelledby": id,
    role: "table",
    className: className
  }, children)));
}