function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { ReviewItem, ReviewBlock } from './ReviewItem';
var meta = {
  component: ReviewItem,
  title: 'checkout-web-ui/ReviewItem',
  decorators: [withKnobs, themeWithKnobs('reviewBlock')],
  argTypes: {
    to: {
      type: {
        name: 'string',
        required: false
      }
    },
    linkLabel: {
      type: {
        name: 'string',
        required: false
      }
    },
    linkAccessibilityLabel: {
      type: {
        name: 'string',
        required: false
      }
    }
  }
};
export default meta;

var Template = function Template(args) {
  return /*#__PURE__*/React.createElement("div", {
    role: "table"
  }, /*#__PURE__*/React.createElement(ReviewItem, args, "snowdevil@shopify.com"));
};

export var defaultState = Template.bind({});
defaultState.args = {
  label: 'Contact',
  to: undefined,
  linkLabel: undefined,
  linkAccessibilityLabel: undefined
};
export var withLink = Template.bind({});
withLink.args = _objectSpread(_objectSpread({}, defaultState.args), {}, {
  to: '/shipping',
  linkLabel: 'Change',
  linkAccessibilityLabel: undefined
});
export var withAriaLabelForLink = Template.bind({});
withAriaLabelForLink.args = _objectSpread(_objectSpread({}, withLink.args), {}, {
  linkAccessibilityLabel: 'Change contact information'
});
export var withNoWrap = Template.bind({});
withNoWrap.args = _objectSpread(_objectSpread({}, withAriaLabelForLink.args), {}, {
  noWrap: true
});

var ReviewBlockTemplate = function ReviewBlockTemplate(_ref) {
  var title = _ref.title,
      titleHidden = _ref.titleHidden,
      reviewItemArgs = _objectWithoutProperties(_ref, ["title", "titleHidden"]);

  return /*#__PURE__*/React.createElement(ReviewBlock, {
    title: title,
    titleHidden: titleHidden
  }, /*#__PURE__*/React.createElement(ReviewItem, reviewItemArgs, "snowdevil@shopify.com"), /*#__PURE__*/React.createElement(ReviewItem, {
    label: "Ship to",
    to: "/information",
    linkLabel: "Change",
    linkAccessibilityLabel: "Change shipping address"
  }, "490 Rue de la Gaucheti\xE8re O, Montr\xE9al, QC H2Z 0B3"), /*#__PURE__*/React.createElement(ReviewItem, {
    label: "Method",
    to: "/shipping",
    linkLabel: "Change",
    linkAccessibilityLabel: "Change shipping method"
  }, "Standard - ", /*#__PURE__*/React.createElement("strong", null, "$14.90")));
};

export var reviewBlock = ReviewBlockTemplate.bind({});
reviewBlock.args = _objectSpread(_objectSpread({}, withAriaLabelForLink.args), {}, {
  title: 'Review',
  titleHidden: false
});
export var reviewBlockWithHiddenTitle = ReviewBlockTemplate.bind({});
reviewBlockWithHiddenTitle.args = _objectSpread(_objectSpread({}, withAriaLabelForLink.args), {}, {
  title: 'Review your information',
  titleHidden: true
});