import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { Select } from './Select';
var meta = {
  component: Select,
  title: 'checkout-web-ui/Select',
  decorators: [withKnobs, themeWithKnobs('select')]
};
export default meta;
var defaultProps = {
  label: 'Country',
  options: [{
    value: 'CA',
    label: 'Canada'
  }, {
    value: 'US',
    label: 'United States'
  }, {
    value: 'UK',
    label: 'United Kingdom'
  }]
};
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(Select, defaultProps);
};
export var preselectedValue = function preselectedValue() {
  return /*#__PURE__*/React.createElement(Select, Object.assign({}, defaultProps, {
    value: "UK"
  }));
};
export var disabled = function disabled() {
  return /*#__PURE__*/React.createElement(Select, Object.assign({}, defaultProps, {
    disabled: true
  }));
};
export var readonly = function readonly() {
  return /*#__PURE__*/React.createElement(Select, Object.assign({}, defaultProps, {
    readonly: true
  }));
};
export var withError = function withError() {
  return /*#__PURE__*/React.createElement(Select, Object.assign({}, defaultProps, {
    error: "Select a country"
  }));
};