function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useRef } from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { InlineStack } from '../InlineStack';
import { HeadingGroup } from '../HeadingGroup';
import { Icon } from '../Icon';
import { Text } from '../Text';
import { colorSurfacePrimary, colorSurfaceSecondary, colorSurfaceTertiary, utilityDefaultBorderColor } from '../../utilities/legacy';
import { useTransition } from '../../utilities/transition';
import styles from './Shell.css';
export function Shell(_ref) {
  var children = _ref.children,
      headerPosition = _ref.headerPosition,
      subheaderPosition = _ref.subheaderPosition,
      footerPosition = _ref.footerPosition,
      subheaderHidden = _ref.subheaderHidden;
  return /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.Shell, headerPosition && styles[variationName('headerPosition', headerPosition)], subheaderPosition && styles[variationName('subheaderPosition', subheaderPosition)], footerPosition && styles[variationName('footerPosition', footerPosition)], subheaderHidden && styles.subheaderHidden)
  }, children);
}
export function ShellSubheader(_ref2) {
  var children = _ref2.children,
      alignment = _ref2.alignment;
  return /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.Subheader, styles[variationName('Subheader-alignment', alignment)])
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.SubheaderInner
  }, children));
}
export function ShellSection(_ref3) {
  var bordered = _ref3.bordered,
      background = _ref3.background,
      inlineSize = _ref3.inlineSize,
      blockSize = _ref3.blockSize,
      children = _ref3.children,
      secondary = _ref3.secondary,
      backgroundImage = _ref3.backgroundImage;
  var Element = secondary ? 'aside' : 'div';
  var style = backgroundImage ? {
    backgroundImage: "url(".concat(JSON.stringify(backgroundImage), ")")
  } : undefined;
  return /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement(Element, {
    className: classNames(styles.Section, bordered && styles['Section-bordered'], background && backgroundToLegacyClassName(background), background && styles[variationName('Section-background', background)], inlineSize && styles[variationName('Section-inlineSize', inlineSize)], blockSize && styles[variationName('Section-blockSize', blockSize)], secondary && styles['Section-secondary']),
    style: inlineSize === 'toContainerEdge' ? style : undefined
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.SectionInner,
    style: inlineSize === 'contentSize' ? style : undefined
  }, children)));
}
export function ShellSectionContent(_ref4) {
  var children = _ref4.children;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.SectionContent
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.SectionContentInner
  }, children));
}
export function ShellFooter(_ref5) {
  var children = _ref5.children;
  return /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement("footer", {
    role: "contentinfo",
    className: styles.Footer
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.FooterInner
  }, children)));
}
// TODO: a11y
export function ShellDisclosure(_ref6) {
  var children = _ref6.children,
      detail = _ref6.detail,
      labels = _ref6.labels,
      icon = _ref6.icon,
      bordered = _ref6.bordered,
      background = _ref6.background;

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var disclosureRef = useRef(null);
  var transition = useTransition(open, 'slow');
  var transitionStyles = {
    enter: function enter() {
      return {
        height: 0
      };
    },
    entering: function entering() {
      var _disclosureRef$curren;

      return {
        height: disclosureRef === null || disclosureRef === void 0 ? void 0 : (_disclosureRef$curren = disclosureRef.current) === null || _disclosureRef$curren === void 0 ? void 0 : _disclosureRef$curren.clientHeight
      };
    },
    entered: function entered() {
      return {
        height: 'auto'
      };
    },
    exit: function exit() {
      var _disclosureRef$curren2;

      return {
        height: disclosureRef === null || disclosureRef === void 0 ? void 0 : (_disclosureRef$curren2 = disclosureRef.current) === null || _disclosureRef$curren2 === void 0 ? void 0 : _disclosureRef$curren2.clientHeight
      };
    },
    exiting: function exiting() {
      return {
        height: 0
      };
    }
  };

  var _ref7 = open ? {
    text: labels.closed,
    icon: /*#__PURE__*/React.createElement(Icon, {
      source: "chevronUp",
      size: "small",
      appearance: "interactive"
    })
  } : {
    text: labels.open,
    icon: /*#__PURE__*/React.createElement(Icon, {
      source: "chevronDown",
      size: "small",
      appearance: "interactive"
    })
  },
      text = _ref7.text,
      disclosureIcon = _ref7.icon;

  var contentId = 'disclosure_content';
  return /*#__PURE__*/React.createElement("aside", {
    className: classNames(styles.Disclosure, bordered && styles['Disclosure-bordered'], background && backgroundToLegacyClassName(background), background && styles[variationName('Disclosure-background', background)])
  }, /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: classNames(styles.DisclosureButton, utilityDefaultBorderColor),
    onClick: function onClick() {
      return setOpen(function (open) {
        return !open;
      });
    },
    "aria-pressed": open,
    "aria-controls": contentId,
    "aria-expanded": open
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.DisclosureLayout
  }, /*#__PURE__*/React.createElement(InlineStack, {
    spacing: "tight",
    alignment: "center"
  }, /*#__PURE__*/React.createElement(Icon, {
    source: icon,
    size: "large",
    appearance: "interactive"
  }), /*#__PURE__*/React.createElement(Text, null, text), disclosureIcon), detail)), transition !== 'exited' && /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.DisclosureContent, utilityDefaultBorderColor),
    style: _objectSpread({}, transitionStyles[transition]()),
    id: contentId
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.DisclosureContentInner,
    ref: disclosureRef
  }, children)));
}

function backgroundToLegacyClassName(background) {
  switch (background) {
    case 'surfacePrimary':
      return colorSurfacePrimary;

    case 'surfaceSecondary':
      return colorSurfaceSecondary;

    case 'surfaceTertiary':
      return colorSurfaceTertiary;
  }
}