import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { Button } from '../Button';
import { themeWithKnobs } from '../../storybook-utilities';
import { Step, StepContent, StepActions, StepSection, StepSectionHeader, StepSectionShowcase, StepPrimaryAction, StepSecondaryAction, StepSectionContent } from './Step';
var meta = {
  component: Step,
  title: 'checkout-web-ui/Step',
  decorators: [withKnobs, themeWithKnobs('actions')]
};
export default meta;
var stepContent = /*#__PURE__*/React.createElement("p", null, "Content");
var stepSectionContent = /*#__PURE__*/React.createElement("p", null, "Section content");
var stepSectionShowcase = /*#__PURE__*/React.createElement("p", null, "Showcased content");
export var noActions = function noActions() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, null, /*#__PURE__*/React.createElement("p", null, "Content")));
};
export var withSections = function withSections() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, null, /*#__PURE__*/React.createElement(StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent)), /*#__PURE__*/React.createElement(StepSection, {
    title: "Shipping information"
  }, /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Shipping information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent)), /*#__PURE__*/React.createElement(StepSection, null, /*#__PURE__*/React.createElement(StepSectionContent, null, /*#__PURE__*/React.createElement("p", null, "This is Section content without a Title")))));
};
export var withSectionsAndShowcase = function withSectionsAndShowcase() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, null, /*#__PURE__*/React.createElement(StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent), /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase))));
};
export var withGroupedSections = function withGroupedSections() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, {
    grouped: true
  }, /*#__PURE__*/React.createElement(StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent)), /*#__PURE__*/React.createElement(StepSection, {
    title: "Shipping information"
  }, /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Shipping information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent)), /*#__PURE__*/React.createElement(StepSection, null, /*#__PURE__*/React.createElement(StepSectionContent, null, /*#__PURE__*/React.createElement("p", null, "This is Section content without a Title")))));
};
export var withGroupedSectionsAndShowcase = function withGroupedSectionsAndShowcase() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, {
    grouped: true
  }, /*#__PURE__*/React.createElement(StepSection, {
    title: "Contact information"
  }, /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: "Contact information",
    description: "This is a description"
  }), /*#__PURE__*/React.createElement(StepSectionContent, null, stepSectionContent), /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase), /*#__PURE__*/React.createElement(StepSectionShowcase, null, stepSectionShowcase))));
};
export var primaryAction = function primaryAction() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, null, stepSectionContent), /*#__PURE__*/React.createElement(StepActions, null, /*#__PURE__*/React.createElement(StepPrimaryAction, null, /*#__PURE__*/React.createElement(Button, {
    fill: true,
    to: "/shipping"
  }, "Continue to shipping"))));
};
export var primaryAndSecondaryActions = function primaryAndSecondaryActions() {
  return /*#__PURE__*/React.createElement(Step, null, /*#__PURE__*/React.createElement(StepContent, null, stepContent), /*#__PURE__*/React.createElement(StepActions, null, /*#__PURE__*/React.createElement(StepPrimaryAction, null, /*#__PURE__*/React.createElement(Button, {
    fill: true,
    to: "/shipping"
  }, "Continue to shipping")), /*#__PURE__*/React.createElement(StepSecondaryAction, null, /*#__PURE__*/React.createElement(Button, {
    to: "/cart",
    plain: true,
    fill: true
  }, "Return to cart"))));
};