function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useCallback } from 'react';
import { BlockStack } from '../BlockStack';
import { TextFieldInternal } from '../TextField';
import { Connected } from '../Connected';
import { Button } from '../Button';
import { InlineError } from '../InlineError';
import { createIdCreator, useId } from '../../utilities/id';
var createId = createIdCreator('StepperField');
export function Stepper(_ref) {
  var label = _ref.label,
      error = _ref.error,
      name = _ref.name,
      _ref$min = _ref.min,
      min = _ref$min === void 0 ? 0 : _ref$min,
      max = _ref.max,
      value = _ref.value,
      _ref$step = _ref.step,
      step = _ref$step === void 0 ? 1 : _ref$step,
      explicitId = _ref.id,
      required = _ref.required,
      onChange = _ref.onChange,
      onBlur = _ref.onBlur,
      onFocus = _ref.onFocus;

  var _useState = useState(value),
      _useState2 = _slicedToArray(_useState, 2),
      quantity = _useState2[0],
      setQuantity = _useState2[1];

  var id = useId(explicitId, createId);
  var errorMarkup = error && /*#__PURE__*/React.createElement(InlineError, {
    controlID: id
  }, error);
  var handleChange = useCallback(function (factor) {
    setQuantity(function (prevQuantity) {
      var normalizedMax = max === undefined ? Infinity : max;
      var normalizedMin = min === undefined ? -Infinity : min;
      var quantity = prevQuantity ? prevQuantity : 0;

      if (isNaN(quantity)) {
        return 0;
      } // Returns the length of decimal places in a number


      var decimalLength = function decimalLength(num) {
        return (num.toString().split('.')[1] || []).length;
      }; // Making sure the new value has the same length of decimal places as the
      // step / value has.


      var decimalPlaces = Math.max(decimalLength(quantity), decimalLength(step));
      var newQuantity = Math.min(Number(normalizedMax), Math.max(quantity + factor * step, Number(normalizedMin)));

      if (quantity !== newQuantity) {
        onChange === null || onChange === void 0 ? void 0 : onChange(newQuantity.toFixed(decimalPlaces));
      }

      return parseFloat(newQuantity.toFixed(decimalPlaces));
    });
  }, [onChange, step, max, min]);
  return /*#__PURE__*/React.createElement(BlockStack, {
    spacing: "tight"
  }, /*#__PURE__*/React.createElement(Connected, {
    trailing: "auto",
    leading: "auto"
  }, /*#__PURE__*/React.createElement(Button, {
    onPress: function onPress() {
      return handleChange(-1);
    }
  }, "-"), /*#__PURE__*/React.createElement(TextFieldInternal, {
    label: label,
    type: "number",
    min: min,
    max: max,
    step: step,
    id: id,
    error: Boolean(error),
    name: name,
    "aria-required": required,
    value: quantity === undefined ? '' : "".concat(quantity),
    required: required,
    onChange: function (_onChange) {
      function onChange(_x) {
        return _onChange.apply(this, arguments);
      }

      onChange.toString = function () {
        return _onChange.toString();
      };

      return onChange;
    }(function (value) {
      setQuantity(Number(value));

      if (onChange) {
        onChange(value);
      }
    }),
    onBlur: onBlur,
    onFocus: onFocus
  }), /*#__PURE__*/React.createElement(Button, {
    onPress: function onPress() {
      return handleChange(1);
    }
  }, "+")), errorMarkup);
}