import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { Stepper } from './Stepper';
var meta = {
  component: Stepper,
  title: 'checkout-web-ui/Stepper',
  decorators: [withKnobs, themeWithKnobs('textFields', 'primaryButton'), function (story) {
    return /*#__PURE__*/React.createElement("div", {
      style: {
        padding: '1em'
      }
    }, story());
  }]
};
export default meta;
var defaultProps = {
  label: 'Quantity'
};
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(Stepper, defaultProps);
};
export var min = function min() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    min: 3
  }));
};
export var max = function max() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    max: 5
  }));
};
export var minAndMax = function minAndMax() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    min: 1,
    max: 5
  }));
};
export var step = function step() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    step: 0.5
  }));
};
export var minMaxAndStep = function minMaxAndStep() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    step: 2,
    min: 0,
    max: 5
  }));
};
export var error = function error() {
  return /*#__PURE__*/React.createElement(Stepper, Object.assign({}, defaultProps, {
    error: "Limit reached"
  }));
};