import React from 'react';
import { Icon } from '../Icon';
import { Truncate } from '../Truncate';
import styles from './Tag.css';

/**
 * Tag is used to display a removable tag.
 */
export function Tag(_ref) {
  var children = _ref.children,
      onPress = _ref.onPress,
      accessibilityLabel = _ref.accessibilityLabel;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.Tag
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.Label
  }, /*#__PURE__*/React.createElement(Truncate, null, children)), /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: styles.Button,
    onClick: onPress,
    "aria-label": accessibilityLabel
  }, /*#__PURE__*/React.createElement(Icon, {
    source: "close",
    size: "default"
  })));
}