function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import React, { memo, useRef, useMemo, useEffect } from 'react';
import { useTheme } from '../../hooks';
export var CustomProperties = /*#__PURE__*/memo(function CustomProperties(_ref) {
  var children = _ref.children;
  var theme = useTheme();
  var divRef = useRef(null);
  var customPropertiesStyle = useMemo(function () {
    return customPropertiesToStyleProp(theme.customProperties);
  }, [theme]);
  useEffect(function () {
    return theme.on('preview', function (customProperties) {
      var root = divRef.current;
      if (root == null) return;
      var normalized = customPropertiesToStyleProp(customProperties);

      for (var _i = 0, _Object$keys = Object.keys(normalized); _i < _Object$keys.length; _i++) {
        var property = _Object$keys[_i];

        if (normalized[property]) {
          root.style.setProperty(property, normalized[property]);
        } else {
          root.style.removeProperty(property);
        }
      }
    });
  }, [theme]);
  return /*#__PURE__*/React.createElement("div", {
    style: customPropertiesStyle,
    ref: divRef
  }, children);
});

function customPropertiesToStyleProp(properties) {
  var normalized = {};

  var _iterator = _createForOfIteratorHelper(Object.keys(properties)),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var _key = _step.value;
      normalized["--x-".concat(_key.replace(/([a-z\d])([A-Z])/g, '$1-$2').toLowerCase())] = properties[_key];
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  return normalized;
}