import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { useThemeConfiguration } from '../Theme';
import { Icon } from '../Icon';
import styles from './Thumbnail.css';
export function Thumbnail(_ref) {
  var badge = _ref.badge,
      description = _ref.description,
      source = _ref.source,
      sources = _ref.sources,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 'base' : _ref$size;

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.thumbnail,
      aspectRatio = _useThemeConfiguratio2.aspectRatio,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.border,
      border = _useThemeConfiguratio3 === void 0 ? 'full' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.badgeBackground,
      badgeBackground = _useThemeConfiguratio4 === void 0 ? 'subdued' : _useThemeConfiguratio4;

  return /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.Thumbnail, styles[variationName('size', size)], border && styles[variationName('border', border)], aspectRatio && aspectRatio < 1 && styles.aspectRatioLandscape, aspectRatio && aspectRatio > 1 && styles.aspectRatioPortrait)
  }, badge != null && /*#__PURE__*/React.createElement("span", {
    className: classNames(styles.Badge, styles[variationName('Badge-background', badgeBackground)]),
    "aria-hidden": true
  }, badge), source ? /*#__PURE__*/React.createElement("img", {
    className: styles.Image,
    srcSet: sources === null || sources === void 0 ? void 0 : sources.join(', '),
    src: source,
    alt: description
  }) : /*#__PURE__*/React.createElement("span", {
    className: classNames(styles.Placeholder)
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.Icon
  }, /*#__PURE__*/React.createElement(Icon, {
    source: "camera"
  }))));
}