import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { Thumbnail } from './Thumbnail';
var meta = {
  component: Thumbnail,
  title: 'checkout-web-ui/Thumbnail',
  decorators: [withKnobs, themeWithKnobs('thumbnail'), function (story) {
    return /*#__PURE__*/React.createElement("div", {
      style: {
        margin: '1em'
      }
    }, story());
  }]
};
export default meta;
var defaultProps = {
  description: 'Placeholder image'
};
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(Thumbnail, defaultProps);
};
export var withSource = function withSource() {
  return /*#__PURE__*/React.createElement(Thumbnail, Object.assign({}, defaultProps, {
    source: "https://via.placeholder.com/64x64/eee"
  }));
};
export var withBadge = function withBadge() {
  return /*#__PURE__*/React.createElement(Thumbnail, Object.assign({}, defaultProps, {
    badge: 1
  }));
};
export var withExpandedBadge = function withExpandedBadge() {
  return /*#__PURE__*/React.createElement(Thumbnail, Object.assign({}, defaultProps, {
    badge: "New"
  }));
};
export var smallThumbnailWithBadge = function smallThumbnailWithBadge() {
  return /*#__PURE__*/React.createElement(Thumbnail, Object.assign({}, defaultProps, {
    badge: 1,
    size: "small"
  }));
};