function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { classNames } from '@shopify/css-utilities';
import styles from './ToggleButtonGroup.css';
import { useToggleButtons } from './hooks';
export function ToggleButton(_ref) {
  var id = _ref.id,
      children = _ref.children;

  var _useToggleButtons = useToggleButtons(),
      selectedItem = _useToggleButtons.selectedItem,
      onChange = _useToggleButtons.onChange;

  var selected = selectedItem === id;
  return /*#__PURE__*/React.createElement("div", {
    className: classNames(styles.ToggleButton)
  }, /*#__PURE__*/React.createElement("button", {
    type: "button",
    "aria-pressed": selected,
    onClick: function onClick() {
      onChange(id);
    },
    className: classNames(styles.Button, _defineProperty({}, styles['Button-selected'], selected))
  }, children));
}