import React, { useEffect } from 'react';
import { mount } from '@quilted/react-testing/dom';
import { useMounted } from './mounted';
describe('useMounted', function () {
  it('returns true if component is mounted', function () {
    var spy = jest.fn();

    function Mounted() {
      var mounted = useMounted();
      useEffect(function () {
        spy(mounted);
      }, [mounted]);
      return null;
    }

    mount( /*#__PURE__*/React.createElement(Mounted, null));
    expect(spy.mock.calls).toMatchObject([[{
      current: true
    }]]);
  });
  it('returns false if component is unmounted', function () {
    var spy = jest.fn();

    function Unmounted() {
      var mounted = useMounted();
      useEffect(function () {
        spy(mounted);
      }, [mounted]);
      return null;
    }

    var unmountedComponent = mount( /*#__PURE__*/React.createElement(Unmounted, null));
    unmountedComponent.unmount();
    expect(spy.mock.calls).toMatchObject([[{
      current: false
    }]]);
  });
});