import { BREAKPOINTS, useBreakpoint } from './breakpoint';
export function useResponsiveValue(values) {
  var breakpoint = useBreakpoint();

  if (!breakpoint) {
    return undefined;
  }

  if (values[breakpoint] !== undefined) {
    return values[breakpoint];
  }

  var breakpoints = Object.keys(BREAKPOINTS);
  var breakpointIndex = breakpoints.indexOf(breakpoint);

  for (var i = breakpointIndex; i >= 0; i--) {
    var _breakpoint = breakpoints[i];

    if (values[_breakpoint] !== undefined) {
      return values[_breakpoint];
    }
  }
}