function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useEffect, useState } from 'react';
import { mount } from '@quilted/react-testing/dom';
import { useTransition } from './transition';
jest.useFakeTimers();
describe('useTransition', function () {
  it('returns entering transition steps from exited to entered when transitionIn is true', function () {
    var spy = jest.fn();

    function EnteringTransition() {
      var _useState = useState(false),
          _useState2 = _slicedToArray(_useState, 2),
          transitionIn = _useState2[0],
          setTransitionIn = _useState2[1];

      var transition = useTransition(transitionIn);
      useEffect(function () {
        setTransitionIn(true);
      }, []);
      useEffect(function () {
        spy(transition);
      });
      return null;
    }

    var enteringTransition = mount( /*#__PURE__*/React.createElement(EnteringTransition, null));
    enteringTransition.act(function () {
      jest.runAllTimers();
    });
    expect(spy.mock.calls).toMatchObject([['exited'], ['enter'], ['entering'], ['entered']]);
  });
  it('returns exiting transition steps from entered to exited when transitionIn is false', function () {
    var spy = jest.fn();

    function ExitingTransition() {
      var _useState3 = useState(true),
          _useState4 = _slicedToArray(_useState3, 2),
          transitionIn = _useState4[0],
          setTransitionIn = _useState4[1];

      var transition = useTransition(transitionIn);
      useEffect(function () {
        setTransitionIn(false);
      }, []);
      useEffect(function () {
        spy(transition);
      });
      return null;
    }

    var exitingTransition = mount( /*#__PURE__*/React.createElement(ExitingTransition, null));
    exitingTransition.act(function () {
      jest.runAllTimers();
    });
    expect(spy.mock.calls).toMatchObject([['entered'], ['exit'], ['exiting'], ['exited']]);
  });
});