"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppContext = AppContext;
exports.useAppContext = useAppContext;
exports.useTranslate = useTranslate;
exports.useLinkComponent = useLinkComponent;
exports.useGeolocation = useGeolocation;
exports.AppContextContext = void 0;

var _react = _interopRequireWildcard(require("react"));

var _HeadingGroup = require("../HeadingGroup");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const AppContextContext = /*#__PURE__*/(0, _react.createContext)(null);
exports.AppContextContext = AppContextContext;

function AppContext({
  children,
  linkComponent,
  geolocation,
  translate
}) {
  const context = (0, _react.useMemo)(() => ({
    translate,
    linkComponent,
    geolocation
  }), [translate, linkComponent, geolocation]);
  return /*#__PURE__*/_react.default.createElement(AppContextContext.Provider, {
    value: context
  }, /*#__PURE__*/_react.default.createElement(_HeadingGroup.HeadingGroup, null, children));
}

function useAppContext() {
  const context = (0, _react.useContext)(AppContextContext);

  if (context == null) {
    throw new Error('No app context available');
  }

  return context;
}

function useTranslate() {
  return useAppContext().translate;
}

function useLinkComponent() {
  return useAppContext().linkComponent;
}

function useGeolocation() {
  return useAppContext().geolocation;
}