"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.basic = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Text = require("../Text");

var _Autocomplete = require("./Autocomplete");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const meta = {
  component: _Autocomplete.Autocomplete,
  title: 'checkout-web-ui/Autocomplete',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('textFields')]
};
var _default = meta;
exports.default = _default;

function Basic() {
  const [value, setValue] = (0, _react.useState)('');
  const [options, setOptions] = (0, _react.useState)([]);

  const handleInput = value => {
    setValue(value);

    if (value === '') {
      setOptions([]);
      return;
    }

    setOptions([...Array(50).keys()].map(i => `${i + 1} Saint Urbain Street, Montreal, QC, Canada`).filter(option => option.startsWith(value)).slice(0, 5));
  };

  const onSelectOption = value => {
    setValue(value);
    setOptions([]);
  };

  return /*#__PURE__*/_react.default.createElement(_Autocomplete.Autocomplete, {
    id: "address",
    label: "Address",
    name: "address",
    onInput: handleInput,
    onSelectOption: onSelectOption,
    options: options,
    value: value,
    ariaLabel: "Close Predictions",
    title: "Suggestions"
  }, /*#__PURE__*/_react.default.createElement(_Autocomplete.AutocompleteOptions, null, options && options.map(option => /*#__PURE__*/_react.default.createElement(_Autocomplete.AutocompleteOption, {
    key: option
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, {
    emphasized: true
  }, /*#__PURE__*/_react.default.createElement("strong", null, value)), option.slice(value.length)))));
}

const basic = () => /*#__PURE__*/_react.default.createElement(Basic, null);

exports.basic = basic;