"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CalloutBanner = CalloutBanner;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _TextContainer = require("../TextContainer");

var _View = require("../View");

var _CalloutBanner = _interopRequireDefault(require("./CalloutBanner.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CalloutBanner({
  title,
  children,
  border = 'block',
  background = 'secondary',
  alignment = 'center',
  spacing = 'tight'
}) {
  const titleMarkup = title && /*#__PURE__*/_react.default.createElement(_Heading.Heading, {
    level: 3
  }, title);

  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _cssUtilities.classNames)(_CalloutBanner.default.CalloutBanner, border && _CalloutBanner.default[(0, _cssUtilities.variationName)('border', border)], background && _CalloutBanner.default[(0, _cssUtilities.variationName)('background', background)]),
    role: "status",
    "aria-atomic": "true",
    "aria-live": "polite"
  }, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, {
    alignment: alignment === 'leading' ? undefined : alignment,
    spacing: spacing
  }, /*#__PURE__*/_react.default.createElement(_HeadingGroup.HeadingGroup, null, titleMarkup, /*#__PURE__*/_react.default.createElement(_View.View, null, children))));
}