"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.responsive = exports.stack = exports.both = exports.leading = exports.trailing = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _BlockStack = require("../BlockStack");

var _TextField = require("../TextField");

var _Button = require("../Button");

var _storybookUtilities = require("../../storybook-utilities");

var _Connected = require("./Connected");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Connected.Connected,
  title: 'checkout-web-ui/Connected',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('textFields')]
};
var _default = meta;
exports.default = _default;

const trailing = () => /*#__PURE__*/_react.default.createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  trailing: "auto"
}, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Name"
}), /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!")), /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  trailing: "auto"
}, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "First name"
}), /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Last name"
}), /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!")));

exports.trailing = trailing;

const leading = () => /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  leading: "auto"
}, /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!"), /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Name"
}));

exports.leading = leading;

const both = () => /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  leading: "auto",
  trailing: "auto"
}, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Name"
}), /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!"));

exports.both = both;

const stack = () => /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  stack: true
}, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Name"
}), /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!"));

exports.stack = stack;

const responsive = () => /*#__PURE__*/_react.default.createElement(_Connected.Connected, {
  stack: {
    base: true,
    medium: false
  },
  spacing: "extraLoose"
}, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
  label: "Name"
}), /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Hello, world!"));

exports.responsive = responsive;