"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlagIcon = FlagIcon;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _FlagIcon = _interopRequireDefault(require("./FlagIcon.css"));

var _images = require("./images");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FlagIcon({
  accessibilityLabel,
  countryCode,
  size
}) {
  const className = (0, _cssUtilities.classNames)(_FlagIcon.default.FlagIcon, size && _FlagIcon.default[(0, _cssUtilities.variationName)('size', size)]);
  return /*#__PURE__*/_react.default.createElement("img", {
    alt: accessibilityLabel,
    className: className,
    src: _images.FLAG_ICON_BY_COUNTRY_CODE[countryCode]
  });
}