"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormLayout = FormLayout;
exports.FormLayoutGroup = FormLayoutGroup;

var _react = _interopRequireDefault(require("react"));

var _BlockStack = require("../BlockStack");

var _Layout = require("../Layout");

var _Theme = require("../Theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FormLayout({
  children
}) {
  const {
    formLayout: {
      spacing
    }
  } = (0, _Theme.useThemeConfiguration)();
  const normalizedSpacing = spacing === 'base' ? undefined : spacing;
  return /*#__PURE__*/_react.default.createElement(_BlockStack.BlockStack, {
    spacing: normalizedSpacing
  }, children);
}

function FormLayoutGroup({
  children
}) {
  const {
    formLayout: {
      spacing = 'base'
    }
  } = (0, _Theme.useThemeConfiguration)();
  const normalizedSpacing = spacing === 'none' ? undefined : spacing;
  return /*#__PURE__*/_react.default.createElement(_Layout.Layout, {
    sizes: {
      base: [1, 1, 1],
      small: ['fill', 'fill', 'fill']
    },
    spacing: normalizedSpacing
  }, children);
}