"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.basicImage = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../../test-utilities");

var _TextContainer = require("../TextContainer");

var _Image = require("./Image");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Image.Image,
  title: 'checkout-web-ui/Image',
  argTypes: {
    loading: {
      control: {
        type: 'select',
        options: ['eager', 'lazy'],
        required: false
      }
    },
    fit: {
      control: {
        type: 'select',
        options: ['cover', 'contain'],
        required: false
      }
    }
  }
};
var _default = meta;
exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_Image.Image, args);

const basicImage = Template.bind({});
exports.basicImage = basicImage;
basicImage.args = {
  source: 'https://via.placeholder.com/320x180/eee',
  description: 'placeholder.com',
  loading: undefined,
  fit: undefined
};
const lazyLoading = Template.bind({});
exports.lazyLoading = lazyLoading;
lazyLoading.args = { ...basicImage.args,
  loading: 'lazy'
};
const cover = Template.bind({});
exports.cover = cover;
cover.args = { ...basicImage.args,
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: 'cover',
  bordered: true
};
cover.decorators = [Story => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 256
  }
}, /*#__PURE__*/_react.default.createElement(Story, null))];
const contain = Template.bind({});
exports.contain = contain;
contain.args = { ...basicImage.args,
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: 'contain',
  bordered: true
};
contain.decorators = [Story => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 256
  }
}, /*#__PURE__*/_react.default.createElement(Story, null))];
const responsive = Template.bind({});
exports.responsive = responsive;
responsive.args = { ...basicImage.args,
  sources: [{
    source: 'https://via.placeholder.com/320x180/eee',
    resolution: 1,
    viewportSize: 'small'
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 2,
    viewportSize: 'small'
  }, {
    source: 'https://via.placeholder.com/640x360/eee',
    resolution: 1,
    viewportSize: 'medium'
  }, {
    source: 'https://via.placeholder.com/1280x720/eee',
    resolution: 2,
    viewportSize: 'medium'
  }, {
    source: 'https://via.placeholder.com/1280x720/eee',
    resolution: 1,
    viewportSize: 'large'
  }, {
    source: 'https://via.placeholder.com/2560x1440/eee',
    resolution: 2,
    viewportSize: 'large'
  }]
};

const aspectRatio = args => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 320
  }
}, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react.default.createElement(_Image.Image, args), /*#__PURE__*/_react.default.createElement("p", null, _testUtilities.faker.lorem.paragraphs(3))));

exports.aspectRatio = aspectRatio;
aspectRatio.args = { ...basicImage,
  source: 'https://via.placeholder.com/640x360',
  aspectRatio: 3
};