"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InlineStack = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = require("../View");

var _InlineStack = require("./InlineStack");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _InlineStack.InlineStack,
  title: 'checkout-web-ui/InlineStack',
  argTypes: {
    demoWidth: {
      control: {
        type: 'range',
        min: 0,
        max: 100
      }
    },
    spacing: {
      control: {
        type: 'select',
        options: [undefined, 'none', 'extraTight', 'tight', 'base', 'loose', 'extraLoose']
      }
    },
    alignment: {
      control: {
        type: 'select',
        options: [undefined, 'leading', 'center', 'trailing', 'baseline']
      }
    },
    blockAlignment: {
      control: {
        type: 'select',
        options: [undefined, 'center', 'trailing']
      }
    }
  }
};
var _default = meta;
exports.default = _default;

function Content({
  size = 1
}) {
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      backgroundColor: 'lightgrey',
      width: '5em',
      height: `${size}em`
    }
  });
}

const InlineStack = ({
  demoWidth,
  ...args
}) => {
  return /*#__PURE__*/_react.default.createElement(_View.View, {
    maxInlineSize: Number(`0.${demoWidth}`),
    border: "dotted"
  }, /*#__PURE__*/_react.default.createElement(_InlineStack.InlineStack, args, /*#__PURE__*/_react.default.createElement(Content, null), /*#__PURE__*/_react.default.createElement(Content, {
    size: 3
  }), /*#__PURE__*/_react.default.createElement(Content, null), /*#__PURE__*/_react.default.createElement(Content, {
    size: 2
  }), /*#__PURE__*/_react.default.createElement(Content, null), /*#__PURE__*/_react.default.createElement(Content, null), /*#__PURE__*/_react.default.createElement(Content, {
    size: 3
  }), /*#__PURE__*/_react.default.createElement(Content, null), /*#__PURE__*/_react.default.createElement(Content, {
    size: 2
  })));
};

exports.InlineStack = InlineStack;
InlineStack.args = {
  demoWidth: 25,
  spacing: undefined,
  alignment: undefined,
  blockAlignment: undefined,
  wrap: false
};
InlineStack.story = {
  name: 'InlineStack'
};