"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = Link;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Button = require("../Button");

var _Theme = require("../Theme");

var _components = require("./components");

var _Link = _interopRequireDefault(require("./Link.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Link is used to navigate the buyer to another page or section within the same page.
 */
function Link({
  children,
  to,
  language,
  onPress,
  underline,
  appearance,
  accessibilityLabel,
  ...rest
}) {
  const {
    link: {
      colorHovered,
      colorPressed
    }
  } = (0, _Theme.useThemeConfiguration)();

  if (!to) {
    return /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
      onPress: onPress,
      plain: true,
      underline: underline,
      appearance: appearance
    }, rest), children);
  }

  return /*#__PURE__*/_react.default.createElement(_components.UnstyledLink, Object.assign({
    className: (0, _cssUtilities.classNames)(_Link.default.Link, (underline || appearance === 'inheritColor') && _Link.default.underline, appearance && appearance === 'inheritColor' ? _Link.default.appearanceInheritColor : _Link.default.appearanceDefault, colorHovered && _Link.default[(0, _cssUtilities.variationName)('colorHovered', colorHovered)], colorPressed && _Link.default[(0, _cssUtilities.variationName)('colorPressed', colorPressed)]),
    to: to,
    onPress: onPress,
    language: language,
    accessibilityLabel: accessibilityLabel
  }, rest), children);
}