"use strict";

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../../test-utilities");

var _List = require("./List");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<List />', () => {
  describe('children', () => {
    it('renders the children', () => {
      const content = 'Snowdevil';
      const list = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_List.List, null, content));
      expect(list).toContainReactText(content);
    });
    it('renders a <ul> tag by default', () => {
      const content = 'Snowdevil';
      const list = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_List.List, null, content));
      expect(list).toContainReactComponent('ul');
    });
  });
  describe('marker', () => {
    it('renders a <ol> tag when marker set to "number"', () => {
      const content = 'Snowdevil';
      const list = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_List.List, {
        marker: "number"
      }, content));
      expect(list).toContainReactComponent('ol');
    });
    it('sets a role of "list" for accessibility when marker is "none"', () => {
      const content = 'Snowdevil';
      const list = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_List.List, {
        marker: "none"
      }, content));
      expect(list).toContainReactComponent('ul', {
        role: 'list'
      });
    });
  });
});
describe('<ListItem />', () => {
  describe('children', () => {
    it('renders the children', () => {
      const content = 'Snowdevil';
      const list = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_List.List, null, /*#__PURE__*/_react.default.createElement(_List.ListItem, null, content)));
      expect(list).toContainReactText(content);
    });
  });
});