"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoneyLine = MoneyLine;
exports.MoneyLineSeparator = MoneyLineSeparator;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _InlineStack = require("../InlineStack");

var _Text = require("../Text");

var _Theme = require("../Theme");

var _MoneyLine = _interopRequireDefault(require("./MoneyLine.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function MoneyLine({
  label,
  value,
  subdued,
  children
}) {
  const {
    moneyLines: {
      background,
      inlineAlignment,
      labelTypographyStyle,
      valueTypographyStyle
    }
  } = (0, _Theme.useThemeConfiguration)();
  const className = (0, _cssUtilities.classNames)(_MoneyLine.default.MoneyLine, background && _MoneyLine.default[(0, _cssUtilities.variationName)('background', background)], inlineAlignment && _MoneyLine.default[(0, _cssUtilities.variationName)('inlineAlignment', inlineAlignment)]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className,
    role: "row"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _MoneyLine.default.Label,
    role: "rowheader"
  }, /*#__PURE__*/_react.default.createElement(_InlineStack.InlineStack, {
    spacing: "tight"
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, {
    style: labelTypographyStyle
  }, label))), /*#__PURE__*/_react.default.createElement("div", {
    className: _MoneyLine.default.Value,
    role: "cell"
  }, /*#__PURE__*/_react.default.createElement(_InlineStack.InlineStack, {
    spacing: "tight"
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, {
    subdued: subdued,
    emphasized: !subdued,
    size: subdued ? 'small' : undefined,
    style: valueTypographyStyle
  }, value), children)));
}

function MoneyLineSeparator() {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _MoneyLine.default.MoneyLineSeparator
  });
}