"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OptionList = OptionList;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Heading = require("../Heading");

var _View = require("../View");

var _Theme = require("../Theme");

var _context = require("./context");

var _OptionList = _interopRequireDefault(require("./OptionList.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function OptionList({
  id,
  selectedItems,
  onChange,
  title,
  titleHidden,
  controlHidden = false,
  allowMultiple = false,
  children
}) {
  const onChangeRef = (0, _react.useRef)(onChange);
  onChangeRef.current = onChange;
  const contextValue = (0, _react.useMemo)(() => ({
    id,
    selectedItems,
    allowMultiple,
    controlHidden,

    get onChange() {
      return onChangeRef.current;
    }

  }), [allowMultiple, id, selectedItems, controlHidden]);
  const titleMarkup = title && (titleHidden ? /*#__PURE__*/_react.default.createElement(_View.View, {
    visibility: "hidden"
  }, /*#__PURE__*/_react.default.createElement("legend", null, title)) : /*#__PURE__*/_react.default.createElement("legend", {
    className: _OptionList.default.Title
  }, /*#__PURE__*/_react.default.createElement(_Heading.Heading, {
    level: 3,
    role: "presentation"
  }, title)));
  const {
    controls: {
      background: controlsBackground
    },
    optionList: {
      background: optionListBackground,
      spacing = 'none',
      border = 'full',
      borderStyle = 'base'
    }
  } = (0, _Theme.useThemeConfiguration)();
  const background = optionListBackground || controlsBackground || 'surfaceTertiary';
  const className = (0, _cssUtilities.classNames)(_OptionList.default.OptionList, _OptionList.default[(0, _cssUtilities.variationName)('OptionList-background', background)], _OptionList.default[(0, _cssUtilities.variationName)('OptionList-border', border)], _OptionList.default[(0, _cssUtilities.variationName)('OptionList-borderStyle', borderStyle)], spacing === 'none' && _OptionList.default.isContainer);
  return /*#__PURE__*/_react.default.createElement(_context.OptionListContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/_react.default.createElement("fieldset", null, titleMarkup, /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, children)));
}