"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withMultipleSelection = exports.withPrimaryAndSecondaryContent = exports.withHiddenTitle = exports.withTitle = exports.basic = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _TextBlock = require("../TextBlock");

var _TextContainer = require("../TextContainer");

var _ = require(".");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const meta = {
  component: _.OptionList,
  title: 'checkout-web-ui/OptionList',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('optionList')]
};
var _default = meta;
exports.default = _default;

function Basic() {
  const [selected, setSelected] = (0, _react.useState)(['item_1']);
  return /*#__PURE__*/_react.default.createElement(_.OptionList, {
    id: "basic",
    selectedItems: selected,
    onChange: setSelected
  }, /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_1",
    label: "Item 1",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_1"
    }, "First item")
  }), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_2",
    label: "Item 2",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_2"
    }, "Second item")
  }), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_3",
    label: "Item 3"
  }));
}

function WithTitle() {
  const [selected, setSelected] = (0, _react.useState)(['item_1']);
  return /*#__PURE__*/_react.default.createElement(_.OptionList, {
    id: "withTitle",
    title: "Choose a payment method",
    selectedItems: selected,
    onChange: setSelected
  }, /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_1",
    label: "Item 1",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_1"
    }, "First item")
  }), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_2",
    label: "Item 2",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_2"
    }, "Second item")
  }));
}

function WithHiddenTitle() {
  const [selected, setSelected] = (0, _react.useState)(['item_1']);
  return /*#__PURE__*/_react.default.createElement(_.OptionList, {
    id: "withTitle",
    title: "Choose a payment method",
    titleHidden: true,
    selectedItems: selected,
    onChange: setSelected
  }, /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_1",
    label: "Item 1",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_1"
    }, "First item")
  }), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_2",
    label: "Item 2",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_2"
    }, "Second item")
  }));
}

function WithPrimaryAndSecondaryContent() {
  const [selected, setSelected] = (0, _react.useState)(['item_1']);
  return /*#__PURE__*/_react.default.createElement(_.OptionList, {
    id: "withAccessory",
    selectedItems: selected,
    onChange: setSelected
  }, /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_1",
    label: "Free shipping. $0.00"
  }, /*#__PURE__*/_react.default.createElement(_.OptionPrimaryContent, null, "Free shipping"), /*#__PURE__*/_react.default.createElement(_.OptionSecondaryContent, null, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Free"))), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_2",
    label: "Standard shipping. $19.00"
  }, /*#__PURE__*/_react.default.createElement(_.OptionPrimaryContent, null, "Standard shipping"), /*#__PURE__*/_react.default.createElement(_.OptionSecondaryContent, null, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "$19.00"))), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_3",
    label: "Paypal"
  }, /*#__PURE__*/_react.default.createElement(_.OptionPrimaryContent, null, /*#__PURE__*/_react.default.createElement("img", {
    src: "https://cdn.shopify.com/s/assets/checkout/offsite-gateway-logos/paypal@2x-768388b0667bef1aa9a7cf02fa1cc2184c2915a90d4cdd62dde223f74f2acbfc.png",
    alt: "",
    height: "24"
  })), /*#__PURE__*/_react.default.createElement(_.OptionSecondaryContent, null, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, {
    spacing: "none",
    alignment: "trailing"
  }, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Free"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    subdued: true
  }, "Ready for pickup")))), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_4",
    label: "Store name 1 accessible content"
  }, /*#__PURE__*/_react.default.createElement(_.OptionPrimaryContent, null, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Store name 1"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    subdued: true
  }, "490 Rue De La Gaucheti\xE8re O, Montr\xE9al, QC")), /*#__PURE__*/_react.default.createElement(_.OptionSecondaryContent, null, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, {
    spacing: "none",
    alignment: "trailing"
  }, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Free"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    subdued: true
  }, "Ready for pickup")))), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_5",
    label: "Store Name 2 accessible content"
  }, /*#__PURE__*/_react.default.createElement(_.OptionPrimaryContent, null, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Store name 2"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    subdued: true
  }, "150 Elgin St, Ottawa, ON"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda hic, repudiandae ipsam earum molestiae exercitationem sunt deleniti reprehenderit enim adipisci consequuntur explicabo tempora officia nemo consequatur ut sint voluptate sequi?"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ratione, tenetur autem ipsam itaque repellendus a maxime ex. Et reprehenderit aliquid odit blanditiis perferendis commodi molestias, itaque voluptates eaque reiciendis nam."))), /*#__PURE__*/_react.default.createElement(_.OptionSecondaryContent, null, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, {
    spacing: "none",
    alignment: "trailing"
  }, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    emphasized: true
  }, "Free"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, {
    subdued: true
  }, "Ready for pickup")))));
}

function WithMultipleSelection() {
  const [selected, setSelected] = (0, _react.useState)([]);
  return /*#__PURE__*/_react.default.createElement(_.OptionList, {
    allowMultiple: true,
    id: "withAccessory",
    selectedItems: selected,
    onChange: setSelected
  }, /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_1",
    label: "Item 1",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_1"
    }, "First item")
  }), /*#__PURE__*/_react.default.createElement(_.Option, {
    id: "item_2",
    label: "Item 2",
    details: /*#__PURE__*/_react.default.createElement(_.OptionDetails, {
      controlledBy: "item_2"
    }, "Second item")
  }));
}

const basic = () => /*#__PURE__*/_react.default.createElement(Basic, null);

exports.basic = basic;

const withTitle = () => /*#__PURE__*/_react.default.createElement(WithTitle, null);

exports.withTitle = withTitle;

const withHiddenTitle = () => /*#__PURE__*/_react.default.createElement(WithHiddenTitle, null);

exports.withHiddenTitle = withHiddenTitle;

const withPrimaryAndSecondaryContent = () => /*#__PURE__*/_react.default.createElement(WithPrimaryAndSecondaryContent, null);

exports.withPrimaryAndSecondaryContent = withPrimaryAndSecondaryContent;

const withMultipleSelection = () => /*#__PURE__*/_react.default.createElement(WithMultipleSelection, null);

exports.withMultipleSelection = withMultipleSelection;