"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PaymentIcon = PaymentIcon;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _images = require("./images");

var _PaymentIcon = _interopRequireDefault(require("./PaymentIcon.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: need an accessible label... somewhere... and to remove the title
// from the SVG
function PaymentIcon({
  paymentBrand,
  disabled,
  active
}) {
  return /*#__PURE__*/_react.default.createElement("img", {
    alt: "",
    src: _images.CARD_IMAGE_BY_BRAND.get(paymentBrand.toLowerCase().replace(/-/g, '_')),
    className: (0, _cssUtilities.classNames)(_PaymentIcon.default.PaymentIcon, {
      [_PaymentIcon.default.disabled]: disabled,
      [_PaymentIcon.default.active]: active
    })
  });
}