"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inputActivator = exports.blockEnd = exports.blockStart = exports.inlineEnd = exports.inlineStart = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _Text = require("../Text");

var _TextBlock = require("../TextBlock");

var _storybookUtilities = require("../../storybook-utilities");

var _Button = require("../Button");

var _TextField = require("../TextField");

var _View = require("../View");

var _Popover = require("./Popover");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const meta = {
  component: _Popover.Popover,
  title: 'checkout-web-ui/Popover',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('primaryButton', 'secondaryButton'), story => /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: 'absolute',
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, story())]
};
var _default = meta;
exports.default = _default;

const StoryPopover = ({
  placement
}) => {
  var _activatorRef$current, _activatorRefShort$cu;

  const activatorRef = (0, _react.useRef)();
  const activatorRefShort = (0, _react.useRef)();
  const [open, setOpen] = (0, _react.useState)(false);
  const [openShort, setOpenShort] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Button.Button, {
    ref: activatorRef,
    onPress: () => setOpen(!open)
  }, "Click me"), /*#__PURE__*/_react.default.createElement(_Popover.Popover, {
    activator: (_activatorRef$current = activatorRef.current) !== null && _activatorRef$current !== void 0 ? _activatorRef$current : null,
    open: open,
    onClose: () => {
      setOpen(false);
    },
    placement: placement
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      maxWidth: '200px'
    }
  }, /*#__PURE__*/_react.default.createElement(_View.View, {
    padding: "base"
  }, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "A thoughtful way to pay"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "Tap don\u2019t type"), /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "Shop Pay remembers your important details, so you can fill carts, not forms. And everything is encrypted so you can speed safely through checkout.")))), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(_Button.Button, {
    ref: activatorRefShort,
    onPress: () => setOpenShort(!openShort)
  }, "Click me"), /*#__PURE__*/_react.default.createElement(_Popover.Popover, {
    activator: (_activatorRefShort$cu = activatorRefShort.current) !== null && _activatorRefShort$cu !== void 0 ? _activatorRefShort$cu : null,
    open: openShort,
    onClose: () => {
      setOpenShort(false);
    },
    placement: placement
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      maxWidth: '200px'
    }
  }, /*#__PURE__*/_react.default.createElement(_View.View, {
    padding: "base"
  }, /*#__PURE__*/_react.default.createElement(_TextBlock.TextBlock, null, "Short")))));
};

const inlineStart = () => /*#__PURE__*/_react.default.createElement(StoryPopover, {
  placement: "inlineStart"
});

exports.inlineStart = inlineStart;

const inlineEnd = () => /*#__PURE__*/_react.default.createElement(StoryPopover, {
  placement: "inlineEnd"
});

exports.inlineEnd = inlineEnd;

const blockStart = () => /*#__PURE__*/_react.default.createElement(StoryPopover, {
  placement: "blockStart"
});

exports.blockStart = blockStart;

const blockEnd = () => /*#__PURE__*/_react.default.createElement(StoryPopover, {
  placement: "blockEnd"
});

exports.blockEnd = blockEnd;

function InputAsActivator() {
  var _activatorRef$current2;

  const activatorRef = (0, _react.useRef)();
  const [open, setOpen] = (0, _react.useState)(false);
  const handleChange = (0, _react.useCallback)(() => {
    setOpen(true);
  }, [setOpen]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_TextField.TextField, {
    onChange: handleChange,
    label: "Email",
    ref: activatorRef
  }), /*#__PURE__*/_react.default.createElement(_Popover.Popover, {
    activator: (_activatorRef$current2 = activatorRef.current) !== null && _activatorRef$current2 !== void 0 ? _activatorRef$current2 : null,
    open: open,
    onClose: () => {
      setOpen(false);
    }
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Hello world!")));
}

const inputActivator = () => /*#__PURE__*/_react.default.createElement(InputAsActivator, null);

exports.inputActivator = inputActivator;