"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withColor = exports.withState = exports.withCompletedSteps = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _ = require(".");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _.ProgressTracker,
  title: 'checkout-web-ui/ProgressTracker'
};
var _default = meta;
exports.default = _default;

function step(step, state, stateHidden = true) {
  switch (step) {
    case 'confirmed':
      return /*#__PURE__*/_react.default.createElement(_.ProgressTrackerStep, {
        icon: "checkmark",
        id: step,
        label: "Confirmed",
        description: "March 16",
        state: state,
        stateHidden: stateHidden
      });

    case 'onItsWay':
      return /*#__PURE__*/_react.default.createElement(_.ProgressTrackerStep, {
        icon: "truck",
        id: step,
        label: "On its way",
        description: "March 17",
        state: state,
        stateHidden: stateHidden
      });

    case 'outForDelivery':
      return /*#__PURE__*/_react.default.createElement(_.ProgressTrackerStep, {
        icon: "delivery",
        id: step,
        label: "Out for delivery",
        description: "March 18",
        state: state,
        stateHidden: stateHidden
      });

    case 'delivered':
      return /*#__PURE__*/_react.default.createElement(_.ProgressTrackerStep, {
        icon: "delivered",
        id: step,
        label: "Delivered",
        description: "March 19",
        state: state,
        stateHidden: stateHidden
      });

    case 'failure':
      return /*#__PURE__*/_react.default.createElement(_.ProgressTrackerStep, {
        icon: "errorFill",
        iconAppearance: "critical",
        id: step,
        label: "Not delivered",
        description: "March 19",
        state: state,
        stateHidden: stateHidden
      });
  }
}

const defaultState = () => /*#__PURE__*/_react.default.createElement(_.ProgressTracker, null, step('confirmed', 'Current step'), step('onItsWay', 'Upcoming step'), step('outForDelivery', 'Upcoming step'), step('delivered', 'Upcoming step'));

exports.defaultState = defaultState;

const withCompletedSteps = () => /*#__PURE__*/_react.default.createElement(_.ProgressTracker, {
  activeStep: "onItsWay"
}, step('confirmed', 'Past step'), step('onItsWay', 'Current step'), step('outForDelivery', 'Upcoming step'), step('delivered', 'Upcoming step'));

exports.withCompletedSteps = withCompletedSteps;

const withState = () => /*#__PURE__*/_react.default.createElement(_.ProgressTracker, {
  activeStep: "outForDelivery"
}, step('confirmed', 'Past step:', false), step('onItsWay', 'Past step:', false), step('outForDelivery', 'Current step:', false), step('delivered', 'Upcoming step:', false));

exports.withState = withState;

const withColor = () => /*#__PURE__*/_react.default.createElement(_.ProgressTracker, {
  activeStep: "failure"
}, step('confirmed', 'Past step:'), step('onItsWay', 'Past step:'), step('outForDelivery', 'Past step:'), step('failure', 'Current step:'));

exports.withColor = withColor;