"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Redact = Redact;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Redact = _interopRequireDefault(require("./Redact.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Redact({
  lines = 1,
  blockSize = 'base',
  inlineSizes = [0.6, 0.75, 0.7]
}) {
  // TODO: add informations for screen readers
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, [...Array(lines).keys()].map(i => {
    const width = inlineSizes[i % inlineSizes.length] * 100;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: (0, _cssUtilities.classNames)(_Redact.default.Redact, _Redact.default[(0, _cssUtilities.variationName)('blockSize', blockSize)]),
      style: {
        maxWidth: `${width}%`
      },
      key: i
    });
  }));
}