"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Separator = Separator;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Separator = _interopRequireDefault(require("./Separator.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const WIDTH_MAP = {
  thin: '1px',
  medium: '3px',
  thick: '5px',
  extraThick: '10px'
};

function Separator({
  width = 'thin',
  direction = 'horizontal'
}) {
  const border = {
    horizontal: {
      borderBottomWidth: WIDTH_MAP[width]
    },
    vertical: {
      borderRightWidth: WIDTH_MAP[width]
    }
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _cssUtilities.classNames)(_Separator.default.Separator, _Separator.default[(0, _cssUtilities.variationName)('direction', direction)]),
    style: border[direction]
  });
}