"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.basicTabs = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _View = require("../View");

var _Tabs = require("./Tabs");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// eslint-disable-next-line import/no-anonymous-default-export
var _default = {
  title: 'checkout-web-ui/Tabs',
  component: _Tabs.Tabs,
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)()]
};
exports.default = _default;

const basicTabs = args => /*#__PURE__*/_react.default.createElement(Story, args);

exports.basicTabs = basicTabs;
basicTabs.args = {
  tabs: [{
    label: 'Tab 1',
    icon: 'truck'
  }, {
    label: 'Tab 2',
    icon: 'map'
  }, 'Tab 3'],
  bordered: true
};
basicTabs.story = {
  name: 'Tabs'
};

function Story(args) {
  const [selected, setSelected] = (0, _react.useState)(0);

  const handleChange = newSelected => {
    setSelected(newSelected);
  };

  return /*#__PURE__*/_react.default.createElement(_Tabs.Tabs, Object.assign({}, args, {
    selected: selected,
    onChange: handleChange,
    ariaLabel: "Tabs example"
  }), /*#__PURE__*/_react.default.createElement(_View.View, {
    padding: "base"
  }, "Content for tab 1"), /*#__PURE__*/_react.default.createElement(_View.View, {
    padding: "base"
  }, "Content for tab 2"), /*#__PURE__*/_react.default.createElement(_View.View, {
    padding: "base"
  }, "Content for tab 3"));
}