"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBlock = TextBlock;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../utilities/legacy");

var _typographyStyles = _interopRequireDefault(require("../../utilities/typography-styles.css"));

var _inlineFormatting = require("../../utilities/inlineFormatting");

var _TextBlock = _interopRequireDefault(require("./TextBlock.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TextBlock({
  children,
  size = 'base',
  emphasized,
  subdued,
  appearance,
  style,
  id
}) {
  const className = (0, _cssUtilities.classNames)(_TextBlock.default.TextBlock, size && _TextBlock.default[(0, _cssUtilities.variationName)('size', size)], emphasized && _TextBlock.default.emphasized, emphasized && _legacy.utilityDefaultTextColorEmphasized, subdued && _TextBlock.default.subdued, subdued && _legacy.utilityDefaultTextColorSubdued, appearance && _TextBlock.default[(0, _cssUtilities.variationName)('appearance', appearance)], appearance && appearance === 'accent' && _legacy.utilityDefaultColorAccent, style && _typographyStyles.default[style]);
  const content = emphasized ? /*#__PURE__*/_react.default.createElement("strong", null, children) : children;
  return /*#__PURE__*/_react.default.createElement(_inlineFormatting.InlineFormattingContext.Provider, {
    value: true
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: className,
    id: id
  }, content));
}