"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Theme = Theme;

var _react = _interopRequireWildcard(require("react"));

var _context = require("./context");

var _components = require("./components");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* eslint id-length: off */
function Theme({
  children,
  theme,
  shouldLoadFonts
}) {
  const supportsCustomProperties = useSupportsCustomProperties();
  return /*#__PURE__*/_react.default.createElement(_context.ThemeContext.Provider, {
    value: theme
  }, /*#__PURE__*/_react.default.createElement(_components.MaybeWebFonts, {
    condition: Boolean(shouldLoadFonts)
  }, supportsCustomProperties ? /*#__PURE__*/_react.default.createElement(_components.CustomProperties, null, /*#__PURE__*/_react.default.createElement(_components.Canvas, null, children)) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_components.CustomPropertiesFallback, null), /*#__PURE__*/_react.default.createElement(_components.Canvas, null, children))));
} // TODO: if we ever do server rendering, this will need to be based on UA
// string on the server to avoid server/ client mismatches.


function useSupportsCustomProperties() {
  return (0, _react.useMemo)(() => typeof CSS !== 'undefined' && CSS.supports('color', 'var(--test)'), []);
}