"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.smallThumbnailWithBadge = exports.withExpandedBadge = exports.withBadge = exports.withSource = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Thumbnail = require("./Thumbnail");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Thumbnail.Thumbnail,
  title: 'checkout-web-ui/Thumbnail',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('thumbnail'), story => /*#__PURE__*/_react.default.createElement("div", {
    style: {
      margin: '1em'
    }
  }, story())]
};
var _default = meta;
exports.default = _default;
const defaultProps = {
  description: 'Placeholder image'
};

const defaultState = () => /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, defaultProps);

exports.defaultState = defaultState;

const withSource = () => /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
  source: "https://via.placeholder.com/64x64/eee"
}));

exports.withSource = withSource;

const withBadge = () => /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
  badge: 1
}));

exports.withBadge = withBadge;

const withExpandedBadge = () => /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
  badge: "New"
}));

exports.withExpandedBadge = withExpandedBadge;

const smallThumbnailWithBadge = () => /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, Object.assign({}, defaultProps, {
  badge: 1,
  size: "small"
}));

exports.smallThumbnailWithBadge = smallThumbnailWithBadge;