"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nested = exports.breakAt = exports.maxPerLine = exports.Alignment = exports.Spacing = exports.allProps = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = require("../View");

var _Tiles = require("./Tiles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Tiles.Tiles,
  title: 'checkout-web-ui/Tiles'
};
var _default = meta;
exports.default = _default;

function ExampleTile() {
  return /*#__PURE__*/_react.default.createElement(_View.View, null, /*#__PURE__*/_react.default.createElement(_View.View, {
    background: "surfaceSecondary",
    border: "base",
    padding: "base"
  }, "Content block"));
}

function LongExampleTile() {
  return /*#__PURE__*/_react.default.createElement(_View.View, null, /*#__PURE__*/_react.default.createElement(_View.View, {
    background: "surfaceSecondary",
    border: "base",
    padding: "base"
  }, "This is a long content block that wraps on multiple lines. This is a long content block that wraps on multiple lines."));
}

const defaultState = () => /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, null, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null));

exports.defaultState = defaultState;

const allProps = () => /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "extraTight",
  maxPerLine: 4,
  breakAt: 600,
  alignment: "center"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null));

exports.allProps = allProps;

const Spacing = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "none"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "extraTight"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "tight"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "base"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "loose"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  spacing: "extraLoose"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)));

exports.Spacing = Spacing;

const Alignment = () => /*#__PURE__*/_react.default.createElement(_View.View, {
  maxInlineSize: 400
}, /*#__PURE__*/_react.default.createElement(_View.View, {
  border: "base"
}, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  alignment: "leading"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(_View.View, {
  border: "base"
}, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  alignment: "center"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(_View.View, {
  border: "base"
}, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  alignment: "trailing"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(_View.View, {
  border: "base"
}, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  alignment: "baseline"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(LongExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))));

exports.Alignment = Alignment;

const maxPerLine = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  maxPerLine: 2
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)));

exports.maxPerLine = maxPerLine;

const breakAt = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, "This Tiles breaks at 600px:"), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  breakAt: 600,
  spacing: "none"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement("p", null, "This Tiles is inside a 599px wrapper and breaks at 600px:"), /*#__PURE__*/_react.default.createElement(_View.View, {
  maxInlineSize: 599,
  border: "base"
}, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  breakAt: 600,
  spacing: "none"
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))));

exports.breakAt = breakAt;

const nested = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, "This Tiles breaks at 900px then at 450px:"), /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  breakAt: 900
}, /*#__PURE__*/_react.default.createElement(_View.View, null, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  breakAt: 450
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null))), /*#__PURE__*/_react.default.createElement(_View.View, null, /*#__PURE__*/_react.default.createElement(_Tiles.Tiles, {
  breakAt: 450
}, /*#__PURE__*/_react.default.createElement(ExampleTile, null), /*#__PURE__*/_react.default.createElement(ExampleTile, null)))));

exports.nested = nested;