"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToggleButton = ToggleButton;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _ToggleButtonGroup = _interopRequireDefault(require("./ToggleButtonGroup.css"));

var _hooks = require("./hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ToggleButton({
  id,
  children
}) {
  const {
    selectedItem,
    onChange
  } = (0, _hooks.useToggleButtons)();
  const selected = selectedItem === id;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _cssUtilities.classNames)(_ToggleButtonGroup.default.ToggleButton)
  }, /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    "aria-pressed": selected,
    onClick: () => {
      onChange(id);
    },
    className: (0, _cssUtilities.classNames)(_ToggleButtonGroup.default.Button, {
      [_ToggleButtonGroup.default['Button-selected']]: selected
    })
  }, children));
}