"use strict";

var _react = _interopRequireDefault(require("react"));

var _faker = _interopRequireDefault(require("faker"));

var _testUtilities = require("../../test-utilities");

var _context = require("./context");

var _index = require("./index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultProps = {
  id: _faker.default.random.uuid(),
  selectedItem: _faker.default.random.uuid(),
  onChange: () => null
};
describe('<ToggleButtonGroup />', () => {
  it('renders its children', () => {
    function Children() {
      return /*#__PURE__*/_react.default.createElement("div", null, "children");
    }

    const toggleButtonGroup = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_index.ToggleButtonGroup, defaultProps, /*#__PURE__*/_react.default.createElement(Children, null)));
    expect(toggleButtonGroup).toContainReactComponent(Children);
  });
  it('wraps children with ToggleButtonContext', () => {
    const onChange = () => null;

    const id = _faker.default.random.uuid();

    const selectedItem = _faker.default.random.uuid();

    const toggleButtonGroup = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(_index.ToggleButtonGroup, Object.assign({}, defaultProps, {
      id: id,
      selectedItem: selectedItem,
      onChange: onChange
    })));
    expect(toggleButtonGroup).toProvideReactContext(_context.ToggleButtonsContext, {
      selectedItem,
      onChange
    });
  });
});