"use strict";

var _react = _interopRequireWildcard(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _mounted = require("./mounted");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

describe('useMounted', () => {
  it('returns true if component is mounted', () => {
    const spy = jest.fn();

    function Mounted() {
      const mounted = (0, _mounted.useMounted)();
      (0, _react.useEffect)(() => {
        spy(mounted);
      }, [mounted]);
      return null;
    }

    (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(Mounted, null));
    expect(spy.mock.calls).toMatchObject([[{
      current: true
    }]]);
  });
  it('returns false if component is unmounted', () => {
    const spy = jest.fn();

    function Unmounted() {
      const mounted = (0, _mounted.useMounted)();
      (0, _react.useEffect)(() => {
        spy(mounted);
      }, [mounted]);
      return null;
    }

    const unmountedComponent = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(Unmounted, null));
    unmountedComponent.unmount();
    expect(spy.mock.calls).toMatchObject([[{
      current: false
    }]]);
  });
});