"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useResponsiveValue = useResponsiveValue;

var _breakpoint = require("./breakpoint");

function useResponsiveValue(values) {
  const breakpoint = (0, _breakpoint.useBreakpoint)();

  if (!breakpoint) {
    return undefined;
  }

  if (values[breakpoint] !== undefined) {
    return values[breakpoint];
  }

  const breakpoints = Object.keys(_breakpoint.BREAKPOINTS);
  const breakpointIndex = breakpoints.indexOf(breakpoint);

  for (let i = breakpointIndex; i >= 0; i--) {
    const breakpoint = breakpoints[i];

    if (values[breakpoint] !== undefined) {
      return values[breakpoint];
    }
  }
}