"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.basic = void 0;
const react_1 = __importStar(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Text_1 = require("../Text");
const Autocomplete_1 = require("./Autocomplete");
const meta = {
    component: Autocomplete_1.Autocomplete,
    title: 'checkout-web-ui/Autocomplete',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('textFields')],
};
exports.default = meta;
function Basic() {
    const [value, setValue] = react_1.useState('');
    const [options, setOptions] = react_1.useState([]);
    const handleInput = (value) => {
        setValue(value);
        if (value === '') {
            setOptions([]);
            return;
        }
        setOptions([...Array(50).keys()]
            .map((i) => `${i + 1} Saint Urbain Street, Montreal, QC, Canada`)
            .filter((option) => option.startsWith(value))
            .slice(0, 5));
    };
    const onSelectOption = (value) => {
        setValue(value);
        setOptions([]);
    };
    return (<Autocomplete_1.Autocomplete id="address" label="Address" name="address" onInput={handleInput} onSelectOption={onSelectOption} options={options} value={value} ariaLabel="Close Predictions" title="Suggestions">
      <Autocomplete_1.AutocompleteOptions>
        {options &&
        options.map((option) => (<Autocomplete_1.AutocompleteOption key={option}>
              <Text_1.Text emphasized>
                <strong>{value}</strong>
              </Text_1.Text>
              {option.slice(value.length)}
            </Autocomplete_1.AutocompleteOption>))}
      </Autocomplete_1.AutocompleteOptions>
    </Autocomplete_1.Autocomplete>);
}
exports.basic = () => <Basic />;
