"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withDisabledBreadcrumb = exports.withActiveBreadcrumb = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const _1 = require(".");
const meta = {
    component: _1.Breadcrumbs,
    title: 'checkout-web-ui/Breadcrumbs',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('buyerJourney')],
};
exports.default = meta;
exports.defaultState = () => (<_1.Breadcrumbs breadcrumbs={[
    { id: 'information', to: '/information', content: 'Information' },
    { id: 'shipping', to: '/shipping', content: 'Shipping' },
    { id: 'payment', to: '/payment', content: 'Payment' },
]}/>);
exports.withActiveBreadcrumb = () => (<_1.Breadcrumbs active="shipping" breadcrumbs={[
    { id: 'information', to: '/information', content: 'Information' },
    { id: 'shipping', to: '/shipping', content: 'Shipping' },
    { id: 'payment', to: '/payment', content: 'Payment' },
]}/>);
exports.withDisabledBreadcrumb = () => (<_1.Breadcrumbs breadcrumbs={[
    { id: 'information', to: '/information', content: 'Information' },
    { id: 'shipping', to: '/shipping', content: 'Shipping' },
    { id: 'payment', to: '/payment', content: 'Payment', disabled: true },
]}/>);
