import React, { PropsWithChildren } from 'react';
import { ButtonProps } from '@shopify/argo-checkout';
export interface Props extends PropsWithChildren<ButtonProps> {
    /** Renders a button that is visually styled with secondary colors */
    secondary?: boolean;
    /** Renders a button that is visually styled with tertiary colors and padding */
    tertiary?: boolean;
    /** Adds an underline to the text when rendered as a plain button */
    underline?: boolean;
    /**
     * Specify the color of the Button when `plain`.
     * `inheritColor` will take the color of its parent.
     */
    appearance?: 'inheritColor';
    onMouseEnter?(): void;
}
export declare const Button: React.ForwardRefExoticComponent<Props & React.RefAttributes<unknown>>;
