"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Button_1 = require("./Button");
const meta = {
    component: Button_1.Button,
    title: 'checkout-web-ui/Button',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('primaryButton', 'secondaryButton')],
    argTypes: {
        appearance: {
            control: {
                type: 'select',
                options: [undefined, 'inheritColor'],
            },
        },
    },
};
exports.default = meta;
exports.Button = (args) => (<Button_1.Button {...args}>Button</Button_1.Button>);
exports.Button.args = {
    secondary: false,
    disabled: false,
    to: 'javascript:;',
    subdued: false,
    plain: false,
    loading: false,
    loadingLabel: 'Processing…',
    fill: false,
    tertiary: false,
    underline: false,
    appearance: undefined,
    accessibilityLabel: '',
};
