"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.warningState = exports.successState = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text");
const Heading_1 = require("../Heading");
const storybook_utilities_1 = require("../../storybook-utilities");
const CalloutHeader_1 = require("./CalloutHeader");
const meta = {
    component: CalloutHeader_1.CalloutHeader,
    title: 'checkout-web-ui/CalloutHeader',
    decorators: [
        (story) => (<div style={{
            margin: '1em 0 0 7em',
        }}>
        {story()}
      </div>),
        storybook_utilities_1.themeWithKnobs('headingLevel2'),
    ],
};
exports.default = meta;
exports.successState = () => (<CalloutHeader_1.CalloutHeader status="success">
    <Text_1.Text subdued>Order #1234</Text_1.Text>
    <Heading_1.Heading>Thank you!</Heading_1.Heading>
  </CalloutHeader_1.CalloutHeader>);
exports.warningState = () => (<CalloutHeader_1.CalloutHeader status="warning">
    <Heading_1.Heading>Inventory issues</Heading_1.Heading>
    <Text_1.Text subdued>
      Some products became unavailable and your cart has been updated.
    </Text_1.Text>
  </CalloutHeader_1.CalloutHeader>);
