"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const TextField_1 = require("../TextField");
const Select_1 = require("../Select");
const FormLayout_1 = require("./FormLayout");
const meta = {
    title: 'checkout-web-ui/FormLayout',
    component: FormLayout_1.FormLayout,
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('formLayout', 'textFields', 'select')],
};
exports.default = meta;
exports.defaultState = () => {
    const selectCountryProps = {
        id: 'country',
        name: 'country',
        label: 'Country',
        options: [
            {
                value: 'CA',
                label: 'Canada',
            },
            {
                value: 'US',
                label: 'United States',
            },
            {
                value: 'UK',
                label: 'United Kingdom',
            },
        ],
    };
    const selectProvinceProps = {
        id: 'province',
        name: 'province',
        label: 'Province',
        options: [
            {
                value: 'QC',
                label: 'Quebec',
            },
            {
                value: 'ON',
                label: 'Ontario',
            },
            {
                value: 'PEI',
                label: 'Prince Edward Island',
            },
        ],
    };
    return (<FormLayout_1.FormLayout>
      <FormLayout_1.FormLayoutGroup>
        <Select_1.Select {...selectCountryProps}/>
        <Select_1.Select {...selectProvinceProps}/>
      </FormLayout_1.FormLayoutGroup>
      <TextField_1.TextField label="Address" name="address0" id="address0"/>
      <TextField_1.TextField label="Apartment, suite, etc." name="address1" id="address1"/>
    </FormLayout_1.FormLayout>);
};
