/// <reference types="react" />
declare const BUNDLED_ICONS: {
    arrowLeft: any;
    arrowRight: any;
    calendar: any;
    camera: any;
    cancelCircle: any;
    caretDown: any;
    cart: any;
    checkmark: any;
    checkmarkCircle: any;
    chevronDown: any;
    chevronUp: any;
    chevronRight: any;
    chevronLeft: any;
    close: any;
    critical: any;
    discount: any;
    delivered: any;
    delivery: any;
    disabled: any;
    errorFill: any;
    geolocation: any;
    info: any;
    list: any;
    locateMe: any;
    lock: any;
    map: any;
    marker: any;
    mobile: any;
    questionFill: any;
    reorder: any;
    spinner: any;
    spinnerSmall: any;
    store: any;
    success: any;
    truck: any;
    warning: any;
    warningCircle: any;
    warningFill: any;
    giftFill: any;
    external: any;
};
export declare type IconSource = keyof typeof BUNDLED_ICONS;
export interface Props {
    source: 'placeholder' | IconSource;
    appearance?: 'accent' | 'interactive' | 'subdued' | 'info' | 'success' | 'warning' | 'critical';
    size?: 'small' | 'default' | 'large';
    accessibilityLabel?: string;
}
export declare function Icon({ source, appearance, size, accessibilityLabel }: Props): JSX.Element;
export declare const AVAILABLE_ICONS: string[];
export {};
