/// <reference types="react" />
import { Story } from '@storybook/preact/types-6-0';
import { ImageProps } from '@shopify/argo-checkout';
import { Image } from './Image';
declare const meta: {
    component: typeof Image;
    title: string;
    argTypes: {
        loading: {
            control: {
                type: string;
                options: string[];
                required: boolean;
            };
        };
        fit: {
            control: {
                type: string;
                options: string[];
                required: boolean;
            };
        };
    };
};
export default meta;
export declare const basicImage: Story<ImageProps>;
export declare const lazyLoading: Story<ImageProps>;
export declare const cover: Story<ImageProps>;
export declare const contain: Story<ImageProps>;
export declare const responsive: Story<ImageProps>;
export declare const aspectRatio: {
    (args: ImageProps): JSX.Element;
    args: {
        source: string;
        aspectRatio: number;
        storyName?: string | undefined;
        includeStories?: RegExp | string[] | undefined;
        excludeStories?: RegExp | string[] | undefined;
        args?: Partial<ImageProps> | undefined;
        argTypes?: import("@storybook/preact/types-6-0").ArgTypes | undefined;
        parameters?: import("@storybook/preact/types-6-0").Parameters | undefined;
        decorators?: import("@storybook/addons").BaseDecorators<import("@storybook/preact/dist/ts3.9/client/preview/types").StoryFnPreactReturnType> | undefined;
    };
};
