"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.basicImage = void 0;
const react_1 = __importDefault(require("react"));
const test_utilities_1 = require("../../test-utilities");
const TextContainer_1 = require("../TextContainer");
const Image_1 = require("./Image");
const meta = {
    component: Image_1.Image,
    title: 'checkout-web-ui/Image',
    argTypes: {
        loading: {
            control: {
                type: 'select',
                options: ['eager', 'lazy'],
                required: false,
            },
        },
        fit: {
            control: {
                type: 'select',
                options: ['cover', 'contain'],
                required: false,
            },
        },
    },
};
exports.default = meta;
const Template = (args) => <Image_1.Image {...args}/>;
exports.basicImage = Template.bind({});
exports.basicImage.args = {
    source: 'https://via.placeholder.com/320x180/eee',
    description: 'placeholder.com',
    loading: undefined,
    fit: undefined,
};
exports.lazyLoading = Template.bind({});
exports.lazyLoading.args = Object.assign(Object.assign({}, exports.basicImage.args), { loading: 'lazy' });
exports.cover = Template.bind({});
exports.cover.args = Object.assign(Object.assign({}, exports.basicImage.args), { sources: [
        { source: 'https://via.placeholder.com/320x180/eee', resolution: 1 },
        { source: 'https://via.placeholder.com/640x360/eee', resolution: 2 },
    ], aspectRatio: 1, fit: 'cover', bordered: true });
exports.cover.decorators = [
    (Story) => (<div style={{ width: 256 }}>
      <Story />
    </div>),
];
exports.contain = Template.bind({});
exports.contain.args = Object.assign(Object.assign({}, exports.basicImage.args), { sources: [
        { source: 'https://via.placeholder.com/320x180/eee', resolution: 1 },
        { source: 'https://via.placeholder.com/640x360/eee', resolution: 2 },
    ], aspectRatio: 1, fit: 'contain', bordered: true });
exports.contain.decorators = [
    (Story) => (<div style={{ width: 256 }}>
      <Story />
    </div>),
];
exports.responsive = Template.bind({});
exports.responsive.args = Object.assign(Object.assign({}, exports.basicImage.args), { sources: [
        {
            source: 'https://via.placeholder.com/320x180/eee',
            resolution: 1,
            viewportSize: 'small',
        },
        {
            source: 'https://via.placeholder.com/640x360/eee',
            resolution: 2,
            viewportSize: 'small',
        },
        {
            source: 'https://via.placeholder.com/640x360/eee',
            resolution: 1,
            viewportSize: 'medium',
        },
        {
            source: 'https://via.placeholder.com/1280x720/eee',
            resolution: 2,
            viewportSize: 'medium',
        },
        {
            source: 'https://via.placeholder.com/1280x720/eee',
            resolution: 1,
            viewportSize: 'large',
        },
        {
            source: 'https://via.placeholder.com/2560x1440/eee',
            resolution: 2,
            viewportSize: 'large',
        },
    ] });
exports.aspectRatio = (args) => (<div style={{ width: 320 }}>
    <TextContainer_1.TextContainer>
      <Image_1.Image {...args}/>
      <p>{test_utilities_1.faker.lorem.paragraphs(3)}</p>
    </TextContainer_1.TextContainer>
  </div>);
exports.aspectRatio.args = Object.assign(Object.assign({}, exports.basicImage), { source: 'https://via.placeholder.com/640x360', aspectRatio: 3 });
