"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Labelled = void 0;
const react_1 = __importStar(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const Text_1 = require("../Text");
const Truncate_1 = require("../Truncate");
const Theme_1 = require("../Theme");
const context_1 = require("./context");
const Labelled_css_1 = __importDefault(require("./Labelled.css"));
function Labelled({ children, label, htmlFor, empty, position = 'inside', background = 'surfaceTertiary', subdued, prefixed, hasIcon, }) {
    const [focused, setFocused] = react_1.useState(false);
    const [wasNotEmpty, setWasNotEmpty] = react_1.useState(false);
    react_1.useEffect(() => {
        if (!empty) {
            setWasNotEmpty(true);
        }
        else if (!focused) {
            setWasNotEmpty(false);
        }
    }, [focused, empty]);
    const floating = (!empty || (empty && wasNotEmpty)) && position === 'inside';
    const handleFocus = react_1.useCallback(() => {
        setFocused(true);
        if (prefixed) {
            setWasNotEmpty(true);
        }
    }, [prefixed]);
    const handleBlur = react_1.useCallback(() => setFocused(false), []);
    const { label: { typographyStyle }, } = Theme_1.useThemeConfiguration();
    return (<context_1.LabelledContext.Provider value={{
        onFocus: handleFocus,
        onBlur: handleBlur,
        focused,
        floating,
    }}>
      <div className={Labelled_css_1.default.Wrapper}>
        <div className={css_utilities_1.classNames({
        [Labelled_css_1.default.floating]: floating,
    })}>
          <label id={`${htmlFor}-label`} htmlFor={htmlFor} className={css_utilities_1.classNames(Labelled_css_1.default.Label, Labelled_css_1.default[css_utilities_1.variationName('Label-position', position)], subdued && Labelled_css_1.default['Label-subdued'], background &&
        Labelled_css_1.default[css_utilities_1.variationName('Label-onBackground', background)], hasIcon && Labelled_css_1.default['Label-nextToIcon'])}>
            <Text_1.Text size="small" subdued style={typographyStyle}>
              <Truncate_1.Truncate>{label}</Truncate_1.Truncate>
            </Text_1.Text>
          </label>
          {children}
        </div>
      </div>
    </context_1.LabelledContext.Provider>);
}
exports.Labelled = Labelled;
