import { PropsWithChildren } from 'react';
import { LinkProps } from '@shopify/argo-checkout';
export interface Props extends LinkProps {
    /** Adds an underline to the link */
    underline?: boolean;
    /**
     * Specify the color of the link.
     * `inheritColor` will take the color of its parent.
     */
    appearance?: 'inheritColor';
}
/**
 * Link is used to navigate the buyer to another page or section within the same page.
 */
export declare function Link({ children, to, language, onPress, underline, appearance, accessibilityLabel, ...rest }: PropsWithChildren<Props>): JSX.Element;
