"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const faker_1 = __importDefault(require("faker"));
const test_utilities_1 = require("../../test-utilities");
const Link_1 = require("./Link");
const components_1 = require("./components");
describe('<Link />', () => {
    it('renders an UnstyledLink if "to" is provided', () => {
        const props = { to: faker_1.default.internet.url() };
        const link = test_utilities_1.mountWithContext(<Link_1.Link {...props}/>);
        expect(link).toContainReactComponent(components_1.UnstyledLink, props);
    });
    it('renders a button if "to" is not provided', () => {
        const link = test_utilities_1.mountWithContext(<Link_1.Link onPress={() => null} to={undefined}/>);
        expect(link).toContainReactComponent('button');
    });
});
