"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnstyledLink = void 0;
const react_1 = __importDefault(require("react"));
const AppContext_1 = require("../../../AppContext");
const UnstyledLink_css_1 = __importDefault(require("./UnstyledLink.css"));
function UnstyledLink({ children, className: classNameProp, to, external, id, language, ariaBusy, ariaLive, ariaLabel, onPress, }) {
    const LinkComponent = AppContext_1.useLinkComponent();
    const handleClick = onPress && (() => onPress());
    const className = classNameProp !== null && classNameProp !== void 0 ? classNameProp : UnstyledLink_css_1.default.UnstyledLink;
    if (LinkComponent) {
        return (<LinkComponent to={to} onClick={handleClick} external={external} id={id} className={className} lang={language} aria-label={ariaLabel} aria-busy={ariaBusy} aria-live={ariaLive}>
        {children}
      </LinkComponent>);
    }
    const target = external ? '_blank' : undefined;
    const rel = external ? 'noopener noreferrer' : undefined;
    return (<a href={to} onClick={handleClick} target={target} rel={rel} id={id} className={className} lang={language} aria-label={ariaLabel} aria-busy={ariaBusy} aria-live={ariaLive}>
      {children}
    </a>);
}
exports.UnstyledLink = UnstyledLink;
