import { ReactNode } from 'react';
interface CommonProps {
    /**
     * Whether the modal is closable or not. This will prevent closing
     * the modal by pressing `ESC` and hide the "close" button. This
     * can be used in flows where the user feedback is mandatory.
     */
    blocking?: boolean;
    /**
     * Stretches the modal on the y-axis to make it cover 90% of
     * the screen's height. This also cancels the automatic resizing
     * of the iframe when it's loaded.
     */
    long?: boolean;
    onClose?: () => void;
    open?: boolean;
    title?: string;
    titleHidden?: boolean;
}
interface IFrameProps {
    iFrameName?: string;
    iFrameTitle?: string;
    src?: string;
}
interface ChildrenProps {
    children?: ReactNode;
}
export declare type Props = CommonProps & (IFrameProps | ChildrenProps);
export declare function Modal({ blocking, long, onClose, open: openProp, title, titleHidden, ...props }: Props): JSX.Element | null;
export {};
