"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const faker_1 = __importDefault(require("faker"));
const test_utilities_1 = require("../../../../../test-utilities");
const OptionList_1 = require("../../../OptionList");
const __1 = require("..");
const defaultOptionListProps = {
    id: faker_1.default.random.uuid(),
    selectedItems: [],
    onChange: () => null,
    children: <div />,
};
describe('<OptionDetails />', () => {
    it('renders children if selected', () => {
        const id = faker_1.default.random.uuid();
        function Children() {
            return <div>Children</div>;
        }
        const accordion = test_utilities_1.mountWithContext(<OptionList_1.OptionList {...defaultOptionListProps} selectedItems={[id]}>
        <__1.OptionDetails controlledBy={id}>
          <Children />
        </__1.OptionDetails>
      </OptionList_1.OptionList>);
        expect(accordion.find(__1.OptionDetails)).toContainReactComponent(Children);
    });
    it('does not render children if not selected', () => {
        function Children() {
            return <div>Children</div>;
        }
        const accordion = test_utilities_1.mountWithContext(<OptionList_1.OptionList {...defaultOptionListProps} selectedItems={['123']}>
        <__1.OptionDetails controlledBy="234">
          <Children />
        </__1.OptionDetails>
      </OptionList_1.OptionList>);
        expect(accordion.find(__1.OptionDetails)).not.toContainReactComponent(Children);
    });
});
