export declare type Placement = 'blockStart' | 'blockEnd' | 'inlineStart' | 'inlineEnd';
export interface Offsets {
    x: number;
    y: number;
}
export interface Clipping {
    left: number;
    right: number;
}
export declare function roundOffsets({ x, y }: Offsets): Offsets;
export declare function computeOffsets(placement: Placement, popperRect: DOMRectReadOnly | null, referenceRect: DOMRectReadOnly | null, { offset, preventOverflow, sameInlineSize }?: {
    offset?: number | undefined;
    preventOverflow?: boolean | undefined;
    sameInlineSize?: boolean | undefined;
}): {
    offsets: Offsets;
    clipping: Clipping;
    spacing: number;
};
