/// <reference types="react" />
import { TextProps } from '@shopify/argo-checkout';
export interface Props {
    /**
     * Block size of each redacted text line.
     * These sizes are equivalent to the Text sizes.
     * @default 'base'
     */
    blockSize?: TextProps['size'];
    /**
     * Inline size for each redacted text line.
     * @default [0.6, 0.75, 0.7]
     */
    inlineSizes?: number[];
    /**
     * Number of redacted lines to display
     * @default '1'
     */
    lines?: number;
}
export declare function Redact({ lines, blockSize, inlineSizes, }: Props): JSX.Element;
