"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redact = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const Redact_css_1 = __importDefault(require("./Redact.css"));
function Redact({ lines = 1, blockSize = 'base', inlineSizes = [0.6, 0.75, 0.7], }) {
    // TODO: add informations for screen readers
    return (<>
      {[...Array(lines).keys()].map((i) => {
        const width = inlineSizes[i % inlineSizes.length] * 100;
        return (<div className={css_utilities_1.classNames(Redact_css_1.default.Redact, Redact_css_1.default[css_utilities_1.variationName('blockSize', blockSize)])} style={{ maxWidth: `${width}%` }} key={i}/>);
    })}
    </>);
}
exports.Redact = Redact;
