"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultipleBlockSizes = exports.CustomInlineSizes = exports.ThreeLines = exports.OneLine = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const TextContainer_1 = require("../TextContainer");
const Redact_1 = require("./Redact");
const meta = {
    component: Redact_1.Redact,
    title: 'checkout-web-ui/Redact',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs()],
};
exports.default = meta;
exports.OneLine = () => <Redact_1.Redact />;
exports.ThreeLines = () => (<TextContainer_1.TextContainer>
    <Redact_1.Redact lines={3}/>
  </TextContainer_1.TextContainer>);
exports.CustomInlineSizes = () => (<TextContainer_1.TextContainer>
    <Redact_1.Redact lines={3} inlineSizes={[0.9, 0.5, 0.2]}/>
  </TextContainer_1.TextContainer>);
exports.MultipleBlockSizes = () => (<TextContainer_1.TextContainer spacing="loose">
    <TextContainer_1.TextContainer>
      <Redact_1.Redact lines={3} blockSize="extraSmall"/>
    </TextContainer_1.TextContainer>
    <TextContainer_1.TextContainer>
      <Redact_1.Redact lines={3} blockSize="small"/>
    </TextContainer_1.TextContainer>
    <TextContainer_1.TextContainer>
      <Redact_1.Redact lines={3} blockSize="medium"/>
    </TextContainer_1.TextContainer>
    <TextContainer_1.TextContainer>
      <Redact_1.Redact lines={3} blockSize="large"/>
    </TextContainer_1.TextContainer>
    <TextContainer_1.TextContainer>
      <Redact_1.Redact lines={3} blockSize="extraLarge"/>
    </TextContainer_1.TextContainer>
  </TextContainer_1.TextContainer>);
