"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Separator = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const Separator_css_1 = __importDefault(require("./Separator.css"));
const WIDTH_MAP = {
    thin: '1px',
    medium: '3px',
    thick: '5px',
    extraThick: '10px',
};
function Separator({ width = 'thin', direction = 'horizontal', }) {
    const border = {
        horizontal: { borderBottomWidth: WIDTH_MAP[width] },
        vertical: { borderRightWidth: WIDTH_MAP[width] },
    };
    return (<div className={css_utilities_1.classNames(Separator_css_1.default.Separator, Separator_css_1.default[css_utilities_1.variationName('direction', direction)])} style={border[direction]}/>);
}
exports.Separator = Separator;
