"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomProperties = void 0;
const react_1 = __importStar(require("react"));
const hooks_1 = require("../../hooks");
exports.CustomProperties = react_1.memo(function CustomProperties({ children, }) {
    const theme = hooks_1.useTheme();
    const divRef = react_1.useRef(null);
    const customPropertiesStyle = react_1.useMemo(() => customPropertiesToStyleProp(theme.customProperties), [theme]);
    react_1.useEffect(() => {
        return theme.on('preview', (customProperties) => {
            const { current: root } = divRef;
            if (root == null)
                return;
            const normalized = customPropertiesToStyleProp(customProperties);
            for (const property of Object.keys(normalized)) {
                if (normalized[property]) {
                    root.style.setProperty(property, normalized[property]);
                }
                else {
                    root.style.removeProperty(property);
                }
            }
        });
    }, [theme]);
    return (<div style={customPropertiesStyle} ref={divRef}>
      {children}
    </div>);
});
function customPropertiesToStyleProp(properties) {
    const normalized = {};
    for (const key of Object.keys(properties)) {
        normalized[`--x-${key.replace(/([a-z\d])([A-Z])/g, '$1-$2').toLowerCase()}`] = properties[key];
    }
    return normalized;
}
