/// <reference types="react" />
declare type Size = 'small' | 'base';
export interface Props {
    badge?: string | number;
    description: string;
    source?: string;
    /**
     * A list of source sizes for responsive images, used in [srcset](https://developer.mozilla.org/en-US/docs/Web/API/HTMLImageElement/srcset).
     * e.g., ["https://example.org/foo_100x100.jpg", "https://example.org/foo_200x200.jpg 2x"]
     */
    sources?: string[];
    size?: Size;
}
export declare function Thumbnail({ badge, description, source, sources, size, }: Props): JSX.Element;
export {};
