"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.smallThumbnailWithBadge = exports.withExpandedBadge = exports.withBadge = exports.withSource = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Thumbnail_1 = require("./Thumbnail");
const meta = {
    component: Thumbnail_1.Thumbnail,
    title: 'checkout-web-ui/Thumbnail',
    decorators: [
        addon_knobs_1.withKnobs,
        storybook_utilities_1.themeWithKnobs('thumbnail'),
        (story) => <div style={{ margin: '1em' }}>{story()}</div>,
    ],
};
exports.default = meta;
const defaultProps = {
    description: 'Placeholder image',
};
exports.defaultState = () => <Thumbnail_1.Thumbnail {...defaultProps}/>;
exports.withSource = () => (<Thumbnail_1.Thumbnail {...defaultProps} source="https://via.placeholder.com/64x64/eee"/>);
exports.withBadge = () => <Thumbnail_1.Thumbnail {...defaultProps} badge={1}/>;
exports.withExpandedBadge = () => (<Thumbnail_1.Thumbnail {...defaultProps} badge="New"/>);
exports.smallThumbnailWithBadge = () => (<Thumbnail_1.Thumbnail {...defaultProps} badge={1} size="small"/>);
