"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const faker_1 = __importDefault(require("faker"));
const test_utilities_1 = require("../../test-utilities");
const context_1 = require("./context");
const index_1 = require("./index");
const defaultProps = {
    id: faker_1.default.random.uuid(),
    selectedItem: faker_1.default.random.uuid(),
    onChange: () => null,
};
describe('<ToggleButtonGroup />', () => {
    it('renders its children', () => {
        function Children() {
            return <div>children</div>;
        }
        const toggleButtonGroup = test_utilities_1.mountWithContext(<index_1.ToggleButtonGroup {...defaultProps}>
        <Children />
      </index_1.ToggleButtonGroup>);
        expect(toggleButtonGroup).toContainReactComponent(Children);
    });
    it('wraps children with ToggleButtonContext', () => {
        const onChange = () => null;
        const id = faker_1.default.random.uuid();
        const selectedItem = faker_1.default.random.uuid();
        const toggleButtonGroup = test_utilities_1.mountWithContext(<index_1.ToggleButtonGroup {...defaultProps} id={id} selectedItem={selectedItem} onChange={onChange}/>);
        expect(toggleButtonGroup).toProvideReactContext(context_1.ToggleButtonsContext, {
            selectedItem,
            onChange,
        });
    });
});
