"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.View = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const responsive_1 = require("../../utilities/responsive");
const responsiveValue_1 = require("../../utilities/responsiveValue");
const units_1 = require("../../utilities/units");
const View_css_1 = __importDefault(require("./View.css"));
function View(_a) {
    var { maxInlineSize, display = 'block', visibility, accessibilityVisibility, id, children } = _a, props = __rest(_a, ["maxInlineSize", "display", "visibility", "accessibilityVisibility", "id", "children"]);
    const responsiveClassNames = responsive_1.useResponsive(props);
    const style = responsiveValue_1.useResponsiveValue(Object.assign(Object.assign({}, (maxInlineSize &&
        typeof maxInlineSize === 'number' && {
        base: { maxWidth: units_1.pixelOrPercent(maxInlineSize) },
    })), (maxInlineSize &&
        typeof maxInlineSize === 'object' &&
        Object.entries(maxInlineSize).reduce((values, [breakpoint, value]) => {
            if (value) {
                return Object.assign(Object.assign({}, values), { [breakpoint]: { maxWidth: units_1.pixelOrPercent(value) } });
            }
            return values;
        }, {}))));
    const Element = display === 'inline' ? 'span' : 'div';
    return (<Element className={css_utilities_1.classNames(View_css_1.default.View, visibility && View_css_1.default[css_utilities_1.variationName('visibility', visibility)], responsiveClassNames &&
        responsiveClassNames.map((className) => View_css_1.default[className]))} style={style} aria-hidden={accessibilityVisibility === 'hidden'} id={id}>
      {children}
    </Element>);
}
exports.View = View;
