declare type Hue = number;
declare type Saturation = number;
declare type Lightness = number;
export declare type HslColorString = string;
export declare type RgbColorString = string;
export declare type HslColorTuple = [number, number, number];
export declare type YiqColorTuple = [number, number, number];
export declare class Hsl {
    readonly h: Hue;
    readonly s: Saturation;
    readonly l: Lightness;
    constructor(h: Hue, s: Saturation, l: Lightness);
    adjust({ h, s, l, }: {
        h?(h: Hue): Hue;
        s?(s: Saturation): Saturation;
        l?(l: Lightness): Lightness;
    }): Hsl;
    toRgb(): string;
    getYiqPerceivedBrightness(): number;
}
export declare function parseHsl(color: HslColorString): Hsl;
export declare function toRgb({ h, s, l }: Hsl): RgbColorString;
export declare function getYiqPerceivedBrightness({ h, s, l }: Hsl): number;
export {};
