"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useResponsiveValue = void 0;
const breakpoint_1 = require("./breakpoint");
function useResponsiveValue(values) {
    const breakpoint = breakpoint_1.useBreakpoint();
    if (!breakpoint) {
        return undefined;
    }
    if (values[breakpoint] !== undefined) {
        return values[breakpoint];
    }
    const breakpoints = Object.keys(breakpoint_1.BREAKPOINTS);
    const breakpointIndex = breakpoints.indexOf(breakpoint);
    for (let i = breakpointIndex; i >= 0; i--) {
        const breakpoint = breakpoints[i];
        if (values[breakpoint] !== undefined) {
            return values[breakpoint];
        }
    }
}
exports.useResponsiveValue = useResponsiveValue;
