"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const transition_1 = require("./transition");
jest.useFakeTimers();
describe('useTransition', () => {
    it('returns entering transition steps from exited to entered when transitionIn is true', () => {
        const spy = jest.fn();
        function EnteringTransition() {
            const [transitionIn, setTransitionIn] = react_1.useState(false);
            const transition = transition_1.useTransition(transitionIn);
            react_1.useEffect(() => {
                setTransitionIn(true);
            }, []);
            react_1.useEffect(() => {
                spy(transition);
            });
            return null;
        }
        const enteringTransition = dom_1.mount(<EnteringTransition />);
        enteringTransition.act(() => {
            jest.runAllTimers();
        });
        expect(spy.mock.calls).toMatchObject([
            ['exited'],
            ['enter'],
            ['entering'],
            ['entered'],
        ]);
    });
    it('returns exiting transition steps from entered to exited when transitionIn is false', () => {
        const spy = jest.fn();
        function ExitingTransition() {
            const [transitionIn, setTransitionIn] = react_1.useState(true);
            const transition = transition_1.useTransition(transitionIn);
            react_1.useEffect(() => {
                setTransitionIn(false);
            }, []);
            react_1.useEffect(() => {
                spy(transition);
            });
            return null;
        }
        const exitingTransition = dom_1.mount(<ExitingTransition />);
        exitingTransition.act(() => {
            jest.runAllTimers();
        });
        expect(spy.mock.calls).toMatchObject([
            ['entered'],
            ['exit'],
            ['exiting'],
            ['exited'],
        ]);
    });
});
