"use strict";
/* eslint @typescript-eslint/no-var-requires: off */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addWebpackConfig = void 0;
const path = __importStar(require("path"));
const SVG_ICONS_PATH_REGEX = /icons\/.*\.svg$/;
const IMAGE_PATH_REGEX = /\.(jpe?g|png|gif|svg)$/;
const LIBRARY_REGEX = /node_modules\/@shopify\/checkout-ui-react/;
const MiniCssExtractPlugin = require('mini-css-extract-plugin');
const { IgnoreTypeScriptExportWarnings, } = require('@shopify/webpack-ignore-typescript-export-warnings-plugin');
const postcssPresetEnv = require('postcss-preset-env');
const postcssFunctions = require('postcss-functions');
const postcssLogical = require('postcss-logical');
const postcssDirPseudoClass = require('postcss-dir-pseudo-class');
function addWebpackConfig(config, { preact = true, development = process.env.NODE_ENV === 'development' } = {}) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return Object.assign(Object.assign({}, config), { resolve: Object.assign(Object.assign({}, config.resolve), { 
            // Adds .esnext extensions, which this library uses for optimized build
            // outputs
            extensions: [
                '.esnext',
                ...((_b = (_a = config.resolve) === null || _a === void 0 ? void 0 : _a.extensions) !== null && _b !== void 0 ? _b : ['.mjs', '.js', '.json']),
            ], mainFields: [
                'esnext',
                ...((_d = (_c = config.resolve) === null || _c === void 0 ? void 0 : _c.mainFields) !== null && _d !== void 0 ? _d : [
                    'browser',
                    'module',
                    'main',
                ]),
            ], alias: Object.assign(Object.assign({}, (_e = config.resolve) === null || _e === void 0 ? void 0 : _e.alias), (preact
                ? { react: 'preact/compat', 'react-dom': 'preact/compat' }
                : {})) }), module: Object.assign(Object.assign({}, config.module), { rules: [
                ...((_g = (_f = config.module) === null || _f === void 0 ? void 0 : _f.rules) !== null && _g !== void 0 ? _g : []),
                {
                    test: /\.esnext$/,
                    include: LIBRARY_REGEX,
                    use: {
                        loader: require.resolve('babel-loader'),
                        options: {
                            configFile: false,
                            sourceType: 'unambiguous',
                            presets: [
                                [
                                    '@babel/preset-env',
                                    {
                                        modules: false,
                                        corejs: 3,
                                        useBuiltIns: 'usage',
                                    },
                                ],
                            ],
                        },
                    },
                },
                {
                    test: /\.css$/,
                    include: LIBRARY_REGEX,
                    use: [
                        development
                            ? { loader: require.resolve('style-loader') }
                            : {
                                loader: MiniCssExtractPlugin.loader,
                                options: { esModule: true },
                            },
                        {
                            loader: require.resolve('css-loader'),
                            options: {
                                esModule: true,
                                modules: {
                                    localIdentName: development
                                        ? '[name]-[local]_[hash:base64:5]'
                                        : '[hash:base64:5]',
                                },
                                importLoaders: 1,
                                sourceMap: !development,
                                onlyLocals: false,
                            },
                        },
                        {
                            loader: require.resolve('postcss-loader'),
                            options: {
                                ident: 'postcss-checkout-ui',
                                plugins: () => [
                                    // @see https://github.com/csstools/postcss-preset-env
                                    postcssPresetEnv({
                                        stage: 3,
                                        autoprefixer: { grid: true },
                                        importFrom: [
                                            path.join(path.dirname(require.resolve('@shopify/checkout-ui-react')), 'src/style.css'),
                                        ],
                                        preserve: true,
                                        // @see https://preset-env.cssdb.org/features
                                        // @see https://github.com/csstools/postcss-preset-env/blob/master/src/lib/plugins-by-id.js#L36
                                        features: {
                                            'nesting-rules': true,
                                            'dir-pseudo-class': false,
                                            'logical-properties-and-values': false,
                                        },
                                    }),
                                    // PostCSS Preset Env uses caniuse to determine whether the plugins should run or not
                                    // There are currently false positives that cause PostCSS Logical not to run, so we run it independently for now
                                    // @see https://github.com/csstools/postcss-preset-env/issues/138
                                    postcssLogical({ preserve: true }),
                                    postcssDirPseudoClass({ preserve: true }),
                                    postcssFunctions({
                                        functions: {
                                            rem(target, root = '10px') {
                                                if (target.includes('px')) {
                                                    return `${parseFloat(target) / parseFloat(root)}rem`;
                                                }
                                                else {
                                                    throw new Error('Value must be in pixels.');
                                                }
                                            },
                                            em(target, parent = '14px') {
                                                if (target.includes('px')) {
                                                    return `${parseFloat(target) / parseFloat(parent)}em`;
                                                }
                                                else {
                                                    throw new Error('Value must be in pixels.');
                                                }
                                            },
                                        },
                                    }),
                                ],
                            },
                        },
                    ],
                },
                {
                    include: LIBRARY_REGEX,
                    test(resource) {
                        return SVG_ICONS_PATH_REGEX.test(resource);
                    },
                    use: [require.resolve('@svgr/webpack')],
                },
                {
                    include: LIBRARY_REGEX,
                    test(resource) {
                        return (IMAGE_PATH_REGEX.test(resource) &&
                            !SVG_ICONS_PATH_REGEX.test(resource));
                    },
                    use: [
                        {
                            loader: require.resolve('file-loader'),
                            options: {
                                emitFile: true,
                            },
                        },
                        !development && { loader: require.resolve('image-webpack-loader') },
                    ].filter(Boolean),
                },
            ] }), plugins: [
            ...((_h = config.plugins) !== null && _h !== void 0 ? _h : []),
            new IgnoreTypeScriptExportWarnings(),
            !hasMiniCssExtractPlugin(config) && new MiniCssExtractPlugin(),
        ].filter(Boolean) });
}
exports.addWebpackConfig = addWebpackConfig;
function hasMiniCssExtractPlugin(config) {
    if (!config.plugins) {
        return false;
    }
    return config.plugins.some((plugin) => {
        return plugin instanceof MiniCssExtractPlugin;
    });
}
